webpackJsonp([4],{

/***/ 0:
/***/ (function(module, exports, __webpack_require__) {

	/**
	 * 充值页面
	 */
	__webpack_require__(1);
	(function ($) {
	
	    var openId = sessionStorage.getItem("openId"), //微信openId
	        fromPageId = requestURL.getParameter("fromPageId"),
	        advBoxEle = $("#advBox"),
	        advBoxTextEle = $("#advBoxText"),
	        advBoxCloseEle = $("#advBoxClose"),
	        balance = requestURL.getParameter("balance"), //账户余额
	        balanceEle = $("#balance"),
	        moneyInputEle = $("#moneyInput"), //充值金额输入框
	        moneySelectEle = $("#moneySelect"), //金额选择元素
	        transferMoneyEle = $("#transferMoney"), // 到账金额
	        couponTagClass = $(".coupon-tag"),
	        paywayEle = $("#payway"), //支付方式
	        InputValidators = __webpack_require__(15),
	        activeId = "0", // 是否优惠 0-没有优惠 其他-有优惠
	        activeType = "0", // 1.满减2.满送 其他-无优惠
	        activeUrl,
	        pays = {},
	        main = {
	            //初始化执行
	            init: function () {
	                var self = this;
	                self.initView();
	                self.initPayChannel();
	                self.bindEvent();
	            },
	
	            initView: function () {
	                var self = this;
	                if (!stringUtil.isEmpty(balance)) {
	                    balanceEle.attr("val", balance).html(constant.moneySymbol + main.getShowMoney(balance));
	                } else {
	                    this.getBalanceData();
	                }
	
	                if ($.os.wechat) {
	                    //微信环境隐藏支付宝
	                    $("#AlipayCell").hide();
	                    $("#WeChatCell").attr("payType", "JSAPI");
	                }
	
	                if (constant.templetStyle != "ZL") {
	                    //除了中粮、捷生活之外的都打开微信支付
	                    if ("JSH" != local.getItem("source")) {
	                        $("#WeChatCell").removeClass("mui-hidden");
	                    }
	//					$("#WeChatCell").addClass("mui-hidden");//宜行扬州暂时屏蔽
	                } else {
	                    $("#JYFCell").find(".cell-img").attr("src", '{{imgSpacename}}public/icon/icon_bk.png'.replace("{{imgSpacename}}", constant.imgSpacename));
	                    $("#JYFCell").find(".cell-right").html("银行卡");
	                    $("#AlipayCell").find(".cell-right").html("支付宝");
	                }
	
	                self.getFavourableInfo();
	
	            },
	
	            initPayChannel: function () {
	
	                if (!($.os.plus && window.plus) || "nativeApp" == local.getItem("runtime")) {
	                    return;
	                }
	
	                // 获取支付通道
	                plus.payment.getChannels(function (channels) {
	                    for (var i in channels) {
	                        var channel = channels[i];
	                        pays[channel.id] = channel;
	
	                        console.log(channel.id);
	                    }
	                });
	            },
	
	            // 获取充值优惠活动信息
	            getFavourableInfo: function () {
	                var rechargeTpl = '<div class="money-select-item {{couponClass}}"><div class="money-item {{couponClass}}" getval="{{transferMoney}}" val="{{payMoney}}" wantval="{{faceMoney}}"><span class="money">{{faceMoney}}元</span>{{transferText}}</div></div>';
	                var rechargeHtml = "";
	                postData(constant.appPreHttpServer.concat("app/rest/market/recharge/privilege"), {}, function (res) {
	                    if (res.resType == "00") {
	                        var activeChannel = res.data.activityChannel;
	                        activeId = res.data.activityId;
	                        if (activeId != "0") { // 有活动
	                            activeType = res.data.favourForm;
	                            if (res.data.floatBarSwitch == "1") {
	                                advBoxEle.removeClass("none");
	                                advBoxTextEle.html(res.data.floatBarText);
	                                activeUrl = res.data.floatUrl;
	                            } else {
	                                advBoxEle.addClass("none");
	                            }
	                            if (activeChannel.length > 0) { // activeChannel为空表示均无优惠或均有优惠
	                                var hasCouponPayway = 0,
	                                    hasCouponText = '';
	                                $.each(activeChannel, function (key, val) {
	                                    hasCouponPayway++;
	                                    var itemCellEle = $("#" + val + "Cell");
	                                    itemCellEle.addClass("has-coupon");
	                                    hasCouponText += itemCellEle.find(".cell-right").html() + "、";
	                                });
	
	                                if (hasCouponPayway > 0) {
	                                    paywayEle.attr("hasCouponText", "仅限" + hasCouponText.substr(0, hasCouponText.length - 1));
	                                }
	                            }
	                        } else {
	                            activeType = "0";
	                        }
	                        $.each(res.data.rechargeItem, function (key, val) {
	                            var isHasCoupon = activeId != "0" && (val.payAmt != val.rechargeAmt || val.payAmt != val.transferAmt) ? true : false,
	                                transferText = '';
	                            rechargeHtml += rechargeTpl.replace(/{{couponClass}}/g, isHasCoupon ? "has-coupon" : "")
	                                .replace(/{{transferMoney}}/g, (val.transferAmt / 100))
	                                .replace(/{{payMoney}}/g, (val.payAmt / 100))
	                                .replace(/{{faceMoney}}/g, (val.rechargeAmt / 100));
	
	                            if (activeType == "1") {
	                                transferText = isHasCoupon ? '<i class="coupon">实付' + (val.payAmt / 100) + '元</i>' : '';
	                            }
	                            if (activeType == "2") {
	                                transferText = isHasCoupon ? '<i class="coupon">到账' + (val.transferAmt / 100) + '元</i>' : '';
	                            }
	
	                            rechargeHtml = rechargeHtml.replace(/{{transferText}}/g, transferText);
	
	                        });
	                        moneySelectEle.html(rechargeHtml);
	                        main.moneySelectEvent.bind();
	
	                    } else {
	                        $.toast(res.msgContent);
	                    }
	                }, null, {
	                    contentType: "application/json;charset=utf-8",
	                });
	            },
	
	            /**
	             * 获取余额等信息
	             */
	            getBalanceData: function (compareCallback, errorToast) {
	
	                var acctId = login.getUserInfo().acctId,
	                    _errorToast = errorToast || true;
	
	                if (!stringUtil.isEmpty(acctId)) {
	
	                    postData(constant.appPreHttpServer.concat("app/rest/getAccountInfo"), {
	                        "acctMarkNo": acctId
	                    }, function (data) {
	                        if (data.resType == "00") {
	                            var balance = main.getShowMoney(data.freeBalance);
	                            var oldBalance = balanceEle.attr("val");
	                            balanceEle.attr("val", balance).html(constant.moneySymbol + balance);
	                            compareCallback && compareCallback(balance == oldBalance);
	                        } else {
	                            _errorToast && $.toast(data.msgContent);
	                        }
	                    }, null, {
	                        requestType: "get",
	                        errorToast: _errorToast
	                    });
	                }
	            },
	
	            /**
	             * 将分转为元显示
	             * @param {Object} money
	             */
	            getShowMoney: function (money) {
	                return (money / 100).toFixed(2);
	            },
	
	            /**
	             * 获取优惠金额
	             */
	            getCouponMoney: function (money) {
	                var _func = function () {
	                    if (activeId != "0" && money != main.getCouponMoneyVal && !main.getCouponFlag) { // 有活动
	                        main.getCouponMoneyVal = parseFloat(money).toFixed(2) * 100; //将用户输入值暂存
	                        main.getCouponFlag = true; //设置正在发起获取优惠金额标识，用于控制不停的输入，会导致不停的请求
	                        postData(constant.appPreHttpServer.concat("app/rest/market/recharge/privilegeAmt"), {
	                            activityId: activeId,
	                            rechargeAmt: main.getCouponMoneyVal
	                        }, function (res) {
	                            if (res.resType == "00") {
	                                main.showCouponText(activeType == "2" ? (res.data.transferAmt / 100) : (res.data.payAmt / 100), activeId != "0" && (res.data.payAmt != res.data.rechargeAmt || res.data.payAmt != res.data.transferAmt));
	                            } else {
	                                $.toast(res.msgContent);
	                            }
	                            main.getCouponFlag = false;
	                        }, function () {
	                            main.getCouponFlag = false;
	                        }, {
	                            showWait: false,
	                            contentType: "application/json;charset=utf-8"
	                        });
	                    } else {
	                        main.showCouponText(money);
	                    }
	                }
	
	                setTimeout(function () {
	                    _func();
	                }, 200);
	
	            },
	
	            //绑定事件监听
	            bindEvent: function () {
	                var self = this;
	                // 重写返回事件
	                // var oldBack = $.back;
	                // $.back = function() {
	                //
	                // 	if($.os.plus) {
	                // 		if(!stringUtil.isEmpty(fromPageId)) {
	                // 			$.fire(plus.webview.getWebviewById(fromPageId), "refreshData");
	                // 		}
	                // 	}
	                // 	oldBack();
	                // };
	                // 关闭优惠提示
	                advBoxCloseEle.bind("tap", function () {
	                    advBoxEle.addClass("none");
	                });
	
	                // 打开优惠页面
	                advBoxTextEle.bind("tap", function () {
	                    if (!stringUtil.isEmpty(activeUrl)) {
	                        var param = {};
	                        if ($.os.plus && window.plus) {
	                            param.fromPageId = plus.webview.currentWebview().id;
	                        }
	                        openWindow(activeUrl, activeUrl, param);
	                    }
	                });
	
	                //限制输入长度
	                InputValidators.limitInputLength(moneyInputEle, 5, "number");
	                /**
	                 * 充值金额输入事件
	                 */
	                moneyInputEle.bind("input", function () {
	                    if (main.validate()) {
	                        self.getCouponMoney(moneyInputEle.val());
	                    } else {
	                        transferMoneyEle.html('');
	                    }
	                });
	
	                /**
	                 * 确认支付点击事件
	                 */
	                paywayEle.on("tap", ".cell-item", function () {
	
	                    var payType = $(this).attr("payType"),
	                        rechargeWay = $(this).attr("rechargeWay"),
	                        payChannelId = $(this).attr("payChannelId");
	                    moneyInputEle[0].blur();
	                    var param = {};
	                    param.payType = payType;
	                    param.payChannelId = payChannelId;
	                    param.rechargeWay = rechargeWay;
	
	                    self.commit(param);
	                });
	
	                //WEBVIEW自定义事件------------------------Begin---------------------------
	
	                //捷钱包支付结果
	                window.addEventListener('payResult', function (event) {
	                    console.log("account_recharge payResult--event");
	                    var payResultFlag = event.detail.payResultFlag;
	
	                    main.paySuccess(payResultFlag);
	
	                });
	
	                //WEBVIEW自定义事件------------------------End---------------------------
	            },
	
	            /**
	             * 金额选择点击事件
	             */
	            moneySelectEvent: {
	                event: function () {
	                    moneySelectEle.find(".money-item").removeClass("selected");
	                    $(this).addClass("selected");
	                    moneyInputEle.val($(this).attr("wantval"));
	                    main.showCouponText(activeType == "2" ? $(this).attr("getval") : $(this).attr("val"), $(this).hasClass("has-coupon"));
	                },
	
	                bind: function () {
	                    moneySelectEle.find(".money-item").bind("tap", this.event);
	                },
	                remove: function () {
	                    moneySelectEle.find(".money-item").removeEventListener("tap", this.event);
	                }
	            },
	
	            /**
	             * 显示充值金额对应的到账金额或实际支付金额提示
	             */
	            showCouponText: function (_money, hasCoupon) {
	
	                var _text = '本次充值实际{{_moneyText}}{{money}}元'
	                        .replace("{{_moneyText}}", activeType == "2" ? "到账" : '支付')
	                        .replace("{{money}}", _money),
	                    paywayCoupon = paywayEle.attr("hasCouponText");
	                if (!stringUtil.isEmpty(paywayCoupon) && hasCoupon) {
	                    _text = _text + "," + paywayCoupon;
	                }
	                if (activeId == "0") {
	                    _text = "";
	                }
	                transferMoneyEle.html(_text);
	
	            },
	
	            /**
	             * 验证充值金额输入是否合法
	             */
	            validate: function () {
	
	                var reg = /^\d+(\.\d{0,2})?$/g,
	                    moneyVal = moneyInputEle.val();
	
	                if (!reg.test(moneyVal)) {
	                    var _value = moneyVal.substr(0, moneyVal.length - 1);
	                    moneyInputEle.val(_value);
	                    moneySelectEle.find(".money-item").removeClass("selected");
	                    return false;
	                }
	                var moneyNumber = Number(moneyVal);
	
	                if (moneyNumber <= 0) {
	                    moneySelectEle.find(".money-item").removeClass("selected");
	                    return false;
	                }
	
	                return true;
	
	            },
	
	            /**
	             * 提交充值请求
	             */
	            commit: function (param) {
	
	                if ($.os.wechat) {
	
	                    if (stringUtil.isEmpty(openId)) {
	                        $.toast("获取微信授权信息不成功");
	                        return;
	                    }
	
	                }
	
	                if (!main.validate()) {
	                    $.toast("请输入正确的金额");
	                    return;
	                }
	
	                main.param = param;
	
	                var rechargeMoney = parseFloat(moneyInputEle.val());
	
	                //				if("JYF" == param.payChannelId && rechargeMoney < 1) {
	                //					$.toast("充值金额不能小于1元");
	                //					return;
	                //				}
	
	                if (rechargeMoney > 5000) {
	                    $.toast("充值金额不能大于5000元");
	                    return;
	                }
	                moneyInputEle.val(rechargeMoney);
	
	                var postParam = {
	                    sceneCode: "010100001",
	                    sourceFrom: 1,
	                    rechargeWay: param.rechargeWay,
	                    payType: param.payType,
	                    payChannelId: param.payChannelId,
	                    tranAmount: parseInt(rechargeMoney * 100),
	                    pageUrl: (($.os.plus && window.plus) || __webpack_require__(22).isSdkWindow()) ? "" : constant.base.concat("public/account/account.html?action=forward"),
	                    busNo: param.busNo,
	                    verifyCode: param.smsCode,
	                    rkey: param.rkey,
	                    openId: openId,
	                    activityId: activeId
	                };
	
	                postData(constant.appPreHttpServer.concat("app/rest/tradecore/recharge"), postParam, function (res) {
	                    if (res.resType == "00") {
	
	                        if (main.param.smsInput) {
	                            main.param.smsInput.hide();
	                        }
	
	                        main.doPay(res);
	                    } else if (res.resType == "MARKET_1001" || res.resType == "MARKET_1002" || res.resType == "MARKET_1003")
	                        main.reset();
	                    else {
	                        $.toast(res.msgContent);
	                    }
	                }, null, {
	                    riskAgentFunc: main.riskAgentFunc,
	                    riskAgentSmsValidate: false
	                });
	
	            },
	
	            /**
	             * 充值被风控拦回之后，要传参短信验证码等参数
	             * @param {Object} res
	             */
	            riskAgentFunc: function (res) {
	                var busNo = res.busNo,
	                    rkey = res.rkey,
	                    smsCode = res.smsCode,
	                    smsInput = res.smsInput;
	
	                main.param.busNo = busNo;
	                main.param.rkey = rkey;
	                main.param.smsCode = smsCode;
	                main.param.smsInput = smsInput;
	                main.commit(main.param);
	            },
	
	            /**
	             * 发起支付请求
	             * @param {Object} res
	             */
	            doPay: function (res) {
	                if ($.os.app) {
	                    main.nativeAppPay(res);
	                } else if ($.os.wechat || ($.os.plus && window.plus)) {
	                    main.plusPay(res);
	                }
	                // if("nativeApp" == local.getItem("runtime")) {
	                // 	main.nativeAppPay(res);
	                // } else if($.os.wechat || ($.os.plus && window.plus)) {
	                // 	main.plusPay(res);
	                // } else if(window.jstwebview || ($.os.ios && window.webkit)) {
	                // 	main.rechargeWaitting.show();
	                // 	main.webviewPay(res);
	                // }
	
	            },
	
	            /**
	             * 充值过程中的等待框
	             */
	            rechargeWaitting: {
	                show: function () {
	                    $(".wait-iconbox").show();
	                    $(".mui-content").hide();
	                },
	                hide: function () {
	                    $(".wait-iconbox").hide();
	                    $(".mui-content").show();
	                }
	            },
	
	            /**
	             * 嵌入到第三方APP支付
	             * @param {Object} res
	             */
	            webviewPay: function (res) {
	
	                //JS和原生交互数据
	                var jsNativeJson = JSON.stringify({
	                    type: 1,
	                    data: JSON.stringify(res)
	                });
	
	                if (window.android) {
	                    window.android.invokeNative(jsNativeJson);
	                } else if ($.os.ios && window.webkit) {
	                    //IOS交互
	                    window.webkit.messageHandlers.invokeNative.postMessage(jsNativeJson);
	                }
	
	                /**
	                 * native回调JS支付结果
	                 * @param {Object} result
	                 */
	                window.invokeJS = function (result) {
	
	                    //					alert("js called result :" + result);
	
	                    var type = 0,
	                        _result = -100; //定义初始化-100，下面根据此判断NATIVE有没有回调结果
	                    try {
	                        _result = result;
	                    } catch (e) {
	                        //TODO handle the exception
	                    }
	                    if (-100 != _result) {
	                        main.paySuccess(_result);
	                    }
	                }
	            },
	
	            /**
	             * APP环境发起支付
	             * @param {Object} res
	             */
	            plusPay: function (res) {
	
	                var payChannelId = res.data.payChannelId;
	                var resultData = res.data,
	                    cashUrl = resultData.credential.codeUrl,
	                    prePayId = resultData.credential.prePayId,
	
	                    appId = resultData.credential.appId,
	                    mchId = resultData.credential.mchId,
	                    nativePackage = resultData.credential.nativePackage,
	                    nonceStr = resultData.credential.nonceStr,
	                    sign = resultData.credential.sign,
	                    signType = resultData.credential.signType,
	                    timestamp = resultData.credential.timestamp;
	
	                //DEBUG-------------------
	                //				cashUrl = "http://10.101.90.11:8020/jst-jxd-h5-1.0/build/cashdesk/pay/cashdesk_pay_way.html";
	
	                switch (payChannelId) {
	                    case "JYF":
	                        var param = {
	                            prePayId: prePayId
	                        };
	
	                        if ($.os.plus && window.plus) {
	                            param.fromPageId = plus.webview.currentWebview().id
	                        }
	                        openWindow(cashUrl, "pay_way.html", param);
	                        break;
	                    case "WeChat":
	
	                        if ($.os.wechat) {
	                            //微信浏览器环境，调用微信JSAPI支付
	                            __webpack_require__(23).doPay({
	                                wxsigndata: {
	                                    "appId": appId,
	                                    "timeStamp": timestamp,
	                                    "nonceStr": nonceStr,
	                                    "package": nativePackage,
	                                    "signType": signType,
	                                    "paySign": sign
	                                },
	                                paySuccess: main.paySuccess,
	                                payFail: main.payFail,
	                                payCancel: main.payFail
	                            });
	                        } else {
	                            var payment_info = {
	                                "appid": appId,
	                                "noncestr": nonceStr,
	                                "package": nativePackage,
	                                "partnerid": mchId,
	                                "prepayid": prePayId,
	                                "timestamp": timestamp,
	                                "sign": sign
	                            };
	                            plus.payment.request(pays['wxpay'], payment_info, function (result) {
	                                main.paySuccess();
	                            }, function (e) {
	                                main.payFail();
	                            });
	                        }
	
	                        break;
	
	                    case "Alipay":
	                        plus.payment.request(pays['alipay'], sign, function (result) {
	                            main.paySuccess();
	                        }, function (e) {
	                            main.payFail();
	                        });
	                        break;
	                    default:
	                        break;
	                }
	
	            },
	
	            /**
	             * 集成5+SDK原生支付
	             * @param {Object} res
	             */
	            // nativeAppPay: function(payJson) {
	            // 	alert("咦咦咦咦咦")
	            // 	require("./module/h5_jstjhy_plugin").invokeNative({
	            // 		type: 8,
	            // 		data: JSON.stringify(payJson)
	            // 	}, function(res) {
	            // 		var type = 0,
	            // 			payResult = "";
	            // 		try {
	            // 			type = res.type;
	            // 			payResult = res.payResult;
	            // 		} catch(e) {
	            // 			//TODO handle the exception
	            // 		}
	
	            // 		if(8 == type && "0" == payResult) {
	            // 			//支付成功了，跳转页面
	            // 			main.paySuccess(payResult);
	
	            // 		}
	            // 	}, function(code) {
	            // 		$.toast("失败了" + code);
	            // 	});
	            // },
	            nativeAppPay: function (payJson) {
	                !/* require.ensure */(function () {
	                    var h5_jstjhy_plugin = __webpack_require__(19);
	                    //调用支付
	                    h5_jstjhy_plugin.invokeNative({
	                        type: 8,
	                        data: JSON.stringify(payJson)
	                    });
	
	                    window.invokeJS = function (res) {
	                        //WEBVIEW回调
	                        h5_jstjhy_plugin.invokeJS(res, function (data) {
	                            var type = data.type,
	                                payResult = data.payResult;
	                            if (8 == type && "0" == payResult) {
	                                //支付成功了，跳转页面
	                                main.paySuccess(payResult);
	                            }
	                        });
	                    };
	                }(__webpack_require__));
	
	            },
	
	            /**
	             * 支付成功结果
	             * @param {Object} payResult
	             */
	            paySuccess: function (payResult) {
	
	                var _payResult = payResult || 0,
	                    goPage = function () {
	                        if ($.os.app) {
	                            h5_invoke.invokeNative({
	                                type: 16
	                            })
	                        }
	                        // if($.os.plus && window.plus) {
	                        // 	if(!stringUtil.isEmpty(fromPageId)) {
	                        // 		$.fire(plus.webview.getWebviewById(fromPageId), "refreshData");
	                        // 		var currentWeb = plus.webview.currentWebview();
	                        //
	                        // 		setTimeout(function() {
	                        // 			currentWeb.close("slide-out-left");
	                        // 		}, 200);
	                        // 	}
	                        // } else {
	                        // 	var payResultUrl = require("./module/app_page_config").accountURL;
	                        // 	openWindow(payResultUrl);
	                        // }
	                    };
	                if (0 == _payResult) {
	                    //支付成功.
	                    goPage();
	                } else if (-3 == payResult) {
	                    //未知结果，查一次余额看是否充值成功了吧。微信支付时支付是否成功捕获不到，所以为未知结果
	                    main.getBalanceData(function (flag) {
	                        if (!flag) {
	                            //查询余额与上次不同，认为充值成功
	                            goPage();
	                        } else {
	                            main.payFail();
	                        }
	                    }, false);
	                } else {
	                    main.payFail();
	                }
	
	            },
	
	            /**
	             * 支付失败或者取消支付
	             */
	            payFail: function () {
	
	                //关闭充值中等待框
	                main.rechargeWaitting.hide();
	
	                //如果有活动，则要主动请求服务器释放锁定
	                postData(constant.appPreHttpServer.concat("app/rest/market/recharge/release"), {
	                    activityId: activeId
	                }, function (res) {
	                }, null, {
	                    errorToast: false,
	                    showWait: false,
	                    contentType: "application/json"
	                });
	            },
	
	            /**
	             * 重置页面，此场景是因活动已到期时，需重新刷新活动
	             */
	            reset: function () {
	                main.moneySelectEvent.remove();
	                transferMoneyEle.html("");
	                moneyInputEle.val("");
	                main.initView();
	            }
	        };
	    $.initComplete(function () {
	        main.init();
	    });
	
	})(mui);
	//end

/***/ }),

/***/ 22:
/***/ (function(module, exports) {

	/**
	 * 提供JS和捷顺SDK交互，SDK指提供给捷停车，中粮等使用的原生SDK包
	 * version:1.0.1
	 * created by Max/jingming.li@jieshunpay.cn
	 */
	module.exports = {
		/**
		 * JS call native
		 * @param {Object} jsonObj
		 */
		invokeNative: function(jsonObj) {
			console.log("======invokeNative:"+JSON.stringify(jsonObj));
			var jsonStr = JSON.stringify(jsonObj);
			if(window.jstwebview) {
				window.jstwebview.invokeNative(jsonStr);
			} else if(mui.os.ios && window.webkit) {
				//IOS交互
				window.webkit.messageHandlers.invokeNative.postMessage(jsonStr);
			}
		},
	
		/**
		 * 判断是否嵌入至APP
		 */
		isSdkWindow: function() {
			return(window.jstwebview || (mui.os.ios && window.webkit)) && !mui.os.wechat;
		}
	};

/***/ }),

/***/ 23:
/***/ (function(module, exports, __webpack_require__) {

	/**
	 * 微信支付
	 * version:1.0.1
	 * created by Max/jingming.li@jieshunpay.cn
	 */
	module.exports = (function($) {
		__webpack_require__(8);
		__webpack_require__(9);
		var returnResult = {},
			stringUtil = __webpack_require__(3);
	
		// 微信签名数据
		returnResult.wxsigndata = {};
		// 支付交易流水号			
		// 微信js api支付
		returnResult.onBridgeReady = function() {
			returnResult.wxPwdPanelShowedCallback && returnResult.wxPwdPanelShowedCallback();
			WeixinJSBridge.invoke(
				'getBrandWCPayRequest', {
					"appId": returnResult.wxsigndata.appId,
					"timeStamp": returnResult.wxsigndata.timeStamp,
					"nonceStr": returnResult.wxsigndata.nonceStr,
					"package": returnResult.wxsigndata.package,
					"signType": returnResult.wxsigndata.signType,
					"paySign": returnResult.wxsigndata.paySign
				},
				function(res) {
					if(res.err_msg == "get_brand_wcpay_request:ok") {
						returnResult.paySuccessCallBack && returnResult.paySuccessCallBack();
					} else if(res.err_msg == "get_brand_wcpay_request:cancel") {
						if(returnResult.payCancel) {
							returnResult.payCancel();
						} else {
							$.toast('用户取消支付');
						}
	
					} else if(res.err_msg == "get_brand_wcpay_request:fail") {
						if(returnResult.payFailCallBack) {
							returnResult.payFailCallBack();
						} else {
							$.toast("支付遇到问题,请重试");
						}
					};
				}
			);
		};
	
		//API
		/**
		 * 发起微信支付
		 * @param {Object} paySuccess:支付成功回调
		 * @param {Object} payFail:支付失败回调
		 * @param {Object} payCancel:中断支付回调
		 * @param {Object} wxPwdPanelShowedCallback:微信密码输入框调起来后回调
		 */
		returnResult.doPay = function(options) {
			var options = options || {};
			returnResult.wxsigndata = options.wxsigndata;
			returnResult.paySuccessCallBack = options.paySuccess;
			returnResult.payFailCallBack = options.payFail;
			returnResult.payCancel = options.payCancel;
			returnResult.wxPwdPanelShowedCallback = options.wxPwdPanelShowedCallback;
	
			if(!$.os.wechat || stringUtil.isEmpty(returnResult.wxsigndata)) {
				//非微信浏览器环境和请求数据为空的情况下，不处理
				return;
			}
			// 微信JS API支付
			if(typeof WeixinJSBridge == "undefined") {
				if(document.addEventListener) {
					document.addEventListener('WeixinJSBridgeReady', returnResult.onBridgeReady, false);
				} else if(document.attachEvent) {
					document.attachEvent('WeixinJSBridgeReady', returnResult.onBridgeReady);
					document.attachEvent('onWeixinJSBridgeReady', returnResult.onBridgeReady);
				}
			} else {
				returnResult.onBridgeReady();
			}
		};
	
		return returnResult;
	})(mui);

/***/ })

});
//# sourceMappingURL=account_recharge.js.map