webpackJsonp([21],[
/* 0 */
/***/ (function(module, exports, __webpack_require__) {

	/**
	 * 室内停车场列表子页面
	 * version:1.0.1
	 * created by Max/jingming.li@jieshunpay.cn
	 */
	__webpack_require__(1);
	(function($) {
		var type = requestURL.getParameter("type"), //01-路边车场，02-室内车场
			requestPara = {
				gps: "",
				type: type || "01",
				sort: "00",
				pageNo: 1,
				pageSize: 9999
			},
			searchGps = '',
			dataListEle = $("#dataList"),
			noDataEle = $(".no-data"), //无数据时显示
			filterCellEle = $("#filterCell"),
	
			pullrefreshSelector = "#pullrefresh",
			pullrefreshObj = $(pullrefreshSelector),
			filterItemTap = false, //是否点击了筛选条件
			currentPosition = {}, //用户当前位置
			mapUtil = __webpack_require__(19).map,
			h5_jstjhy_plugin = __webpack_require__(19),
			main = {
				//初始化执行
				init: function() {
					var self = this;
					
					if($.os.plus && window.plus) {
						//将数据写入APP缓存
						h5_jstjhy_plugin.invokeNative({
							type: 15,
							operation: "get",
							key: "distanceRange",
						},function(res){
							
							if(!stringUtil.isEmpty(res.distanceRange)){
								requestPara.range = res.distanceRange *1000;
							}
							
							
							self.initPullRefresh();
							self.getCurrentPosition(self.loadData);
							self.bindEvent();
						},function(err){						
							self.initPullRefresh();
							self.getCurrentPosition(self.loadData);
							self.bindEvent();
						});
	
					}else{
						
						self.initPullRefresh();
						self.getCurrentPosition(self.loadData);
						self.bindEvent();
					}
					
					if(type == '01'){
						$('#autoPay').removeClass('mui-hidden');
					}else{
						$('#autoPay').addClass('mui-hidden');
					}
					
					
				},
	
				/**
				 * 初始化上拉下拉刷新
				 */
				initPullRefresh: function() {
	
					$.init({
						pullRefresh: {
							indicators: false,
							container: pullrefreshSelector,
							up: {
								contentinit: '',
								contentdown: $.os.plus && $.os.android ? "正在加载" : "",
								callback: this.pullupRefresh
							}
						}
					});
					
				},
	
				loadData: function() {
					if($.os.plus) {
						$.plusReady(function() {
							setTimeout(function() {
								pullrefreshObj.pullRefresh().pullupLoading();
							}, 50);
						});
					} else {
						$.ready(function() {
							pullrefreshObj.pullRefresh().pullupLoading();
						});
					}
				},
	
				/**
				 * 获取当前设备位置信息
				 * @param {Object} callback
				 */
				getCurrentPosition: function(callback) {
									
					if($.os.plus){
						mapUtil.getCurrentPosition(function(data) {
							var longitude = data.longitude,
								latitude = data.latitude;
							requestPara.gps = longitude + "," + latitude;
							currentPosition = data;
							callback && callback();
						});
					}else{//用于测试
						requestPara.gps = 	"114.042980,22.571480";	
						currentPosition = {
							longitude:114.042980,
							latitude:22.571480
						}
						callback && callback();
					}
				},
	
				/**
				 * 上拉加载具体业务实现
				 */
				pullupRefresh: function() {
					main.handRefresh();
				},
	
				/**
				 * 处理分页参数及页面加载等
				 */
				handRefresh: function(type) {
					noDataEle.hide();
					if(filterItemTap) {
						//排序字段点击之后重置刷新控件，且将页面滚动至顶部
						pullrefreshObj.pullRefresh().enablePullupToRefresh();
						//					pullrefreshObj.pullRefresh().refresh(true);
						pullrefreshObj.pullRefresh().scrollTo(0, 0);
						filterItemTap = false;
					}
					if("down" == type) {
						requestPara.pageNo = 1;
					}
	
					var method = "tld/charge/chargeStationList",
						param = requestPara,
	
						/**
						 * 结束刷新数据
						 * @param {Object} endpull
						 */
						endRefresh = function(endpull) {
							"down" == type ? pullrefreshObj.pullRefresh().endPulldownToRefresh() : pullrefreshObj.pullRefresh().endPullupToRefresh(endpull);
						},
						/**
						 * 处理数据返回
						 * @param {Object} res
						 */
						handleResp = function(res) {
	
							var html = dataListEle.html(),
								endpull = false, //true表示没有更多数据了
								resultdata = res.data.parklist,
								dataLength = (resultdata && resultdata.length) || 0;
	
							if(dataLength < requestPara.pageSize) {
								//如果返回数据列表条码< 每页显示的条数，则认为没有更多数据了
								endpull = true;
								//					if(requestPara.pageNo == 1 && "down" != type) {
								//						
								//						//此时条件已经是没有更多数据了，而且请求的是第一页，则将上拉禁用
								//						pullrefreshObj.pullRefresh().disablePullupToRefresh();
								//					}
	
							} else {
								requestPara.pageNo++;
							}
							if(dataLength > 0) {
								main.createElements(res.data.parklist);
							}
	
							if(dataLength == 0 && requestPara.pageNo == 1) { //如果没有数据并且是第一页时，就将没有数据的图片显示出来。
								noDataEle.show();
							}
	
							pullrefreshObj.pullRefresh().disablePullupToRefresh(); //先不做分页
							//						endRefresh(endpull);
							endRefresh(true); //不做分页时结束加载吧
						};
					if(requestPara.pageNo == 1 || "down" == type) {
						//如果是请求第一页 或是 下拉刷新页面，则将页面元素先清空
						dataListEle.html("");
	
					}
					postData(method, param, handleResp, function() {
						endRefresh(false);
					}, {
						showWait: false
					});
	
				},
	
				createElements: function(parklist) {
					var resultdata = parklist,
						dataLength = (resultdata && resultdata.length) || 0,
						nullSpan = document.createElement("span");
					var parkIconIndoorHtml = '<img src="../../img/icon/icon_chechang.png" />', //路边图标
						parkIconOutsideHtml = '<img src="../../img/icon/icon_parktype_outside.png" />';
	
					for(var i = 0; i < dataLength; i++) {
						var item = resultdata[i],
							parkelecid = item.stationid,
							distance = item.rate, //距离
							name = item.name,
							adr = item.adr,
							gps = item.gps,
							carseatsum = item.carseatsum, //总车位数
							carseatleft = item.carseatleft, //可用车位数
							fareruledesc = item.fareruledesc, //收费规则描述
							endGps = {
								longitude:item.stationlng,
								latitude:item.stationlat
							},
							liEle = document.createElement("li"),
							hasSpaceClass = carseatleft > 0 ? "has-space" : "no-space",
							parkTypeHtmlTpl = parkIconOutsideHtml,
							parkWithholdHtmlTpl = '<img src="../../img/icon/icon_park_withhold.png" />';
	
						liEle.className = "list-item";
						liEle.setAttribute("parkelecid", parkelecid);
	
						if(item.type == "02") { //室内
							parkTypeHtmlTpl = parkIconIndoorHtml;
						}
						if(item.ifsupporthold != "1") {
							//不支持代扣
							parkWithholdHtmlTpl = "";
						}
						var startGps = {
							longitude:currentPosition.longitude,
							latitude:currentPosition.latitude
						}
						var tplHtml = '<div class="item-img"><img src="{{imgUrl}}"/></div><div class="item-mes"><p class="park-name">{{parkName}}</p><div class="park-mes"><i class="park-icon {{parkIcon}}"></i><span class="space-cell"><i class="less-num">{{balancenum}}空</i><i class="all-num">/{{equipmentnum}}终端</i><i class="for-sum">{{electricityfee}}</i></span></div></div><div class="item-go"><div class="go-icon" gps="{{gps}}" adr="{{adr}}"></div><p class="distance-park">{{range}}</p></div>'
							.replace('{{imgUrl}}',stringUtil.isEmpty(item.pictures)?'':item.pictures.split(',')[0])//图片
							.replace('{{parkName}}',item.stationname)//名称
							.replace('{{equipmentnum}}',stringUtil.isEmpty(item.equipmentnum)?'':item.equipmentnum)//终端总数
							.replace('{{balancenum}}',stringUtil.isEmpty(item.balancenum)?'':item.balancenum)//剩余终端
							.replace('{{electricityfee}}',"")//stringUtil.isEmpty(item.electricityfee)?'':item.electricityfee)//充电费率
							.replace('{{range}}',stringUtil.isEmpty(item.rate)?'':main.conertDistance(item.rate))//距离
							.replace('{{gps}}',stringUtil.isEmpty(item.stationlat)?'':item.stationlng+','+item.stationlat)//gps
							.replace('{{adr}}',stringUtil.isEmpty(item.address)?'':item.address);//地址
						
						if(!stringUtil.isEmpty(item.stationtype)){
							
							if(item.stationtype == '1'){//公共站
								tplHtml = tplHtml.replace('{{parkIcon}}','icon-ggz');
							}else if(item.stationtype == '50'){//个人站
								tplHtml = tplHtml.replace('{{parkIcon}}','icon-grz');
							}else if(item.stationtype == '100' || item.stationtype == '101' || item.stationtype == '102' || item.stationtype == '103'){
								tplHtml = tplHtml.replace('{{parkIcon}}','icon-zyz');
							}else{
								tplHtml = tplHtml.replace('{{parkIcon}}','icon-zdz');
							}
						}
						
						liEle.innerHTML = tplHtml;
						nullSpan.appendChild(liEle);
	
					}
	
					dataListEle[0].appendChild(nullSpan);
	
				},
				/**
				 * 获取两点之间的地理位置
				 * @param {Object} startObj
				 * @param {Object} endObj
				 */
				getDistance: function(startObj, endObj) {
					__webpack_require__(19).invokeNative({
						type: 12,
						data: {
							start: startObj,
							end: endObj
						},
						callby: callby
					}, function(res) {
						var nativeDistance = main.conertDistance(res.data);
						if(nativeDistance != 0) {
							return nativeDistance;
						}
					});
	
				},
	
				/**
				 * 将距离加上单位
				 * @param {Object} distanceStr
				 */
				conertDistance: function(distance) {
					return __webpack_require__(16).parseDistance(distance);
				},
	
				//事件绑定
				bindEvent: function() {
	
					var _self = this;
	
					/**
					 * 筛选点击
					 */
					filterCellEle.on("tap", ".filter-item", function() {
						var sort = $(this).attr("sort");
						if($(this).hasClass("selected") || stringUtil.isEmpty(sort)) {
							return;
						}
						requestPara.sort = sort;
	
						filterCellEle.find(".filter-item").removeClass("selected");
						$(this).addClass("selected");
						requestPara.pageNo = 1;
						filterItemTap = true;
						noDataEle.hide();
						pullrefreshObj.pullRefresh().refresh(true);
						pullrefreshObj.pullRefresh().pullupLoading();
					});
	
					/**
					 * 车场列表点击
					 */
					dataListEle.on("tap", ".list-item", function(e) {
						e.preventDefault();
						e.stopPropagation();
						var parkelecid = $(this).attr("parkelecid"),
							pageUrl = constant.rootPath + "/page/park/charge_park_info.html",
							param = {
								stationId: parkelecid,
							};
							if(!stringUtil.isEmpty(searchGps)){
								param.searchGps = searchGps;
							}
						openWindow(pageUrl, pageUrl, param);					
					});
	
					/**
					 * 车场列表导航铵钮点击
					 */
					dataListEle.on("tap", ".go-icon", function(e) {
						e.preventDefault();
						e.stopPropagation();
						var gps = $(this).attr("gps"),
							adr = $(this).attr("adr");
	
						if(stringUtil.isEmpty(gps)) {
							return;
						}
	
						var longitude = 0,
							latitude = 0;
	
						try {
							var gpsarray = gps.split(",");
							longitude = parseFloat(gpsarray[0]);
							latitude = parseFloat(gpsarray[1]);
						} catch(e) {
							//TODO handle the exception
						}
	
						if(longitude > 0 && latitude > 0) {
	
							var end = mapUtil.createPosition(longitude, latitude, adr);
							//调起导航
							mapUtil.invokeNative({
								type: 2,
								data: {
									start: currentPosition,
									end: end
								}
							});
						}
	
						
						return false;
					});
					
					//跳转到路边停车
					$('.btn-road').bind('tap',function(){
						var href = constant.rootPath + "/page/car/road_stop.html",
							param = {};
						
						openWindow(href,href,param)
					});
	
					//WEBVIEW自定义事件------------------------Begin---------------------------
	
					//更新位置，重新刷新数据
					window.addEventListener('updatePosition', function(event) {
	
						console.log("park_list_sub.html updatePosition--event");
						var longitude = 0,
							latitude = 0,
							parklist = null;
						try {
							var resultData = event.detail.data;
							longitude = resultData.longitude;
							parklist = resultData.parklist;
							latitude = resultData.latitude;
						} catch(e) {
							//TODO handle the exception
						}
	
						if(longitude > 0 && latitude > 0) {
							//获取到地理位置了
							requestPara.gps = longitude + "," + latitude;
							searchGps = requestPara.gps;
							_self.resetPage();
							var dataLength = (parklist && parklist.length) || 0;
							if(dataLength > 0) {
								_self.createElements(parklist);
							} else {
								pullrefreshObj.pullRefresh().refresh(true);
								pullrefreshObj.pullRefresh().pullupLoading();
							}
	
						}
					});
	
					//WEBVIEW自定义事件------------------------End---------------------------
				},
	
				/**
				 * 重置页面及请求参数
				 */
				resetPage: function() {
					var defaultFilterEle = $("#defaultFilter");
					dataListEle.html("");
					filterCellEle.find(".filter-item").removeClass("selected");
					defaultFilterEle.addClass("selected");
					requestPara.sort = defaultFilterEle.attr("sort");
					noDataEle.hide();
					requestPara.pageNo = 1;
					filterItemTap = true;
				},
				//车位数量格式化，num：车位数，type：格式化类型，all-总车位，less-空余车位
				numFormat: function(num, type) {
					var numTxt = "";
					if(type == "all") { //总车位数
	
						if(num < 99999) {
							numTxt = num;
						} else if(num > 99999 && num < 999999) {
							numTxt = (num / 10000).toFixed(1) + "万";
						} else if(num > 999999) {
							numTxt = (num / 10000).toFixed(1) + "万";
						}
	
					} else if(type == "less") { //空余车位数
	
						if(num < 999) {
							numTxt = num;
						} else if(num > 999 && num < 9999) {
							numTxt = num;
						} else if(num > 9999 & num < 999999) {
							numTxt = (num / 10000).toFixed(1) + "万";
	
						} else if(num > 999999) {
							numTxt = (num / 10000).toFixed(0) + "万+";
						}
	
					}
	
					return numTxt;
				}
			};
		$.initComplete(function() {
			main.init();
		});
	
	})(mui);
	//end

/***/ })
]);
//# sourceMappingURL=charge_park_list_sub.js.map