webpackJsonp([23],{

/***/ 0:
/***/ (function(module, exports, __webpack_require__) {

	/**
	 * 停车记录子页面
	 * version:1.0.1
	 * created by Max/jingming.li@jieshunpay.cn
	 */
	__webpack_require__(1);
	(function($) {
	
		var recTypeClass = $(".rec-type"), //拿到所有标题栏元素数组li
			recListEle = $("#rec-listbox"), //拿到动态渲染li的容器ul
			filter = stringUtil.isEmpty(requestURL.getParameter("filter"))? 0 :requestURL.getParameter("filter"), //条件过滤，定位到不同状态标签3-充电中,4,8-欠费待缴,7-已经完成
			status = filter == 0 ? "3" : filter, //状态类型，没有参数传递时，默认为"3"
			requestPara = {
				pageno: 0,
				pagesize: 5
			},
			method = "charge/queryCharge",
	
			pullrefreshSelector = "#pullrefresh",
			pullrefreshObj = $(pullrefreshSelector),
			filterItemTap = false, //是否点击了筛选条件
			dateModule = __webpack_require__(33),
			main = {
				//初始化执行
				init: function() {
					var self = this;
					self.showRedPoint(); //显示离场未缴的小红点
					self.initPullRefresh(); //初始化分页控件
					self.bindEvent();
				},
	
				/**
				 * 初始化上拉下拉刷新
				 */
				initPullRefresh: function() {
					$.init({
						pullRefresh: {
							indicators: false,
							container: pullrefreshSelector,
							up: {
								contentinit: '',
								contentdown: $.os.plus && $.os.android ? "正在加载" : "",
								callback: this.pullupRefresh
							}
						}
					});
					if($.os.plus) {
						$.plusReady(function() {
							setTimeout(function() {
								pullrefreshObj.pullRefresh().pullupLoading();
							}, 50);
						});
					} else {
						$.ready(function() {
							pullrefreshObj.pullRefresh().pullupLoading();
						});
					}
				},
				/**
				 * 上拉加载具体业务实现
				 */
				pullupRefresh: function() {
					main.handRefresh();
				},
	
				/**
				 * 处理分页参数及页面加载等
				 */
				handRefresh: function(type) {
					$("#noRecord").addClass("mui-hidden"); //将没有停车记录的图片隐藏
					if(filterItemTap) {
						//排序字段点击之后重置刷新控件，且将页面滚动至顶部
						//					pullrefreshObj.pullRefresh().enablePullupToRefresh();
						pullrefreshObj.pullRefresh().scrollTo(0, 0);
						filterItemTap = false;
					} else {
						//初次加载时，根据接收的参数tab默认显示激活状态
						$(".rec-type").removeClass("active");
						var activeNum = parseInt(status) - 3; //根据传入的状态计算出tab的下标
						$(".rec-type").eq(activeNum).addClass("active");
					}
					if("down" == type) {
						requestPara.pageno = 0;
					}
					requestPara.ordstatus = status;
					var param = requestPara,
						/**
						 * 结束刷新数据
						 * @param {Object} endpull
						 */
						endRefresh = function(endpull) {
							"down" == type ? pullrefreshObj.pullRefresh().endPulldownToRefresh() : pullrefreshObj.pullRefresh().endPullupToRefresh(endpull);
						},
	
						handleResp = function(res) {
							console.log(res)
							var resultdata = '';
							if(stringUtil.isEmpty(res.data.ordlist)){
								resultdata = []; //充电信息数组
							}else{
								resultdata = res.data.ordlist;
							}
							var html = recListEle.html(),
								endpull = false, //true表示没有更多数据了							
								respTime = res.data.respTime, //后台返回当前应答时间
								dataLength = (resultdata && resultdata.length) || 0;
	
							if(dataLength < requestPara.pagesize) {
								//如果返回数据列表条码< 每页显示的条数，则认为没有更多数据了
								endpull = true;
								if(requestPara.pageno == 0 && "down" != type) {
	
									//此时条件已经是没有更多数据了，而且请求的是第一页，则将上拉禁用
									pullrefreshObj.pullRefresh().disablePullupToRefresh();
								}
							} else {
								requestPara.pageno++;
							}
	
							if(dataLength > 0) {
								main.createList(resultdata);
								if(requestPara.ordstatus == "04") { //欠费未缴时，直接添加小红点，不再次请求数据
									if(!$('.red-point')[0]) { //有数据时，如果不存在小红点，就添加小红点
										var redPoint = document.createElement('div');
										redPoint.setAttribute('class', 'red-point');
										$("#orderToPay")[0].appendChild(redPoint);
									}
								}
							}
	
							if(dataLength == 0 && requestPara.pageno == 0) { //如果没有数据并且是第一页时，就将没有数据的图片显示出来。
								$("#noRecord").removeClass("mui-hidden");
							}
							//pullrefreshObj.pullRefresh().disablePullupToRefresh(); //先不做分页
							endRefresh(endpull);
						};
					if(requestPara.pageno == 0 || "down" == type) {
						//如果是请求第一页 或是 下拉刷新页面，则将页面元素先清空
						recListEle.html("");
					}
					postData(method, param, handleResp, function() {
						endRefresh(false);
					}, {
						showWait: true
					});
				},
	
				//创建列表
				createList: function(ordlist) {
			
					var recListHtml = "";
	
					$.each(ordlist, function(key, val) {
						//定义渲染模板
						recListTpl = '<li class="item-detail" ordid="{{ordid}}" ordstatus="{{ordstatus}}"><p class="item-parkname"><span>{{parkname}}</span></p><p class="item-intime">开始时间 ：{{startTime}}</p><p class="item-outtime">{{endTime}}</p><div class="item-right"><p class="item-needpay"></p><div class="will-pay {{txtColor}}"><span class="item-needpay-text">{{needpayName}}</span><span class="item-needpay-num">{{needpayMoney}}</span></div></div></div></li>';
						var startTime = val.starttime && dateModule.timeFormat(Date.parse(dateModule.getDate(val.starttime)), "yyyy-MM-dd hh:mm"), //入场时间
							endTime = val.endtime && dateModule.timeFormat(Date.parse(dateModule.getDate(val.endtime)), "yyyy-MM-dd hh:mm"), //出场时间
							ordstatus = val.ordstatus, //充电状态。						
							ordid = val.ordid, //订单号
							parkname = val.parkname, //停车场名称
							ordamt = stringUtil.isEmpty(val.ordamt)?'0.00':(val.ordamt / 100).toFixed(2), //充电费用
							
	
							recListTpl = recListTpl.replace('{{ordid}}', ordid)
													.replace('{{parkname}}', parkname)
													.replace('{{ordstatus}}',ordstatus)
													.replace('{{startTime}}', startTime);
						switch(ordstatus) {
							case "3": //停车中
								recListHtml = recListTpl.replace('{{needpayName}}', '计费中')
														.replace('{{needpayMoney}}', '')
														.replace('{{endTime}}', "充电中...")
														.replace('{{txtColor}}', "");
	
								break;
							case "4": //拔枪欠费待缴
								recListHtml = recListTpl.replace('{{needpayName}}', "请拔枪")
														.replace('{{needpayMoney}}', "")
														.replace('{{endTime}}', "结束时间：" + endTime)
														.replace('{{txtColor}}', "need-pay");
	
								break;
							case "8": //欠费待缴
								recListHtml = recListTpl.replace('{{needpayName}}', "待缴:")
														.replace('{{needpayMoney}}', constant.moneySymbol + ordamt)
														.replace('{{endTime}}', "结束时间：" + endTime)
														.replace('{{txtColor}}', "need-pay");
	
							break;
							case "7": //已完成
								recListHtml = recListTpl.replace('{{needpayName}}', ordamt > 0 ?"已支付:":"")
														.replace('{{needpayMoney}}', ordamt > 0 ? constant.moneySymbol + ordamt : "免费")
														.replace('{{endTime}}', "结束时间：" + endTime)
														.replace('{{txtColor}}', "has-pay");
	
								break;
							default:
								break;
						}
						recListEle.append(recListHtml);
					});
				},
	
				//欠费待缴显示的红点
				showRedPoint: function() {
	//				if(filter == "04") { //如果传过来的参数是"04",欠费待缴，就不再发送ajax请求了。
	//					return;
	//				}
					var self = this;
					requestPara.ordstatus = "4,8";
					postData(method, requestPara, function(res) { //单独请求，判断是否有数据，如果有数据，就添加小红点
						var resultdata = res.data.ordlist,
							dataLength = (resultdata && resultdata.length) || 0;
						if(dataLength) {
							if(!$('.red-point')[0]) { //有数据时，如果不存在小红点，就添加小红点
								var redPoint = document.createElement('div');
								redPoint.setAttribute('class', 'red-point');
								$("#orderToPay")[0].appendChild(redPoint);
							}
						}
					}, function() {}, {
						showWait: false
					});
				},
				
				getPayreqssn: function(invoiceId){
					postData("order/info", {
						orderId: invoiceId
					}, function(res) {	
						var payreqssn = res.data.payList[0].payreqssn,
							pageUrl = res.data.kpUrl,
							jumpUrl = constant.rootPath + "/page/account/kp_invoice.html";
							invoiceParam={
								payreqssn:payreqssn,
								pageUrl:pageUrl
							};
						openWindow(pageUrl, pageUrl, invoiceParam);
					},function(err){
						
					},null);
				},
				//事件绑定
				bindEvent: function() {
					var self = this;
					/**
					 * 筛选点击
					 */
					recTypeClass.bind("tap", function() {
						//拿到点击时tab栏的对应的属性值
						status = $(this).attr("data-state");
						$(".rec-type").removeClass("active");
						$(this).addClass("active");
						//请求相应的数据  
						requestPara.pageno = 0;
						filterItemTap = true; //将是否是筛选置为true.
						recListEle.html(""); //每次点击，将停车记录清空。
						$("#noRecord").addClass("mui-hidden"); //将没有停车记录的图片隐藏
						pullrefreshObj.pullRefresh().refresh(true);
						pullrefreshObj.pullRefresh().pullupLoading();
					});
					/**
					 * 订单点击跳转到路边停车或车场停车页
					 */
					recListEle.on("tap", ".item-detail", function() {
	
						var ordid = $(this).attr("ordid"), //获取订单号
							ordstatus = $(this).attr("ordstatus"),
							param = {
								orderId: ordid
							};
						var pageUrl = constant.rootPath + "/page/account/charge_state.html";
						
							if(ordstatus == '7'){
								pageUrl = constant.rootPath + "/page/account/charge_detail.html";
							}
							
							if($.os.plus){
								param.fromPageId = plus.webview.currentWebview().id;
								param.parkRecordPageId = plus.webview.currentWebview().id;
							}
	
						openWindow(pageUrl, pageUrl, param);
					});
					
					
								
					//刷新数据 
					window.addEventListener('refreshData', function(event) {
						
						console.log("refreshData--event" + JSON.stringify(event.detail));
						if($.os.plus) {
							plus.webview.currentWebview().reload(true);
						} else {
							window.location.reload(true);
						}
	
					});
				}
			};
		$.initComplete(function() {
			main.init();
		});
	
	})(mui);
	//end

/***/ }),

/***/ 33:
/***/ (function(module, exports, __webpack_require__) {

	/**
	 * 日期格式化工具
	 * version:1.0.1
	 * created by Max/jingming.li@jieshunpay.cn
	 */
	module.exports = (function($) {
		var returnResult = {},
			stringUtil = __webpack_require__(3),
			timeId = "";
	
		/**
		 * 将时间错转换为格式化时间，返回字符串
		 *
		 * @param {Object}
		 *            timeStamp:时间错
		 * @param {Object}
		 *            formatstr:格式(yyyy-MM-dd hh:mm:ss等)
		 */
		returnResult.timeFormat = function(timeStamp, formatstr) {
			if(!stringUtil.isEmpty(timeStamp))
				if(formatstr == "yyyy-MM-dd hh:mm:ss.S") {
					var dateStr = new Date(parseInt(timeStamp)).Format(formatstr).toLocaleString();
					if(dateStr.length == 21) {
						dateStr += "00";
					} else if(dateStr.length == 22) {
						dateStr += "0";
					}
					return dateStr;
				} else {
					return new Date(parseInt(timeStamp)).Format(formatstr).toLocaleString();
				}
			else
				return "";
		};
		Date.prototype.Format = function(fmt) {
			var o = {
				"M+": this.getMonth() + 1, //月份   
				"d+": this.getDate(), //日   
				"h+": this.getHours(), //小时   
				"m+": this.getMinutes(), //分   
				"s+": this.getSeconds(), //秒   
				"q+": Math.floor((this.getMonth() + 3) / 3), //季度   
				"S": this.getMilliseconds() //毫秒   
			};
			if(/(y+)/.test(fmt))
				fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
			for(var k in o)
				if(new RegExp("(" + k + ")").test(fmt))
					fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
			return fmt;
		};
	
		//字符串转日期格式，strDate要转为日期格式的字符串如：20170823183943
		returnResult.formatStrToDate = function(strDate) {
			var dateDetail = strDate.substr(4);
			var theDate = "";
			for(var t = 0; t < dateDetail.length / 2; t++) {
				if(t == 0) {
					theDate += "," + (parseInt(dateDetail.substr(t * 2, 2)) - 1).toString();
				} else {
					theDate += "," + dateDetail.substr(t * 2, 2);
				}
			}
			theDate = "new Date(" + strDate.substr(0, 4) + theDate + ")";
			return eval(theDate);
		};
	
	
	
		//字符串转日期格式，strDate要转为日期格式的字符串如：20170823183943
		returnResult.getDate = function(strDate) {
			var dateDetail = strDate.substr(4);
			var theDate = "";
			for(var t = 0; t < dateDetail.length / 2; t++) {
				if(t == 0) {
					theDate += "," + (parseInt(dateDetail.substr(t * 2, 2)) - 1).toString();
				} else {
					theDate += "," + dateDetail.substr(t * 2, 2);
				}
			}
			theDate = "new Date(" + strDate.substr(0, 4) + theDate + ")";
			return eval(theDate);
		};
	
		// 累计时间
		returnResult.reckonTime = function(eid, begintime, endtime, sectemp, daytemp, type, fun, downback) {
			var allTime = Date.parse(endtime) - Date.parse(begintime);
			var dayTime = Math.floor(allTime / (1000 * 60 * 60 * 24));
			var hourTime = Math.floor(allTime / (1000 * 60 * 60)) % 24;
			var minTime = Math.floor(allTime / (1000 * 60)) % 60;
			var secTime = Math.floor(allTime / 1000) % 60;
	
			var timeArry = "";
			hourTime = hourTime <= 9 ? "0" + hourTime : hourTime;
			minTime = minTime <= 9 ? "0" + minTime : minTime;
			secTime = secTime <= 9 ? "0" + secTime : secTime;
			if(dayTime > 0) {
				var stopTime = daytemp.replace(/@dd/g, dayTime).replace(/@hh/g, hourTime).replace(/@mm/g, minTime);
			} else {
				var stopTime = sectemp.replace(/@hh/g, hourTime).replace(/@mm/g, minTime).replace(/@ss/g, secTime);
			}
			
			clearTimeout(timeId);
			
			document.getElementById(eid).innerHTML = stopTime;
	
			if(type == "timedown") {
				begintime = new Date(Date.parse(begintime) + 1000);
				if(Date.parse(begintime) - 1000 == Date.parse(endtime)) {
					downback && downback();
					type = "timeup";
				}
				timeId = setTimeout(function() { returnResult.reckonTime(eid, begintime, endtime, sectemp, daytemp, type, fun, downback) }, 1000);
			} else {
				endtime = new Date(Date.parse(endtime) + 1000);
				timeId = setTimeout(function() { returnResult.reckonTime(eid, begintime, endtime, sectemp, daytemp, type, fun) }, 1000);
			}
	
			timeArry = [allTime/1000, dayTime, hourTime, minTime, secTime, type, timeId];
			fun && fun(timeArry);
	
			//		endtime = new Date(Date.parse(endtime) + 1000);
			//		setTimeout(function() { returnResult.reckonTime(eid, begintime, endtime, sectemp, daytemp) }, 1000);
		}
		
		// 清除计时
		returnResult.clearReckon = function(){
			clearTimeout(timeId);
		}
	
		// 把以秒为单位的时间转化成以天/时/分(省略版)
		returnResult.secToHour = function(s, daytemp, hourtemp, mintemp) {
	
			daytemp = daytemp || "@dd@hh@mm";
			hourtemp = hourtemp || "@hh@mm";
			mintemp = mintemp || "@mm";
			var sec = parseInt(s);
			var day = Math.floor(s / (60 * 60 * 24));
			var hour = Math.floor(s / (60 * 60));
			var min = Math.floor(s / 60);
			var second = s % 60;
			var timeText = "";
			if(day > 0) {
				hour = hour % 24;
				timeText = daytemp.replace(/@dd/g, day).replace(/@hh/g, hour).replace(/@mm/g, min % 60);
			} else if(hour > 0) {
				min = min % 60;
				timeText = hourtemp.replace(/@hh/g, hour).replace(/@mm/g, min);
			} else if(min > 0) {
				timeText = mintemp.replace(/@mm/g, min);
			} else {
				timeText = "少于1分钟";
			}
			return timeText;
		};
		
		// 把以秒为单位的时间转化成以天/时/分(详细版)
		returnResult.parkTimeFormat = function(s, daytemp, hourtemp) {
	
			daytemp = daytemp || "@dd@hh@mm";
			hourtemp = hourtemp || "@hh@mm@ss";
			var sec = parseInt(s);
			var day = Math.floor(s / (60 * 60 * 24));
			var hour = Math.floor(s / (60 * 60));
			var min = Math.floor(s / 60);
			var second = s % 60;
			var timeText = "";
			if(day > 0) {
				hour = hour % 24;
				min = min % 60;
				day = day <= 9 ? "0" + day : day;
				hour = hour <= 9 ? "0" + hour : hour;
				min = min <= 9 ? "0" + min : min;
				timeText = daytemp.replace(/@dd/g, day).replace(/@hh/g, hour).replace(/@mm/g, min);
			} else {
				min = min % 60;
				second = second % 60;
				hour = hour <= 9 ? "0" + hour : hour;
				min = min <= 9 ? "0" + min : min;
				second = second <= 9 ? "0" + second : second;
				timeText = hourtemp.replace(/@hh/g, hour).replace(/@mm/g, min).replace(/@ss/g, second);
			}
			return timeText;
		};
	
		// 倒计时 t-倒计时耗时(秒)，onCall-倒计时进行时回调方法，endCall-倒计时结束时回调方法;
		returnResult.timeFall = function(s, onCall, endCall) {
			var t = parseInt(s);
			var scan = function() {
				if(t == -1) {
					endCall && endCall();
					clearInterval(init);
				} else {
					var houStr = Math.floor(t / 60 / 60);
					var minStr = Math.floor(t / 60 % 60);
					var secStr = t % 60;
					houStr = houStr <= 9 ? "0" + houStr : houStr;
					minStr = minStr <= 9 ? "0" + minStr : minStr;
					secStr = secStr <= 9 ? "0" + secStr : secStr;
					objTime = { hh: houStr, mm: minStr, ss: secStr };
					onCall && onCall(objTime);
					t--;
				}
			}
			scan();
			var init = setInterval(scan, 1000);
		}
	
		return returnResult;
	})(mui);

/***/ })

});
//# sourceMappingURL=charge_record_sub.js.map