/******/ (function(modules) { // webpackBootstrap
/******/ 	// install a JSONP callback for chunk loading
/******/ 	var parentJsonpFunction = window["webpackJsonp"];
/******/ 	window["webpackJsonp"] = function webpackJsonpCallback(chunkIds, moreModules) {
/******/ 		// add "moreModules" to the modules object,
/******/ 		// then flag all "chunkIds" as loaded and fire callback
/******/ 		var moduleId, chunkId, i = 0, callbacks = [];
/******/ 		for(;i < chunkIds.length; i++) {
/******/ 			chunkId = chunkIds[i];
/******/ 			if(installedChunks[chunkId])
/******/ 				callbacks.push.apply(callbacks, installedChunks[chunkId]);
/******/ 			installedChunks[chunkId] = 0;
/******/ 		}
/******/ 		for(moduleId in moreModules) {
/******/ 			if(Object.prototype.hasOwnProperty.call(moreModules, moduleId)) {
/******/ 				modules[moduleId] = moreModules[moduleId];
/******/ 			}
/******/ 		}
/******/ 		if(parentJsonpFunction) parentJsonpFunction(chunkIds, moreModules);
/******/ 		while(callbacks.length)
/******/ 			callbacks.shift().call(null, __webpack_require__);
/******/ 		if(moreModules[0]) {
/******/ 			installedModules[0] = 0;
/******/ 			return __webpack_require__(0);
/******/ 		}
/******/ 	};
/******/
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// object to store loaded and loading chunks
/******/ 	// "0" means "already loaded"
/******/ 	// Array means "loading", array contains callbacks
/******/ 	var installedChunks = {
/******/ 		75:0
/******/ 	};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId])
/******/ 			return installedModules[moduleId].exports;
/******/
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			exports: {},
/******/ 			id: moduleId,
/******/ 			loaded: false
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.loaded = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/ 	// This file contains only the entry chunk.
/******/ 	// The chunk loading function for additional chunks
/******/ 	__webpack_require__.e = function requireEnsure(chunkId, callback) {
/******/ 		// "0" is the signal for "already loaded"
/******/ 		if(installedChunks[chunkId] === 0)
/******/ 			return callback.call(null, __webpack_require__);
/******/
/******/ 		// an array means "currently loading".
/******/ 		if(installedChunks[chunkId] !== undefined) {
/******/ 			installedChunks[chunkId].push(callback);
/******/ 		} else {
/******/ 			// start chunk loading
/******/ 			installedChunks[chunkId] = [callback];
/******/ 			var head = document.getElementsByTagName('head')[0];
/******/ 			var script = document.createElement('script');
/******/ 			script.type = 'text/javascript';
/******/ 			script.charset = 'utf-8';
/******/ 			script.async = true;
/******/
/******/ 			script.src = __webpack_require__.p + "" + {"0":"e9ddd31ff07036308159","1":"7079e81da400066ad00c","2":"72fa835b4e5915f1022c","3":"387d961d99df5667ebcb","4":"6888c795064766a27551","5":"9815b6b8874ccdab5734","6":"e31b0099a0b9067e92ae","7":"9830db3d91d5b552eab7","8":"fdd8b717e61541117e22","9":"879ab2f2c41ad10f77bb","10":"905322ac9d1cc0e0c10d","11":"621990e1268bcf25f37f","12":"ab44f164c93988c1141a","13":"49b63de43a49506c9afc","14":"29fce9235c01f9f0212b","15":"e65b47901bf97dd26188","16":"84a1b42bb0b2b8fa8623","17":"c457b1b61f8463f6a742","18":"82a266b13fac10e3e64a","19":"1ab2f54547e2d346cd28","20":"31c72689b157d9edb9f3","21":"21f826f6d2db0570aa95","22":"7811de6fefea2c8dd029","23":"a51dded207f6f3b7efd0","24":"6b6cccbb4d178adabf2b","25":"7d24cb155e6b045edfaa","26":"0a2d81859fd736d37d05","27":"f74e4427da5453723ba7","28":"2704b92d7fc034cb94e5","29":"4a32014308ad80a22d94","30":"be7763640eec428eb3d2","31":"3eb3e8027f1dc036d251","32":"92b1bc68dcc5b7965bad","33":"2d6365ada08ce92f6439","34":"c42b7e1159e487b68857","35":"0a7e2f83ec387f04698e","36":"5962ad514020ddf10cea","37":"138d0aaa3c4a581ff736","38":"87de3ec3668947723864","39":"a70f3f7f4e1406164dcc","40":"efc8ebdcfa4cac9a806c","41":"7ff0bd1d9851f13351fd","42":"ba13a8508f5c7215e53f","43":"7c851d9a38d29a510091","44":"fecb0746beade5b0ba55","45":"2c5ee3931670ab43af36","46":"97d77e580d7f150e38f7","47":"af48f1c3bc4e8e2c6171","48":"99de80e8f1780743537a","49":"2854643ef60727339009","50":"181160d51bd6db9ee71d","51":"a1d90593524f4a833aed","52":"beac6bad253dbd3585e1","53":"785676384c26d3dd7658","54":"c7ba6de3924cb46491cc","55":"9dfc95941579b310604e","56":"062bc4ff11967427b1a6","57":"84b67beda93b951e054f","58":"bba97bf02f241a2ace4d","59":"419849633da79ca50913","60":"2bf9a30d08fd88d59756","61":"420ececaaaf9c7613566","62":"46fb064d4c706ed5de58","63":"5ac4e0fcb8cf9b2ebc04","64":"b96a4d9a750d9d536c96","65":"87b13144da80f1440e6e","66":"ce0f0adf036aa9274648","67":"12306b221536aec14b50","68":"13a22911bf35e88db1d0","69":"b0ed55542d07c95d255a","70":"5e4b69b62ba5c7334a07","71":"7ba695915de80c9256e9","72":"f910e53fc61f4534156f","73":"b9208e3490460b662043","74":"4666192202b45a83bcf9"}[chunkId] + ".js";
/******/ 			head.appendChild(script);
/******/ 		}
/******/ 	};
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "build/js/";
/******/ })
/************************************************************************/
/******/ ([
/* 0 */,
/* 1 */
/***/ (function(module, exports, __webpack_require__) {

	/**
	 * 公共引用，JS模块或入口都依赖此文件，涉及到大部分页面需用到
	 * version:1.0.1
	 * created by Max/jingming.li@jieshunpay.cn
	 */
	
	__webpack_require__(2);
	
	//常量定义
	window.constant = __webpack_require__(4);
	
	//字符串工具
	window.stringUtil = __webpack_require__(3);
	
	//URL常用方法
	window.requestURL = __webpack_require__(5);
	
	//存储
	window.local = __webpack_require__(6);
	
	// 用户数据
	__webpack_require__(7);
	
	//自定义窗口方法扩展
	window.winExp = __webpack_require__(8);
	
	//HTTP请求操作
	window.httpClient = __webpack_require__(9);
	
	//登录信息设置获取
	window.login = __webpack_require__(17);
	
	//h5原生交互变量
	window.h5_invoke = __webpack_require__(19);
	
	/**
	 * 加载执行，初始化等
	 * @param {Object} $
	 */
	(function($) {
		var self = {},
	
			//设置页面HTML属性fontsize
			setFontsize = function() {
				var docEl = document.documentElement,
					clientWidth = docEl.clientWidth;
				if(!clientWidth) return;
				var fontsize = Math.min(clientWidth, 640) / 16;
				docEl.style.fontSize = this.fontSize = fontsize + 'px';
				docEl.setAttribute('fontsize', fontsize);
			},
			//初始化执行
			_init = function() {
				setFontsize();
			};
		_init();
	
		$.initComplete = function(callback) {
	
			if($.os.plus) {
				$.plusReady(function() {
					callback && callback();
				});
			} else {
				$.ready(function() {
					callback && callback();
				});
			}
	
		}
	
	})(mui);

/***/ }),
/* 2 */
/***/ (function(module, exports, __webpack_require__) {

	/**
	 * mui扩展
	 * version:1.0.1
	 * created by Max/jingming.li@jieshunpay.cn
	 */
	var stringUtil = __webpack_require__(3);
	module.exports = (function($) {
	
		/**
		 * 选择器如有多个元素,获取属性值或是否包含时则默认返回第一个元素的操作
		 * class的操作，如需一次添加多个，使用空格隔开如aa bb cc
		 */
		//给某个元素添加class
		$.fn.addClass = function(value) {
	
			if(stringUtil.isEmpty(value)) {
				return this;
			}
	
			return this.each(function() {
				value.split(/\s+/).forEach(function(item) {
					this.classList.add(item);
				}.bind(this));
			});
		};
	
		//给某个元素移除class
		$.fn.removeClass = function(value) {
			if(stringUtil.isEmpty(value)) {
				return this;
			}
	
			return this.each(function() {
				value.split(/\s+/).forEach(function(item) {
					this.classList.remove(item);
				}.bind(this));
			});
	
		};
	
		//元素没有包含class则添加,有则移除
		$.fn.toggleClass = function(value) {
			if(stringUtil.isEmpty(value)) {
				return this;
			}
			return this.each(function() {
				value.split(/\s+/).forEach(function(item) {
					this.classList.toggle(item);
				}.bind(this));
			});
	
		};
	
		//是否包含某个class
		$.fn.hasClass = function(value) {
			var self = this[0];
			return self.classList.contains(value);
		};
	
		//元素添加属性
		$.fn.attr = function(key, value) {
			var self = this[0];
	
			if(arguments.length == 1) {
				return self.getAttribute(key);
			}
			return this.each(function() {
				this.setAttribute(key, value);
			});
		};
	
		//移除属性
		$.fn.removeAttr = function(key) {
			return this.each(function() {
				this.removeAttribute(key);
			});
		};
		//元素添加自定义属性值
		$.fn.data = function(key, value) {
			var self = this[0];
			if(arguments.length == 1) {
				return self.getAttribute("data-" + key);
			}
			return this.each(function() {
				this.setAttribute("data-" + key, value);
			});
		};
	
		//获取元素value值或设置值
		$.fn.val = function(tvalue) {
			var self = this[0];
			if(arguments.length == 1) {
				return self.value = tvalue;
			}
			return self.value;
		};
		//获取元素parent
		$.fn.parent = function() {
			var temp = this[0].parentNode;
			if(temp == null) return null;
			while(temp && temp.nodeType != 1) {
				temp = temp.parentNode;
			}
			return temp;
		};
		//获取元素prev
		$.fn.prev = function() {
			var getEle = this[0].previousSibling;
			while(getEle.nodeType != 1) {
				getEle = getEle.previousSibling;
				if(stringUtil.isEmpty(getEle)) {
					return null;
				}
			}
			return getEle;
		};
		//获取元素next
		$.fn.next = function() {
			var getEle = this[0].nextSibling;
			while(getEle.nodeType != 1) {
				getEle = getEle.nextSibling;
				if(stringUtil.isEmpty(getEle)) {
					return null;
				}
			}
			return getEle;
		};
		//获取元素value值或设置值
		$.fn.find = function(selector) {
			var selectorAll = [],
				i = 0;
			this.each(function() {
				selectorAll = selectorAll.concat($.qsa(selector, this));
			});
	
			return $(selectorAll);
		};
	
		//根据索引查找元素
		$.fn.eq = function(eq) {
			var target = "";
			this.each(function(index, ele) {
				if(stringUtil.isEmpty(eq)) {
					return "";
				}
				if(index == eq) {
					target = ele;
				}
			});
			return $(target);
		};
	
		/**
		 * 获取当前DOM索引
		 * selector:当前document的同胞对象集合
		 * target:当前document对象
		 */
		$.elementGetIndex = function(selector, target) {
			var indexResult = 0;
			$(selector).each(function(index, ele) {
				if(ele === target) {
					indexResult = index;
					return;
				}
			});
			return indexResult;
		};
	
		/**
		 * 设置元素CSS值
		 * 用法:$(".mui-input-row label").css({
		 *				"padding": "10px",
		 *				"margin": "20px"
		 *			});
		 * 用法:$(".mui-input-row label").css("margin": "20px");
		 */
		$.fn.css = function() {
	
			if(arguments.length == 0) {
				return;
			}
			var styleKey = arguments[0],
				styleValue = arguments[1];
	
			function endsWith(str, suffix) {
				var l = str.length - suffix.length;
				return l >= 0 && str.indexOf(suffix, l) == l;
			}
	
			return this.each(function() {
	
				var cssText = this.style.cssText;
				if(!endsWith(cssText, ';')) {
					cssText += ';';
				}
	
				if(typeof(styleKey) == "object") {
					var cssstr = '';
					for(var p in styleKey) {
						if(typeof(styleKey[p]) == "function") {
							styleKey[p]();
						} else {
							// p 为属性名称，obj[p]为对应属性的值
							cssstr += p + ":" + styleKey[p] + ";";
						}
					}
					this.style.cssText = cssText + cssstr;
				} else {
					this.style.cssText = cssText + styleKey + ":" + styleValue + ";";
				}
	
			});
		};
	
		//显示元素
		$.fn.show = function() {
			return this.each(function() {
				this.style.display = "block";
			});
		};
	
		//隐藏元素
		$.fn.hide = function() {
			return this.each(function() {
				this.style.display = "none";
			});
		};
	
		//给元素赋值HTML或获取元素innerHtml
		$.fn.html = function(innerHtmlStr) {
			if(stringUtil.isEmpty(arguments)) {
				return this[0].innerHTML;
			}
	
			return this.each(function() {
				this.innerHTML = innerHtmlStr;
			});
		};
	
		//移除元素
		$.fn.remove = function() {
			return this.each(function() {
				if(this) this.parentNode.removeChild(this);
			});
		};
	
		//添加元素
		$.fn.append = function(obj) {
			if(typeof obj === "string") {
				return this.each(function() {
					this.innerHTML = this.innerHTML + obj;
				});
	
			} else {
				return this.each(function() {
					if(this) this.parentNode.appendChild(obj);
				});
	
			}
	
		};
	
		//给元素添加事件
		$.fn.bind = function(event, callback) {
			return this.each(function() {
				this.addEventListener(event, callback);
			});
		};
	
		//给元素添加事件
		$.fn.addEventListener = function(event, callback) {
			return this.each(function() {
				this.addEventListener(event, callback);
			});
		};
	
		//给元素添加事件
		$.fn.removeEventListener = function(event, callback) {
			return this.each(function() {
				this.removeEventListener(event, callback);
			});
		};
	
		//获取滚动条的垂直偏移量，支持window和documentElement
		$.fn.scrollTop = function(value) {
			if("scrollTop" in this[0]) {
				if(value != undefined && value != null) {
					this[0].scrollTop = value;
				} else {
					return this[0].scrollTop;
				}
			} else {
				if(value != undefined && value != null) {
					window.scrollTo(window.pageXOffset, value);
				} else {
					return window.pageYOffset;
				}
			}
		};
	})(mui);

/***/ }),
/* 3 */
/***/ (function(module, exports) {

	/**
	 * 字符串操作
	 * version:1.0.1
	 * created by Max/jingming.li@jieshunpay.cn
	 */
	module.exports = (function($) {
		var returnResult = {};
		/**
		 * 判断是否为空,为空返回true
		 * @param {Object} target
		 */
		returnResult.isEmpty = function(target) {
			var typeoft = typeof(target);
			if(typeoft === "string") {
				target = target.trim();
				return target == "undefined" || target === "" || target == "\"\"" || target == "\'\'" || target == "null";
			}
			if(typeoft === "object") {
				return $.isEmptyObject(target);
			}
			return target === null || target === undefined;
		};
	
		/**
		 * 生成随机字符串
		 * @param {Object} length长度
		 */
		returnResult.randomString = function(length) {
			var str = '';
			for(; str.length < length; str += Math.random().toString(36).substr(2));
			return str.substr(0, length);
		};
	
		// 是否是网址
		returnResult.isURL = function(str) {
			//return !!str.match(/(((^https?:(?:\/\/)?)(?:[-;:&=\+\$,\w]+@)?[A-Za-z0-9.-]+|(?:www.|[-;:&=\+\$,\w]+@)[A-Za-z0-9.-]+)((?:\/[\+~%\/.\w-_]*)?\??(?:[-\+=&;%@.\w_]*)#?(?:[\w]*))?)$/g);
			var strRegex = '^((https|http|ftp|rtsp|mms|file)?://)' +
				'(([0-9a-z_!~*\'().&=+$%-]+: )?[0-9a-z_!~*\'().&=+$%-]+@)?' //ftp的user@ 
				+
				'(([0-9]{1,3}.){3}[0-9]{1,3}' // IP形式的URL- 199.194.52.184 
				+
				'|' // 允许IP和DOMAIN（域名） 
				+
				'([0-9a-z_!~*\'()-]+.)*' // 域名- www. 
				+
				'([0-9a-z][0-9a-z-]{0,61})?[0-9a-z].' // 二级域名 
				+
				'[a-z]{2,6})' // first level domain- .com or .museum 
				+
				'(:[0-9]{1,4})?' // 端口- :80 
				+
				'((/?)|' // a slash isn't required if there is no file name 
				+
				'(/[0-9a-z_!~*\'().;?:@&=+$,%#-]+)+/?)$';
			var re = new RegExp(strRegex);
			//re.test() 
			if(re.test(str)) {
				return(true);
			} else {
				return(false);
			}
		};
	
		returnResult.isPhone = function(str){
			var strRegex = '^1(3|4|5|6|7|8|9)\\d{9}$';
			var re = new RegExp(strRegex);
			if (re.test(str)){
				return true;
			}else {
				return false;
			}
		};
		returnResult.isTell = function(str){
			var strRegex = '^(\\(\\d{3,4}\\)|\\d{3,4}-|\\s)?\\d{7,14}$';
			var re = new RegExp(strRegex);
			if (re.test(str)){
				return true;
			}else {
				return false;
			}
		};
	
		/**
		 * 返回多个相同字符
		 * @param {Object} n
		 */
		String.prototype.repeat = function(n) {
			return new Array(n + 1).join(this);
		}
	
		/**
		 * 处理字符串只显示一部分
		 * @param {Object} options
		 */
		returnResult.infoProtectDeal = function(options) {
			var options = $.extend({
				targetStr: "", //目标字符串
				keepStart: 0, //需保留前几位
				keepEnd: 0, //需保留后几位
				cipherLen: 0 //显示多少个*
			}, options);
	
			var returnStr = "";
			if(!returnResult.isEmpty(options.targetStr)) {
				if(options.keepStart > options.targetStr.length) {
					//前面要保留的数量已超过最大长度
					returnStr = options.targetStr;
				} else {
	
					var remainLen = options.targetStr.length - options.keepStart; //去掉前面保留的位数之后，还有多少位
	
					if(options.keepEnd > remainLen) {
						//后面要保留的位数已超过还剩余的位数
						returnStr = options.targetStr;
					} else {
						var remainCipherLen = options.targetStr.length - options.keepStart - options.keepEnd; //去掉前后保留之后，还有多少个字符需要*
						if(options.cipherLen > 0) {
							//有自定义显示多个*
							remainCipherLen = options.cipherLen;
						}
	
						returnStr = options.targetStr.slice(0, options.keepStart).concat("*".repeat(remainCipherLen)).concat(options.targetStr.slice(-options.keepEnd));
					}
	
				}
			}
			return returnStr;
	
		};
	
		/**
		 * 百分数转成小数，并保留两位
		 */
		returnResult.PercenttoPoint = function(str) {
			var num = str.replace("%", "");
			num = parseFloat(num) / 100;
			return parseFloat(num.toFixed(2));
		};
	
		/**
		 * 字符串格式化(加空格)
		 * type为手机号码或捷顺通卡号码
		 */
		returnResult.FormatNumber = function(str, type) {
			var t = "";
			switch(type) {
				case "mobile":
					for(var n = 0; n < str.length; ++n) {
						n == 3 || n == 7 ? t += " " + str[n] : t += str[n];
					}
					break;
				case "jstcard":
					for(var n = 0; n < str.length; ++n) {
						n == 6 ? t += " " + str[n] : t += str[n];
					}
					break;
			}
			return t;
		};
	
		/**
		 * 判断数组是否包含某元素
		 */
		returnResult.isInArray = function(arr, str) {
			var self = this;
			var t = false;
			for(var i = 0; i < arr.length; i++) {
				if(arr[i] == str) {
					t = true;
					break;
				}
			}
			return t;
		};
		return returnResult;
	})(mui);

/***/ }),
/* 4 */
/***/ (function(module, exports) {

	/**
	 * 常量定义
	 * version:1.0.1
	 * created by Max/jingming.li@jieshunpay.cn
	 */
	module.exports = (function ($) {
	
	  // 提示消息汇总
	  window.APPwarn = {
	    "mobile": {
	      "none": "请输入手机号码",
	      "err": "请输入正确的手机号码"
	    },
	    "checkcode": {
	      "none": "请输入短信验证码",
	      "times": "验证码错误次数超过限制，请重新申请",
	      "err": "验证码错误，请核实后重试"
	    },
	    "password": {
	      "none": "请输入密码",
	      "len": "登录密码不能少于8位",
	      "req": "密码必须包含字数字和字母",
	      "easy": "密码过于简单",
	      "nlen": "新登录密码不能少于8位",
	      "nreq": "新密码必须包含字数字和字母",
	      "neasy": "新密码过于简单",
	      "oerr": "原登录密码错误",
	    },
	    "paypassword": {
	      "none": "请输入支付密码",
	      "same": "两次密码输入不一致，请重新输入",
	      "err": "支付密码必须是6位数字"
	    },
	    "bankcard": {
	      "none": "请输入银行卡号",
	      "err": "请输入正确的银行卡号码",
	    },
	    "name": {
	      "none": "请输入持卡人姓名",
	      "err": "请输入正确的持卡人姓名"
	    },
	    "ident": {
	      "none": "请输入证件号码",
	      "err": "请输入正确的证件号码"
	    },
	    "carddate": {
	      "none": "请选择信用卡有效期",
	    },
	    "safecode": {
	      "none": "请输入卡背面末三位数字",
	      "err": "请输入正确的信用卡安全码"
	    }
	  };
	
	  var returnResult = {},
	    pathName = window.document.location.pathname,
	    protocolText = location.protocol + "//";
	  returnResult.rootPath = pathName.substring(0, pathName.substr(1).indexOf('/page/') + 1);
	  returnResult.base = protocolText + location.host + returnResult.rootPath + "/";
	
	  returnResult.imgSpacename = ''; //图片空间
	  returnResult.deceleration = $.os.ios ? 0.0015 : 0.00045; //上下拉阻尼系数0.003:0.0009
	
	  // 暂时隐藏 2020/03/16
	  var httpServerType = 5 //接口访问环境地址
	  // var httpServerType = 2  // 测试
	
	  returnResult.env = httpServerType;
	
	  switch (httpServerType) {
	    case 1: //开发
	      //智慧停车请求地址
	      returnResult.httpServer = 'http://10.101.130.9:8178/jst-park-app/'
	      //JST APP接口请求地址
	      returnResult.appPreHttpServer = 'http://10.101.130.9:8082/'
	      //优惠券服务请求地址
	      returnResult.couponHttpServer = "http://121.196.49.24:9080/pc_server/";
	      // 甲方提供支付方面的接口（穿透的路径，后面改为准确路径）
	      // returnResult.couponYZHttpServer = 'http://61.177.186.6:20021/discount-payment-Api/'
	      returnResult.couponYZHttpServer = 'http://218.91.155.132:8214/discount-payment-Api/'
	
	      break
	    case 2: //测试
	      // //智慧停车请求地址
	      // returnResult.httpServer = 'http://172.16.220.tranOrder/queryList84:8178/jst-park-app/'
	      // //JST APP接口请求地址
	      // returnResult.appPreHttpServer = 'http://172.16.220.84:8178/'
	
	      //智慧停车请求地址
	      // returnResult.httpServer = "http://10.101.130.8:8178/jst-park-app/";	
	      returnResult.httpServer = "http://app.yztrip.net/yztest/jst-park-app/";
	      //JST APP接口请求地址
	      // returnResult.appPreHttpServer = "http://10.101.130.8:8082/";
	      returnResult.appPreHttpServer = "http://app.yztrip.net/yztest/";
	
	      //优惠券服务请求地址
	      // returnResult.couponHttpServer = 'http://192.168.1.123:8080/pc_server/'
	      // returnResult.couponHttpServer = 'http://221.224.33.252:15714/pc_server/'
	      // returnResult.couponHttpServer = "http://121.196.49.24:8081/pc_server/";
	      returnResult.couponHttpServer = "http://218.91.155.132:8325/pc_server/";
	      // 甲方提供支付方面的接口
	      returnResult.couponYZHttpServer = 'http://218.91.155.132:8214/discount-payment-Api-test/'
	      break
	    case 3: //裁剪
	      //智慧停车请求地址
	      returnResult.httpServer = 'http://veryz.jieshunpay.cn:40002/jst-park-app/'
	      //JST APP接口请求地址
	      returnResult.appPreHttpServer = 'http://veryz.jieshunpay.cn:40004/'
	      //优惠券服务请求地址
	      //returnResult.couponHttpServer = 'http://10.219.50.181:8080/pc_server/'
	      //returnResult.couponHttpServer = 'http://221.224.33.252:15714/pc_server/'
	      returnResult.couponHttpServer = "http://121.196.49.24:9080/pc_server/";
	      // 甲方提供支付方面的接口（穿透的路径，后面改为准确路径）
	      // returnResult.couponYZHttpServer = 'http://james123.wicp.vip:15042/'
	      returnResult.couponYZHttpServer = 'http://61.177.186.6:20021/discount-payment-Api/'
	      break
	    case 4: //演练
	      //智慧停车请求地址
	      returnResult.httpServer =
	        'http://testjsjk.jieshunpay.cn:38178/jst-park-app/'
	      //JST APP接口请求地址
	      returnResult.appPreHttpServer = 'http://testjsjk.jieshunpay.cn:8082/'
	      //优惠券服务请求地址
	      //returnResult.couponHttpServer = 'http://10.219.50.181:8080/pc_server/'
	      // returnResult.couponHttpServer = 'http://221.224.33.252:15714/pc_server/'
	      returnResult.couponHttpServer = "http://121.196.49.24:9080/pc_server/";
	      // 甲方提供支付方面的接口（穿透的路径，后面改为准确路径）
	      // returnResult.couponYZHttpServer = 'http://james123.wicp.vip:15042/'
	      returnResult.couponYZHttpServer = 'http://61.177.186.6:20021/discount-payment-Api/'
	      break
	    case 5: //灰度
	      //智慧停车请求地址
	      returnResult.httpServer = 'http://app.yztrip.net:20003/jst-park-app/'
	      //JST APP接口请求地址
	      returnResult.appPreHttpServer = 'http://app.yztrip.net:20001/'
	      //优惠券服务请求地址
	      //returnResult.couponHttpServer = 'http://10.219.50.181:8080/pc_server/'
	      //returnResult.couponHttpServer = 'http://221.224.33.252:15714/pc_server/'
	      // returnResult.couponHttpServer = "http://121.196.49.24:9080/pc_server/";
	      returnResult.couponHttpServer = "http://218.91.155.132:8215/pc_server/";
	
	      // 甲方提供支付方面的接口（穿透的路径，后面改为准确路径）
	      // returnResult.couponYZHttpServer = 'http://61.177.186.6:20021/discount-payment-Api/' // 测试
	      returnResult.couponYZHttpServer = 'http://218.91.155.132:8214/discount-payment-Api/'  // 真实地址
	      break
	    case 6: //生产
	      //智慧停车请求地址
	      returnResult.httpServer = 'https://yztrip.net/jst-park-app/'
	      //JST APP接口请求地址
	      returnResult.appPreHttpServer = 'https://yztrip.net/'
	      //优惠券服务请求地址
	      //returnResult.couponHttpServer = 'http://10.219.50.181:8080/pc_server/'
	      // returnResult.couponHttpServer = 'http://221.224.33.252:15714/pc_server/'
	      // returnResult.couponHttpServer = "http://121.196.49.24:9080/pc_server/";
	      returnResult.couponHttpServer = "http://218.91.155.132:8215/pc_server/";
	      // 甲方提供支付方面的接口（穿透的路径，后面改为准确路径）
	      // returnResult.couponYZHttpServer = 'http://james123.wicp.vip:15042/'
	      returnResult.couponYZHttpServer = 'http://61.177.186.6:20021/discount-payment-Api/'
	      break
	  }
	
	
	
	  //七牛上传文件服务器
	  returnResult.qiniuUploadServer = "http://up-z2.qiniu.com/";
	  returnResult.qiniuUploadServer2 = "http://up-z0.qiniu.com/";//车牌申诉
	
	  returnResult.duration = $.os.ios ? 200 : 350; //Webview窗口动画的持续时间
	
	  returnResult.moneySymbol = "¥"; //人民币符号
	
	  returnResult.appVersion = "yxyz.v1.1.5";
	
	
	  //短信场景码
	  returnResult.smsSceneCode = {
	    register: "3001", //注册
	    forgetPwd: "3002" //忘记密码
	  };
	
	  //APP加载首页的子页面
	  returnResult.lanuchSubpages = ['page/home/index.html', "page/home/nearby.html", "page/account/account.html"];
	
	  return returnResult;
	})(mui);

/***/ }),
/* 5 */
/***/ (function(module, exports, __webpack_require__) {

	/**
	 * URL常用方法
	 * version:1.0.1
	 * created by Max/jingming.li@jieshunpay.cn
	 */
	var stringUtil = __webpack_require__(3)
	module.exports = {
	
		createURL: function (url, parameter) {
			var urlresult = url || '';
			for (var p in parameter) {
				if (typeof (parameter[p]) !== "function") {
					var key = p,
						value = parameter[p];
	
					var oldpara = this.getParameter(key, urlresult),
						newPara = key + "=" + encodeURIComponent(value);
					if (!stringUtil.isEmpty(oldpara)) {
						//链接里已经有此参数了，替换它吧
						urlresult = urlresult.replace(key + "=" + oldpara, newPara);
					} else {
						if (urlresult.indexOf("?") != -1) {
							urlresult += "&";
						} else {
							urlresult += "?";
						}
						urlresult += newPara;
					}
	
				}
			}
			return urlresult;
		},
	
		/**
		 * 
		 * @param {Object} name,参数名
		 * @param {Object} findStr,要查找的字符串,默认为当前页面链接地址
		 */
		getParameter: function (name, findStr) {
			var result = this.getParameterFromUrl(name, findStr);
			if (stringUtil.isEmpty(result)) {
				result = this.getParameterFromRequest(name, findStr);
			}
			return result;
		},
	
		getParameterFromUrl: function (name, findStr) {
			var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)");
	
			if (!stringUtil.isEmpty(findStr)) {
				findStr = findStr.indexOf("?") != -1 ? findStr.substr(findStr.indexOf("?") + 1) : findStr;
			}
	
			var searchStr = findStr || window.location.search.substr(1);
	
			var r = searchStr.match(reg);
			if (r != null) return decodeURIComponent(r[2]);
			return "";
		},
	
		getParameterFromRequest: function (name, findStr) {
			try {
				var requestStr = this.getParameterFromUrl("request", findStr);
				if (!stringUtil.isEmpty(requestStr)) {
					//request不为空,从request里取值
					var result = JSON.parse(requestStr)[name];
					if (!stringUtil.isEmpty(result)) {
						return result;
					}
				}
			} catch (err) {
				return "";
			}
			return "";
		}
	
	};

/***/ }),
/* 6 */
/***/ (function(module, exports, __webpack_require__) {

	/**
	 * localStorage操作
	 * version:1.0.1
	 * created by Max/jingming.li@jieshunpay.cn
	 */
	var stringUtil = __webpack_require__(3);
	//	crypto = require("./crypto");
	module.exports = {
	
		setItem: function(vkey, value) {
	
			if(!stringUtil.isEmpty(vkey)) {
	//			window.localStorage.setItem(crypto.encrypt(vkey), crypto.encrypt(value));
				
				window.localStorage.setItem(vkey, value);
			}
	
		},
		getItem: function(vkey) {
	//		var keyTmp = crypto.encrypt(vkey);
			var resultStr = '';
			if(!stringUtil.isEmpty(vkey)) {
	//			resultStr = crypto.decrypt(window.localStorage.getItem(keyTmp));
				
				resultStr = window.localStorage.getItem(vkey);
			}
	
			return resultStr;
		},
		removeItem: function(vkey) {
	//		!stringUtil.isEmpty(vkey) && window.localStorage.removeItem(crypto.encrypt(vkey));
			
			!stringUtil.isEmpty(vkey) && window.localStorage.removeItem(vkey);
		},
		clear: function() {
			window.localStorage.clear();
		}
	};

/***/ }),
/* 7 */
/***/ (function(module, exports) {

	module.exports = (function ($) {
	    var requestStr = requestURL.getParameter("request");
	    if (requestStr == "" || requestStr == null || requestStr == undefined) { // "",null,undefined
	        console.log("request为空");
	        return;
	    }
	    try {
	        var request = JSON.parse(requestURL.getParameter("request")); //App参数
	        var token = request.token;
	        local.setItem("token", token);
	    } catch (err) {
	        console.log("request异常");
	    }
	})(mui);

/***/ }),
/* 8 */
/***/ (function(module, exports, __webpack_require__) {

	/**
	 * 自定义窗口方法扩展
	 * version:1.0.1
	 * created by Max/jingming.li@jieshunpay.cn
	 */
	module.exports = (function($) {
		var returnResult = {},
			stringUtil = __webpack_require__(3),
			local = __webpack_require__(6),
			requestURL = __webpack_require__(5);
		returnResult.waiting = null;
	
		/**
		 * 显示等待框
		 */
		window.showWaiting = function() {
	
			if(returnResult.hasShowWait) {
				//加这个判断是为了防止有多个请求一起，会显示多个等待框
				return;
			}
	
			returnResult.hasShowWait = true;
	
			//		if($.os.app && !returnResult.waiting) {
			//
			//			try {
			//				returnResult.waiting = plus.nativeUI.showWaiting("加载中,请稍候...", {
			//					padlock: true
			//				});
			//			} catch(e) {
			//				//TODO handle the exception
			//			}
			//
			//		} else {
	
			var d1 = document.createElement("div");
			d1.className = "win-mask-wait";
			d1.id = "winloadmak";
			document.body.appendChild(d1);
	
			var d2 = document.createElement("div");
			d2.className = 'ui-load mui-loading';
			d2.id = "winloaditem";
			d2.align = "center";
			d2.innerHTML = '<div class="mui-spinner"></div>';
			//			d2.innerHTML = '<div class="mui-spinner"></div><div class="waitText">加载中,请稍候...</div>';
	
			document.body.appendChild(d2);
	
			var sh = document.documentElement.scrollHeight;
			var screenHeight = document.documentElement.clientHeight;
			d1.style.height = Math.max(sh, screenHeight) + "px";
			d2.style.top = (screenHeight - d2.scrollHeight) / 2 + "px";
			returnResult.mask = true;
			//		}
		};
	
		/**
		 * 关闭等待框
		 */
		window.closeWaiting = function() {
			// console.log("------ close waiting ------")
			returnResult.hasShowWait = false;
			if($.os.app && window.plus && returnResult.waiting) {
				returnResult.waiting.close();
				returnResult.waiting = null;
			}
			var wm = document.getElementById("winloadmak");
			var wi = document.getElementById("winloaditem");
			wm && document.body.removeChild(wm);
			wi && document.body.removeChild(wi);
			returnResult.mask = false;
		};
	
		/**
		 * 创建遮罩层
		 * @param {Object} callback：遮罩层关闭之后回调
		 * @param {Object} isCloseMask:点击遮罩层是否关闭弹窗，true表示不关闭
		 */
		returnResult.createMask = function(callback, isCloseMask) {
			var element = document.createElement('div');
			element.classList.add("mui-backdrop");
			element.addEventListener($.EVENT_MOVE, $.preventDefault);
			element.addEventListener('tap', function() {
				if(!isCloseMask) {
					createmMask.close();
				}
			});
			var createmMask = [element];
			createmMask._show = false;
			createmMask.show = function() {
				returnResult.mask = true;
				createmMask._show = true;
				element.setAttribute('style', 'opacity:1');
				document.body.appendChild(element);
				return createmMask;
			};
			createmMask._remove = function() {
				if(createmMask._show) {
					createmMask._show = false;
					element.setAttribute('style', 'opacity:0');
					$.later(function() {
						var body = document.body;
						element.parentNode === body && body.removeChild(element);
					}, 350);
				}
				return createmMask;
			};
			createmMask.close = function() {
	
				returnResult.mask = false;
	
				if(callback) {
					callback();
					createmMask._remove();
				} else {
					createmMask._remove();
				}
			};
			return createmMask;
		};
	
		/**
		 * 
		 * @param {Object} openURL 要打开的链接地址如test.html
		 * @param {Object} id 给要打开的链接一个命名如test.html,不要带特殊字符
		 * @param {Object} param 参数如{username:"MAX"}
		 * @param {Object} styles 新开窗口的样式如顶部top:"44 px",非APP环境不用转此参数
		 * @param {Object} show 动画效果等
		 * @param {Object} needEncodeURI :URI是否需要编码
		 */
		window.openWindow = function(openURL, id, param, options) {
			if(stringUtil.isEmpty(openURL)) {
				return;
			}
	
			/**
			 *  * @param {Object} styles 新开窗口的样式如顶部top:"44 px",非APP环境不用转此参数
			 * @param {Object} show 动画效果等
			 * @param {Object} needEncodeURI :URI是否需要编码
			 */
			var _options = $.extend({
				styles: {
					cachemode: "noCache",
					popGesture: "none"
				},
				show: {
					aniShow: $.os.ios ? "pop-in" : "fade-in"
				}
			}, options);
	
			var id = id || openURL,
				param = param || {},
				openurl = openURL;
			if($.os.app && window.plus) {
				if(constant.base.indexOf("file://") != -1) {
					openurl = openurl.replace(constant.rootPath, '');
				} else if(!stringUtil.isURL(openurl)) {
					openurl = openurl.replace(constant.rootPath + "/", constant.base);
				}
			}
			openurl = requestURL.createURL(openurl, param);
			if(_options.needEncodeURI) {
				openurl = encodeURI(openurl);
			}
	
			_options.extras = param;
	
			console.log("openWindow:" + openurl);
	
			sessionStorage.removeItem("goback");
	
			var open = function() {
	
				$.openWindow(openurl, id, _options);
	
			};
	
			if($.os.app && window.plus) {
				$.plusReady(open);
			} else {
				open();
			}
	
		};
	
		/**
		 * 页面左上角返回事件处理
		 */
		returnResult.back = function() {
	
			if($.os.app && window.plus) {
				return;
			}
	
			if(history.length < 2) {
				openWindow(constant.rootPath + "/page/home/index.html", "index.html");
			} else {
				window.history.go(-1);
			}
		};
	
		document.addEventListener('touchmove', function(e) {
			if(returnResult.mask)
				e.preventDefault();
		}, false);
		return returnResult;
	})(mui);

/***/ }),
/* 9 */
/***/ (function(module, exports, __webpack_require__) {

	/**
	 * HTTP请求操作
	 * version:1.0.1
	 * created by Max/jingming.li@jieshunpay.cn
	 */
	module.exports = (function($) {
		var returnResult = {},
			stringUtil = __webpack_require__(3),
			constant = __webpack_require__(4);
	
		__webpack_require__(8);
	
		/**
		 * 创建公共请求参数
		 * @param {Object} pdata
		 */
		returnResult.createCommonParam = function(pdata) {
			var newPdata = {},
				paraArray = new Array();
	
			var clientId = pdata.clientId || local.getItem("clientId"), //个推clientId
				deviceType = pdata.deviceType || $.os.ios ? 2 : $.os.android ? 1 : 3, //1-安卓，2-ios,3其它
				token = pdata.token || local.getItem("token"),
				md5key = pdata.md5key || local.getItem("md5key") || "",
				terminalType = pdata.terminalType || ($.os.ios || $.os.android) ? "M" : "P";
	
			if(!stringUtil.isEmpty(deviceType)) {
				newPdata.deviceType = deviceType;
			}
	
			if(!stringUtil.isEmpty(clientId)) {
				newPdata.clientId = clientId;
			}
	
			if(!stringUtil.isEmpty(token)) {
				newPdata.token = token;
			}
	
			if(!stringUtil.isEmpty(terminalType)) {
				newPdata.terminalType = terminalType;
			}
	
			newPdata.appVersion = constant.appVersion;
			for(var p in pdata) {
				if(typeof(pdata[p]) !== "function") {
					var key = p,
						value = pdata[p];
	
					if(!stringUtil.isEmpty(value)) {
						newPdata[key] = value;
					}
	
				}
			}
	
			//遍历传递参数
			for(var p in newPdata) {
				if(typeof(newPdata[p]) !== "function") {
					var key = p,
						value = newPdata[p];
	
					if(!stringUtil.isEmpty(value)) {
						paraArray.push(key);
					}
	
				}
			}
	
			//对参加排序并加密
			paraArray.sort();
			var paraStr = '',
				paraArrayLen = paraArray.length;
			for(var i = 0; i < paraArrayLen; i++) {
				var arrayItem = paraArray[i];
				paraStr += arrayItem.concat("=").concat(newPdata[arrayItem]);
			}
	
			paraStr = paraStr.concat("key=").concat(md5key);
			newPdata.sign = __webpack_require__(10).md5(paraStr).toString();
	
			return newPdata;
		};
	
		/**
		 * 
		 * @param {Object} method:xxxxxx.do或http://xxx.xxx.xxx/xxx.do
		 * @param {Object} pdata:传参jsonobject
		 * @param {Object} success:请求成功回调方法名
		 * @param {Object} fail:请求失败回调方法名
		 * @param {Object} _options
		 */
		window.postData = function(method, pdata, success, fail, options) {
	
			if(stringUtil.isEmpty(method)) {
				$.toast("请求URL为空");
				return;
			}
	
			var _options = $.extend({
					showWait: true, //是否显示等待框,默认显示
					errorToast: true, //是否弹出错误提示,默认弹出
					timeout: 60000, //单位MS
					requestType: "post",
					dataType: "json",
					localResource: false,
					autoUpdateToken: 0, //是否自动更新TOKEN，0表示更新
					autoLogin: 0, //是否自动跳转至登录页,默认0表示跳转
					riskAgentFunc: null, //请求被风控拦回时的回调函数代理
					riskAgentSmsValidate: true //请求被风控拦回时是否需要验证短信
				}, options),
				logRandomId = stringUtil.randomString(32),
				requestHttpUrl = "";
	
			if(_options.localResource) {
				//请求本地资源
				requestHttpUrl = method.indexOf(constant.base) != -1 ? method : constant.base.concat(method);
			} else {
				if(stringUtil.isURL(method)) {
					requestHttpUrl = method;
				} else {
					if(method.indexOf("http") == 0){
						requestHttpUrl = method;
					}else{
						//默认请求停车系统
					requestHttpUrl = constant.httpServer.concat(method);
					}
				}
			}
	
			_options.showWait && showWaiting();
			var newParam = returnResult.createCommonParam(pdata);
	
			var failFunc = function(fail, msg, reponseData) {
				closeWaiting();
				$.isFunction(fail) && fail(reponseData);
				//			if("abort" == type) {
				//				//用户中止了AJAX请求
				//				return;
				//			}
	
				_options.errorToast && $.toast(msg || "网络错误,请检查网络");
	
			};
	
			var successFunc = function(response, success) {
				closeWaiting();
				//服务器返回响应，根据响应结果
				console.log(logRandomId + "--httpclient--result-->" + JSON.stringify(response));
	
				if(response && $.isFunction(success)) {
	
					//统一处理TOKEN是否有效
					if(requestHttpUrl.indexOf("/member/login") == -1 && ("09" == response.respCode || "08" == response.respCode)) {
	
						var updateTokenfail = function() {
							if(0 == _options.autoLogin) {
								login.logout(true);
							}
							$.isFunction(fail) && fail();
						};
	
						if(_options.autoUpdateToken != 0) {
							updateTokenfail();
						} else {
							//TOKEN不对，检查是否登录了，如果登录了则更新TOKEN
							returnResult.updateToken(function(token) {
								//更新TOKEN成功了，重新发送请求
	
								pdata.token = token;
	
								postData(method, pdata, success, fail, options);
							}, function() {
								//更新TOKEN失败了，跳至登录页
								updateTokenfail();
							});
						}
	
						return;
					}
	
					if("01" == response.resType) {
						//风控系统拦截
						var resCode = response.resCode,
							splitCode = '',
							flag = "";
						try {
							splitCode = resCode.slice(0, 4);
							flag = resCode.slice(5);
						} catch(e) {
							//TODO handle the exception
						}
	
						if("PS04" == splitCode) {
							returnResult.validateSms(flag, pdata, {
								riskAgentSmsValidate: _options.riskAgentSmsValidate,
								riskAgentFunc: _options.riskAgentFunc,
								successCallback: function() {
									postData(method, pdata, success, fail, options);
								},
								responseData: response
							});
							return;
						}
	
					}
	
					if(_options.localResource) {
						success(response);
					} else if("200" == response.code || "00" == response.resType || "0" == response.code) {
						success(response);
					} else {
						failFunc(fail, response.msg || response.msgContent, response);
					}
	
				} else {
					failFunc(fail, "加载数据出错,请重试")
				}
	
			};
	
			console.log(logRandomId + "--httpclient--reuqest-->url: " + requestHttpUrl);
			console.log(logRandomId + "--httpclient--reuqest-->param: " + JSON.stringify(newParam));
			console.log(logRandomId + "--httpclient--reuqest-->contentType: " + (requestHttpUrl.indexOf(constant.appPreHttpServer + "app/") == 0) ?  ((_options.contentType != null) ? _options.contentType : "" ): _options.contentType || "application/json");
			// console.log(logRandomId + "--httpclient--reuqest-->url: " + requestHttpUrl + ",param: " + JSON.stringify(newParam));
			// console.log(logRandomId + "--httpclient--reuqest-->pdata.token: " + pdata.token
			//   + ",local.getItem(\"token\"): " + local.getItem("token")
			//    + ",localStorage.getItem(\"token\"): " + localStorage.getItem("token"));
			var ajaxSet = {
				headers: {
					"SESSIONNO": pdata.token || local.getItem("token"),
					"token": pdata.token || local.getItem("token")
				},
				data: newParam,
				dataType: _options.dataType, //服务器返回json格式数据
				contentType: (requestHttpUrl.indexOf(constant.appPreHttpServer + "app/") == 0) ?  ((_options.contentType != null) ? _options.contentType : "" ): _options.contentType || "application/json",
				type: _options.requestType, //HTTP请求类型
				timeout: _options.timeout, //超时时间
				success: function(data) {
					successFunc(data, success);
				},
				error: function(xhr, type, errorThrown) {
					console.log(logRandomId + "--httpclient--result--> xhr: " + xhr + ",type: " + type + ",errorThrown: " + errorThrown);
					failFunc(fail);
				}
			}
	
			if(!stringUtil.isEmpty(_options.xhrFields)) {
				ajaxSet.xhrFields = _options.xhrFields;
			}
	
			$.ajax(requestHttpUrl, ajaxSet);
	
		};
	
		/**
		 * 更新TOKEN
		 * @param {Object} successCallback：成功回调
		 * @param {Object} failCallback:失败回调
		 */
		returnResult.updateToken = function(successCallback, failCallback) {
			var loginParameter = login.getLoginParameter("loginParameter");
			if(!login.isLogin() || !loginParameter) {
				//如果没有获取到登录信息，则直接失败
				failCallback && failCallback();
				return;
			}
	
			postData("member/login", {
				mobile: loginParameter.userName,
				password: loginParameter.pwd
			}, function(res) {
	
				var token = res.data.token || "",
					appKey = res.data.appkey || "";
				if(!stringUtil.isEmpty(token) && !stringUtil.isEmpty(appKey)) {
	
					local.setItem("token", token);
					local.setItem("md5key", appKey);
					successCallback && successCallback(token);
	
				} else {
					failCallback && failCallback();
				}
	
			}, function() {
				failCallback && failCallback();
			});
		};
	
		/**
		 * 验证短信
		 * @param {Object} pdata：验证之前的接口请求数据
		 * @param {Object} successCallback： 验证成功之后的回调
		 */
		returnResult.validateSms = function(flag, pdata, option) {
			//调出短信验证码输入界面
	
			var _option = $.extend({
					riskAgentFunc: null, //请求被风控拦回时的回调函数代理
					riskAgentSmsValidate: true, //请求被风控拦回时是否需要验证短信
					responseData: {}
				}, option),
				mobile = "", //接收短信的手机号
				rkey = "", //获取短信验证码跟踪码
				smsInput = __webpack_require__(14);
			if(login.getUserInfo()) {
				mobile = login.getUserInfo().mobile;
			} else {
				mobile = pdata.mobile;
			}
	
			if(stringUtil.isEmpty(mobile)) {
				return;
			}
	
			/**
			 * 获取短信验证码
			 * @param {Object} element:获取短信验证码铵钮
			 */
			var getSmsCode = function(element) {
	
				//调用接口发送短信
				postData(constant.appPreHttpServer.concat("app/rest/message/msgSend"), {
					flag: flag || "",
					mobile: mobile
				}, function(res) {
					if(res.resType == "00") {
						rkey = res.rkey; //短信跟踪码
						element && __webpack_require__(16).timeDown(element);
					} else {
						$.toast(res.msgContent);
					}
				}, null, {
					requestType: "get"
				});
	
			};
	
			var validateSmsCallback = function(smsCode) {
				if(stringUtil.isEmpty(smsCode)) {
					$.toast("短信验证码为空");
					return;
				}
	
				if(stringUtil.isEmpty(rkey)) {
					$.toast("请先获取短信验证码");
					return;
				}
	
				if(_option.riskAgentSmsValidate) {
					//请求验证短信验证码是否正确
					postData(constant.appPreHttpServer.concat("app/rest/message/msgVerify"), {
						flag: flag || "",
						mobile: mobile,
						verifyNum: smsCode,
						rkey: rkey
					}, function(res) {
						//判断是否验证成功了
						if(res.resCode == "0000") {
							//验证成功了，继续调用短信输入之前的接口
							if(_option.riskAgentFunc && typeof(_option.riskAgentFunc) == "function") {
								_option.responseData.rkey = rkey;
								_option.responseData.smsCode = smsCode;
								_option.riskAgentFunc(_option.responseData);
							} else {
								_option.successCallback && _option.successCallback();
							}
							smsInput.hide();
						} else {
							$.toast(res.msgContent);
						}
					}, null, {
						requestType: "get"
					});
				} else {
					if(_option.riskAgentFunc && typeof(_option.riskAgentFunc) == "function") {
						_option.responseData.rkey = rkey;
						_option.responseData.smsCode = smsCode;
						_option.responseData.smsInput = smsInput;
						_option.riskAgentFunc(_option.responseData);
					}
				}
	
			};
			getSmsCode();
			smsInput.show({
				withInit: true, //是否直接初始化并显示，如设置为FALSE，请先调用init 
				smsSended: true, //是否已经发送短信
				mobile: mobile, //要获取短信的手机号
				getCodeCallback: getSmsCode, //获取验证码回调
				doneCallback: validateSmsCallback //输完后的回调
			});
		};
	
		return returnResult;
	})(mui);

/***/ }),
/* 10 */
/***/ (function(module, exports, __webpack_require__) {

	/**
	 * localStorage操作
	 * version:1.0.1
	 * created by Max/jingming.li@jieshunpay.cn
	 */
	
	__webpack_require__(11);
	__webpack_require__(12);
	__webpack_require__(13);
	var stringUtil = __webpack_require__(3);
	module.exports = {
		//	key: "1010110202022030",
		//	iv: "1010110202022030",
		//	encrypt: function(word) {
		//
		//		if(stringUtil.isEmpty(word)) {
		//			return '';
		//		}
		//
		//		var key = CryptoJS.enc.Utf8.parse(this.key);
		//		var iv = CryptoJS.enc.Utf8.parse(this.iv);
		//		var srcs = CryptoJS.enc.Utf8.parse(word);
		//		var encrypted = CryptoJS.AES.encrypt(srcs, key, {
		//			iv: iv,
		//			mode: CryptoJS.mode.CBC
		//		});
		//		return encrypted.toString();
		//	},
		//
		//	decrypt: function(word) {
		//
		//		if(stringUtil.isEmpty(word)) {
		//			return '';
		//		}
		//		var key = CryptoJS.enc.Utf8.parse(this.key);
		//		var iv = CryptoJS.enc.Utf8.parse(this.iv);
		//		var decrypt = CryptoJS.AES.decrypt(word, key, {
		//			iv: iv,
		//			mode: CryptoJS.mode.CBC
		//		});
		//
		//		var retult = CryptoJS.enc.Utf8.stringify(decrypt).toString();
		//		return retult;
		//	},
	
		/**
		 * 将字符串转为MD5 Array ,如需字符串，请自行调用.toString
		 * @param {Object} word
		 */
		md5: function (word) {
			return CryptoJS.MD5(word.toString());
		},
		/**
		 * 将array转为BASE64字符串
		 * @param {Object} wordArray
		 */
		base64: function (wordArray) {
			return CryptoJS.enc.Base64.stringify(wordArray);
		},
	
		/**
		 * 将密码先MD5,后BASE64
		 * @param {Object} pwd
		 */
		encryptPwd: function (pwd) {
			return this.md5(pwd).toString()
			//		return this.base64(this.md5(pwd));
		}
	};

/***/ }),
/* 11 */
/***/ (function(module, exports) {

	/*
	CryptoJS v3.1.2
	code.google.com/p/crypto-js
	(c) 2009-2013 by Jeff Mott. All rights reserved.
	code.google.com/p/crypto-js/wiki/License
	*/
	/**
	 * CryptoJS core components.
	 */
	var CryptoJS = CryptoJS || (function (Math, undefined) {
	    /**
	     * CryptoJS namespace.
	     */
	    var C = {};
	
	    /**
	     * Library namespace.
	     */
	    var C_lib = C.lib = {};
	
	    /**
	     * Base object for prototypal inheritance.
	     */
	    var Base = C_lib.Base = (function () {
	        function F() {}
	
	        return {
	            /**
	             * Creates a new object that inherits from this object.
	             *
	             * @param {Object} overrides Properties to copy into the new object.
	             *
	             * @return {Object} The new object.
	             *
	             * @static
	             *
	             * @example
	             *
	             *     var MyType = CryptoJS.lib.Base.extend({
	             *         field: 'value',
	             *
	             *         method: function () {
	             *         }
	             *     });
	             */
	            extend: function (overrides) {
	                // Spawn
	                F.prototype = this;
	                var subtype = new F();
	
	                // Augment
	                if (overrides) {
	                    subtype.mixIn(overrides);
	                }
	
	                // Create default initializer
	                if (!subtype.hasOwnProperty('init')) {
	                    subtype.init = function () {
	                        subtype.$super.init.apply(this, arguments);
	                    };
	                }
	
	                // Initializer's prototype is the subtype object
	                subtype.init.prototype = subtype;
	
	                // Reference supertype
	                subtype.$super = this;
	
	                return subtype;
	            },
	
	            /**
	             * Extends this object and runs the init method.
	             * Arguments to create() will be passed to init().
	             *
	             * @return {Object} The new object.
	             *
	             * @static
	             *
	             * @example
	             *
	             *     var instance = MyType.create();
	             */
	            create: function () {
	                var instance = this.extend();
	                instance.init.apply(instance, arguments);
	
	                return instance;
	            },
	
	            /**
	             * Initializes a newly created object.
	             * Override this method to add some logic when your objects are created.
	             *
	             * @example
	             *
	             *     var MyType = CryptoJS.lib.Base.extend({
	             *         init: function () {
	             *             // ...
	             *         }
	             *     });
	             */
	            init: function () {
	            },
	
	            /**
	             * Copies properties into this object.
	             *
	             * @param {Object} properties The properties to mix in.
	             *
	             * @example
	             *
	             *     MyType.mixIn({
	             *         field: 'value'
	             *     });
	             */
	            mixIn: function (properties) {
	                for (var propertyName in properties) {
	                    if (properties.hasOwnProperty(propertyName)) {
	                        this[propertyName] = properties[propertyName];
	                    }
	                }
	
	                // IE won't copy toString using the loop above
	                if (properties.hasOwnProperty('toString')) {
	                    this.toString = properties.toString;
	                }
	            },
	
	            /**
	             * Creates a copy of this object.
	             *
	             * @return {Object} The clone.
	             *
	             * @example
	             *
	             *     var clone = instance.clone();
	             */
	            clone: function () {
	                return this.init.prototype.extend(this);
	            }
	        };
	    }());
	
	    /**
	     * An array of 32-bit words.
	     *
	     * @property {Array} words The array of 32-bit words.
	     * @property {number} sigBytes The number of significant bytes in this word array.
	     */
	    var WordArray = C_lib.WordArray = Base.extend({
	        /**
	         * Initializes a newly created word array.
	         *
	         * @param {Array} words (Optional) An array of 32-bit words.
	         * @param {number} sigBytes (Optional) The number of significant bytes in the words.
	         *
	         * @example
	         *
	         *     var wordArray = CryptoJS.lib.WordArray.create();
	         *     var wordArray = CryptoJS.lib.WordArray.create([0x00010203, 0x04050607]);
	         *     var wordArray = CryptoJS.lib.WordArray.create([0x00010203, 0x04050607], 6);
	         */
	        init: function (words, sigBytes) {
	            words = this.words = words || [];
	
	            if (sigBytes != undefined) {
	                this.sigBytes = sigBytes;
	            } else {
	                this.sigBytes = words.length * 4;
	            }
	        },
	
	        /**
	         * Converts this word array to a string.
	         *
	         * @param {Encoder} encoder (Optional) The encoding strategy to use. Default: CryptoJS.enc.Hex
	         *
	         * @return {string} The stringified word array.
	         *
	         * @example
	         *
	         *     var string = wordArray + '';
	         *     var string = wordArray.toString();
	         *     var string = wordArray.toString(CryptoJS.enc.Utf8);
	         */
	        toString: function (encoder) {
	            return (encoder || Hex).stringify(this);
	        },
	
	        /**
	         * Concatenates a word array to this word array.
	         *
	         * @param {WordArray} wordArray The word array to append.
	         *
	         * @return {WordArray} This word array.
	         *
	         * @example
	         *
	         *     wordArray1.concat(wordArray2);
	         */
	        concat: function (wordArray) {
	            // Shortcuts
	            var thisWords = this.words;
	            var thatWords = wordArray.words;
	            var thisSigBytes = this.sigBytes;
	            var thatSigBytes = wordArray.sigBytes;
	
	            // Clamp excess bits
	            this.clamp();
	
	            // Concat
	            if (thisSigBytes % 4) {
	                // Copy one byte at a time
	                for (var i = 0; i < thatSigBytes; i++) {
	                    var thatByte = (thatWords[i >>> 2] >>> (24 - (i % 4) * 8)) & 0xff;
	                    thisWords[(thisSigBytes + i) >>> 2] |= thatByte << (24 - ((thisSigBytes + i) % 4) * 8);
	                }
	            } else if (thatWords.length > 0xffff) {
	                // Copy one word at a time
	                for (var i = 0; i < thatSigBytes; i += 4) {
	                    thisWords[(thisSigBytes + i) >>> 2] = thatWords[i >>> 2];
	                }
	            } else {
	                // Copy all words at once
	                thisWords.push.apply(thisWords, thatWords);
	            }
	            this.sigBytes += thatSigBytes;
	
	            // Chainable
	            return this;
	        },
	
	        /**
	         * Removes insignificant bits.
	         *
	         * @example
	         *
	         *     wordArray.clamp();
	         */
	        clamp: function () {
	            // Shortcuts
	            var words = this.words;
	            var sigBytes = this.sigBytes;
	
	            // Clamp
	            words[sigBytes >>> 2] &= 0xffffffff << (32 - (sigBytes % 4) * 8);
	            words.length = Math.ceil(sigBytes / 4);
	        },
	
	        /**
	         * Creates a copy of this word array.
	         *
	         * @return {WordArray} The clone.
	         *
	         * @example
	         *
	         *     var clone = wordArray.clone();
	         */
	        clone: function () {
	            var clone = Base.clone.call(this);
	            clone.words = this.words.slice(0);
	
	            return clone;
	        },
	
	        /**
	         * Creates a word array filled with random bytes.
	         *
	         * @param {number} nBytes The number of random bytes to generate.
	         *
	         * @return {WordArray} The random word array.
	         *
	         * @static
	         *
	         * @example
	         *
	         *     var wordArray = CryptoJS.lib.WordArray.random(16);
	         */
	        random: function (nBytes) {
	            var words = [];
	            for (var i = 0; i < nBytes; i += 4) {
	                words.push((Math.random() * 0x100000000) | 0);
	            }
	
	            return new WordArray.init(words, nBytes);
	        }
	    });
	
	    /**
	     * Encoder namespace.
	     */
	    var C_enc = C.enc = {};
	
	    /**
	     * Hex encoding strategy.
	     */
	    var Hex = C_enc.Hex = {
	        /**
	         * Converts a word array to a hex string.
	         *
	         * @param {WordArray} wordArray The word array.
	         *
	         * @return {string} The hex string.
	         *
	         * @static
	         *
	         * @example
	         *
	         *     var hexString = CryptoJS.enc.Hex.stringify(wordArray);
	         */
	        stringify: function (wordArray) {
	            // Shortcuts
	            var words = wordArray.words;
	            var sigBytes = wordArray.sigBytes;
	
	            // Convert
	            var hexChars = [];
	            for (var i = 0; i < sigBytes; i++) {
	                var bite = (words[i >>> 2] >>> (24 - (i % 4) * 8)) & 0xff;
	                hexChars.push((bite >>> 4).toString(16));
	                hexChars.push((bite & 0x0f).toString(16));
	            }
	
	            return hexChars.join('');
	        },
	
	        /**
	         * Converts a hex string to a word array.
	         *
	         * @param {string} hexStr The hex string.
	         *
	         * @return {WordArray} The word array.
	         *
	         * @static
	         *
	         * @example
	         *
	         *     var wordArray = CryptoJS.enc.Hex.parse(hexString);
	         */
	        parse: function (hexStr) {
	            // Shortcut
	            var hexStrLength = hexStr.length;
	
	            // Convert
	            var words = [];
	            for (var i = 0; i < hexStrLength; i += 2) {
	                words[i >>> 3] |= parseInt(hexStr.substr(i, 2), 16) << (24 - (i % 8) * 4);
	            }
	
	            return new WordArray.init(words, hexStrLength / 2);
	        }
	    };
	
	    /**
	     * Latin1 encoding strategy.
	     */
	    var Latin1 = C_enc.Latin1 = {
	        /**
	         * Converts a word array to a Latin1 string.
	         *
	         * @param {WordArray} wordArray The word array.
	         *
	         * @return {string} The Latin1 string.
	         *
	         * @static
	         *
	         * @example
	         *
	         *     var latin1String = CryptoJS.enc.Latin1.stringify(wordArray);
	         */
	        stringify: function (wordArray) {
	            // Shortcuts
	            var words = wordArray.words;
	            var sigBytes = wordArray.sigBytes;
	
	            // Convert
	            var latin1Chars = [];
	            for (var i = 0; i < sigBytes; i++) {
	                var bite = (words[i >>> 2] >>> (24 - (i % 4) * 8)) & 0xff;
	                latin1Chars.push(String.fromCharCode(bite));
	            }
	
	            return latin1Chars.join('');
	        },
	
	        /**
	         * Converts a Latin1 string to a word array.
	         *
	         * @param {string} latin1Str The Latin1 string.
	         *
	         * @return {WordArray} The word array.
	         *
	         * @static
	         *
	         * @example
	         *
	         *     var wordArray = CryptoJS.enc.Latin1.parse(latin1String);
	         */
	        parse: function (latin1Str) {
	            // Shortcut
	            var latin1StrLength = latin1Str.length;
	
	            // Convert
	            var words = [];
	            for (var i = 0; i < latin1StrLength; i++) {
	                words[i >>> 2] |= (latin1Str.charCodeAt(i) & 0xff) << (24 - (i % 4) * 8);
	            }
	
	            return new WordArray.init(words, latin1StrLength);
	        }
	    };
	
	    /**
	     * UTF-8 encoding strategy.
	     */
	    var Utf8 = C_enc.Utf8 = {
	        /**
	         * Converts a word array to a UTF-8 string.
	         *
	         * @param {WordArray} wordArray The word array.
	         *
	         * @return {string} The UTF-8 string.
	         *
	         * @static
	         *
	         * @example
	         *
	         *     var utf8String = CryptoJS.enc.Utf8.stringify(wordArray);
	         */
	        stringify: function (wordArray) {
	            try {
	                return decodeURIComponent(escape(Latin1.stringify(wordArray)));
	            } catch (e) {
	                throw new Error('Malformed UTF-8 data');
	            }
	        },
	
	        /**
	         * Converts a UTF-8 string to a word array.
	         *
	         * @param {string} utf8Str The UTF-8 string.
	         *
	         * @return {WordArray} The word array.
	         *
	         * @static
	         *
	         * @example
	         *
	         *     var wordArray = CryptoJS.enc.Utf8.parse(utf8String);
	         */
	        parse: function (utf8Str) {
	            return Latin1.parse(unescape(encodeURIComponent(utf8Str)));
	        }
	    };
	
	    /**
	     * Abstract buffered block algorithm template.
	     *
	     * The property blockSize must be implemented in a concrete subtype.
	     *
	     * @property {number} _minBufferSize The number of blocks that should be kept unprocessed in the buffer. Default: 0
	     */
	    var BufferedBlockAlgorithm = C_lib.BufferedBlockAlgorithm = Base.extend({
	        /**
	         * Resets this block algorithm's data buffer to its initial state.
	         *
	         * @example
	         *
	         *     bufferedBlockAlgorithm.reset();
	         */
	        reset: function () {
	            // Initial values
	            this._data = new WordArray.init();
	            this._nDataBytes = 0;
	        },
	
	        /**
	         * Adds new data to this block algorithm's buffer.
	         *
	         * @param {WordArray|string} data The data to append. Strings are converted to a WordArray using UTF-8.
	         *
	         * @example
	         *
	         *     bufferedBlockAlgorithm._append('data');
	         *     bufferedBlockAlgorithm._append(wordArray);
	         */
	        _append: function (data) {
	            // Convert string to WordArray, else assume WordArray already
	            if (typeof data == 'string') {
	                data = Utf8.parse(data);
	            }
	
	            // Append
	            this._data.concat(data);
	            this._nDataBytes += data.sigBytes;
	        },
	
	        /**
	         * Processes available data blocks.
	         *
	         * This method invokes _doProcessBlock(offset), which must be implemented by a concrete subtype.
	         *
	         * @param {boolean} doFlush Whether all blocks and partial blocks should be processed.
	         *
	         * @return {WordArray} The processed data.
	         *
	         * @example
	         *
	         *     var processedData = bufferedBlockAlgorithm._process();
	         *     var processedData = bufferedBlockAlgorithm._process(!!'flush');
	         */
	        _process: function (doFlush) {
	            // Shortcuts
	            var data = this._data;
	            var dataWords = data.words;
	            var dataSigBytes = data.sigBytes;
	            var blockSize = this.blockSize;
	            var blockSizeBytes = blockSize * 4;
	
	            // Count blocks ready
	            var nBlocksReady = dataSigBytes / blockSizeBytes;
	            if (doFlush) {
	                // Round up to include partial blocks
	                nBlocksReady = Math.ceil(nBlocksReady);
	            } else {
	                // Round down to include only full blocks,
	                // less the number of blocks that must remain in the buffer
	                nBlocksReady = Math.max((nBlocksReady | 0) - this._minBufferSize, 0);
	            }
	
	            // Count words ready
	            var nWordsReady = nBlocksReady * blockSize;
	
	            // Count bytes ready
	            var nBytesReady = Math.min(nWordsReady * 4, dataSigBytes);
	
	            // Process blocks
	            if (nWordsReady) {
	                for (var offset = 0; offset < nWordsReady; offset += blockSize) {
	                    // Perform concrete-algorithm logic
	                    this._doProcessBlock(dataWords, offset);
	                }
	
	                // Remove processed words
	                var processedWords = dataWords.splice(0, nWordsReady);
	                data.sigBytes -= nBytesReady;
	            }
	
	            // Return processed words
	            return new WordArray.init(processedWords, nBytesReady);
	        },
	
	        /**
	         * Creates a copy of this object.
	         *
	         * @return {Object} The clone.
	         *
	         * @example
	         *
	         *     var clone = bufferedBlockAlgorithm.clone();
	         */
	        clone: function () {
	            var clone = Base.clone.call(this);
	            clone._data = this._data.clone();
	
	            return clone;
	        },
	
	        _minBufferSize: 0
	    });
	
	    /**
	     * Abstract hasher template.
	     *
	     * @property {number} blockSize The number of 32-bit words this hasher operates on. Default: 16 (512 bits)
	     */
	    var Hasher = C_lib.Hasher = BufferedBlockAlgorithm.extend({
	        /**
	         * Configuration options.
	         */
	        cfg: Base.extend(),
	
	        /**
	         * Initializes a newly created hasher.
	         *
	         * @param {Object} cfg (Optional) The configuration options to use for this hash computation.
	         *
	         * @example
	         *
	         *     var hasher = CryptoJS.algo.SHA256.create();
	         */
	        init: function (cfg) {
	            // Apply config defaults
	            this.cfg = this.cfg.extend(cfg);
	
	            // Set initial values
	            this.reset();
	        },
	
	        /**
	         * Resets this hasher to its initial state.
	         *
	         * @example
	         *
	         *     hasher.reset();
	         */
	        reset: function () {
	            // Reset data buffer
	            BufferedBlockAlgorithm.reset.call(this);
	
	            // Perform concrete-hasher logic
	            this._doReset();
	        },
	
	        /**
	         * Updates this hasher with a message.
	         *
	         * @param {WordArray|string} messageUpdate The message to append.
	         *
	         * @return {Hasher} This hasher.
	         *
	         * @example
	         *
	         *     hasher.update('message');
	         *     hasher.update(wordArray);
	         */
	        update: function (messageUpdate) {
	            // Append
	            this._append(messageUpdate);
	
	            // Update the hash
	            this._process();
	
	            // Chainable
	            return this;
	        },
	
	        /**
	         * Finalizes the hash computation.
	         * Note that the finalize operation is effectively a destructive, read-once operation.
	         *
	         * @param {WordArray|string} messageUpdate (Optional) A final message update.
	         *
	         * @return {WordArray} The hash.
	         *
	         * @example
	         *
	         *     var hash = hasher.finalize();
	         *     var hash = hasher.finalize('message');
	         *     var hash = hasher.finalize(wordArray);
	         */
	        finalize: function (messageUpdate) {
	            // Final message update
	            if (messageUpdate) {
	                this._append(messageUpdate);
	            }
	
	            // Perform concrete-hasher logic
	            var hash = this._doFinalize();
	
	            return hash;
	        },
	
	        blockSize: 512/32,
	
	        /**
	         * Creates a shortcut function to a hasher's object interface.
	         *
	         * @param {Hasher} hasher The hasher to create a helper for.
	         *
	         * @return {Function} The shortcut function.
	         *
	         * @static
	         *
	         * @example
	         *
	         *     var SHA256 = CryptoJS.lib.Hasher._createHelper(CryptoJS.algo.SHA256);
	         */
	        _createHelper: function (hasher) {
	            return function (message, cfg) {
	                return new hasher.init(cfg).finalize(message);
	            };
	        },
	
	        /**
	         * Creates a shortcut function to the HMAC's object interface.
	         *
	         * @param {Hasher} hasher The hasher to use in this HMAC helper.
	         *
	         * @return {Function} The shortcut function.
	         *
	         * @static
	         *
	         * @example
	         *
	         *     var HmacSHA256 = CryptoJS.lib.Hasher._createHmacHelper(CryptoJS.algo.SHA256);
	         */
	        _createHmacHelper: function (hasher) {
	            return function (message, key) {
	                return new C_algo.HMAC.init(hasher, key).finalize(message);
	            };
	        }
	    });
	
	    /**
	     * Algorithm namespace.
	     */
	    var C_algo = C.algo = {};
	
	    return C;
	}(Math));
	
	window.CryptoJS = CryptoJS;


/***/ }),
/* 12 */
/***/ (function(module, exports) {

	/*
	CryptoJS v3.1.2
	code.google.com/p/crypto-js
	(c) 2009-2013 by Jeff Mott. All rights reserved.
	code.google.com/p/crypto-js/wiki/License
	*/
	(function (Math) {
	    // Shortcuts
	    var C = CryptoJS;
	    var C_lib = C.lib;
	    var WordArray = C_lib.WordArray;
	    var Hasher = C_lib.Hasher;
	    var C_algo = C.algo;
	
	    // Constants table
	    var T = [];
	
	    // Compute constants
	    (function () {
	        for (var i = 0; i < 64; i++) {
	            T[i] = (Math.abs(Math.sin(i + 1)) * 0x100000000) | 0;
	        }
	    }());
	
	    /**
	     * MD5 hash algorithm.
	     */
	    var MD5 = C_algo.MD5 = Hasher.extend({
	        _doReset: function () {
	            this._hash = new WordArray.init([
	                0x67452301, 0xefcdab89,
	                0x98badcfe, 0x10325476
	            ]);
	        },
	
	        _doProcessBlock: function (M, offset) {
	            // Swap endian
	            for (var i = 0; i < 16; i++) {
	                // Shortcuts
	                var offset_i = offset + i;
	                var M_offset_i = M[offset_i];
	
	                M[offset_i] = (
	                    (((M_offset_i << 8)  | (M_offset_i >>> 24)) & 0x00ff00ff) |
	                    (((M_offset_i << 24) | (M_offset_i >>> 8))  & 0xff00ff00)
	                );
	            }
	
	            // Shortcuts
	            var H = this._hash.words;
	
	            var M_offset_0  = M[offset + 0];
	            var M_offset_1  = M[offset + 1];
	            var M_offset_2  = M[offset + 2];
	            var M_offset_3  = M[offset + 3];
	            var M_offset_4  = M[offset + 4];
	            var M_offset_5  = M[offset + 5];
	            var M_offset_6  = M[offset + 6];
	            var M_offset_7  = M[offset + 7];
	            var M_offset_8  = M[offset + 8];
	            var M_offset_9  = M[offset + 9];
	            var M_offset_10 = M[offset + 10];
	            var M_offset_11 = M[offset + 11];
	            var M_offset_12 = M[offset + 12];
	            var M_offset_13 = M[offset + 13];
	            var M_offset_14 = M[offset + 14];
	            var M_offset_15 = M[offset + 15];
	
	            // Working varialbes
	            var a = H[0];
	            var b = H[1];
	            var c = H[2];
	            var d = H[3];
	
	            // Computation
	            a = FF(a, b, c, d, M_offset_0,  7,  T[0]);
	            d = FF(d, a, b, c, M_offset_1,  12, T[1]);
	            c = FF(c, d, a, b, M_offset_2,  17, T[2]);
	            b = FF(b, c, d, a, M_offset_3,  22, T[3]);
	            a = FF(a, b, c, d, M_offset_4,  7,  T[4]);
	            d = FF(d, a, b, c, M_offset_5,  12, T[5]);
	            c = FF(c, d, a, b, M_offset_6,  17, T[6]);
	            b = FF(b, c, d, a, M_offset_7,  22, T[7]);
	            a = FF(a, b, c, d, M_offset_8,  7,  T[8]);
	            d = FF(d, a, b, c, M_offset_9,  12, T[9]);
	            c = FF(c, d, a, b, M_offset_10, 17, T[10]);
	            b = FF(b, c, d, a, M_offset_11, 22, T[11]);
	            a = FF(a, b, c, d, M_offset_12, 7,  T[12]);
	            d = FF(d, a, b, c, M_offset_13, 12, T[13]);
	            c = FF(c, d, a, b, M_offset_14, 17, T[14]);
	            b = FF(b, c, d, a, M_offset_15, 22, T[15]);
	
	            a = GG(a, b, c, d, M_offset_1,  5,  T[16]);
	            d = GG(d, a, b, c, M_offset_6,  9,  T[17]);
	            c = GG(c, d, a, b, M_offset_11, 14, T[18]);
	            b = GG(b, c, d, a, M_offset_0,  20, T[19]);
	            a = GG(a, b, c, d, M_offset_5,  5,  T[20]);
	            d = GG(d, a, b, c, M_offset_10, 9,  T[21]);
	            c = GG(c, d, a, b, M_offset_15, 14, T[22]);
	            b = GG(b, c, d, a, M_offset_4,  20, T[23]);
	            a = GG(a, b, c, d, M_offset_9,  5,  T[24]);
	            d = GG(d, a, b, c, M_offset_14, 9,  T[25]);
	            c = GG(c, d, a, b, M_offset_3,  14, T[26]);
	            b = GG(b, c, d, a, M_offset_8,  20, T[27]);
	            a = GG(a, b, c, d, M_offset_13, 5,  T[28]);
	            d = GG(d, a, b, c, M_offset_2,  9,  T[29]);
	            c = GG(c, d, a, b, M_offset_7,  14, T[30]);
	            b = GG(b, c, d, a, M_offset_12, 20, T[31]);
	
	            a = HH(a, b, c, d, M_offset_5,  4,  T[32]);
	            d = HH(d, a, b, c, M_offset_8,  11, T[33]);
	            c = HH(c, d, a, b, M_offset_11, 16, T[34]);
	            b = HH(b, c, d, a, M_offset_14, 23, T[35]);
	            a = HH(a, b, c, d, M_offset_1,  4,  T[36]);
	            d = HH(d, a, b, c, M_offset_4,  11, T[37]);
	            c = HH(c, d, a, b, M_offset_7,  16, T[38]);
	            b = HH(b, c, d, a, M_offset_10, 23, T[39]);
	            a = HH(a, b, c, d, M_offset_13, 4,  T[40]);
	            d = HH(d, a, b, c, M_offset_0,  11, T[41]);
	            c = HH(c, d, a, b, M_offset_3,  16, T[42]);
	            b = HH(b, c, d, a, M_offset_6,  23, T[43]);
	            a = HH(a, b, c, d, M_offset_9,  4,  T[44]);
	            d = HH(d, a, b, c, M_offset_12, 11, T[45]);
	            c = HH(c, d, a, b, M_offset_15, 16, T[46]);
	            b = HH(b, c, d, a, M_offset_2,  23, T[47]);
	
	            a = II(a, b, c, d, M_offset_0,  6,  T[48]);
	            d = II(d, a, b, c, M_offset_7,  10, T[49]);
	            c = II(c, d, a, b, M_offset_14, 15, T[50]);
	            b = II(b, c, d, a, M_offset_5,  21, T[51]);
	            a = II(a, b, c, d, M_offset_12, 6,  T[52]);
	            d = II(d, a, b, c, M_offset_3,  10, T[53]);
	            c = II(c, d, a, b, M_offset_10, 15, T[54]);
	            b = II(b, c, d, a, M_offset_1,  21, T[55]);
	            a = II(a, b, c, d, M_offset_8,  6,  T[56]);
	            d = II(d, a, b, c, M_offset_15, 10, T[57]);
	            c = II(c, d, a, b, M_offset_6,  15, T[58]);
	            b = II(b, c, d, a, M_offset_13, 21, T[59]);
	            a = II(a, b, c, d, M_offset_4,  6,  T[60]);
	            d = II(d, a, b, c, M_offset_11, 10, T[61]);
	            c = II(c, d, a, b, M_offset_2,  15, T[62]);
	            b = II(b, c, d, a, M_offset_9,  21, T[63]);
	
	            // Intermediate hash value
	            H[0] = (H[0] + a) | 0;
	            H[1] = (H[1] + b) | 0;
	            H[2] = (H[2] + c) | 0;
	            H[3] = (H[3] + d) | 0;
	        },
	
	        _doFinalize: function () {
	            // Shortcuts
	            var data = this._data;
	            var dataWords = data.words;
	
	            var nBitsTotal = this._nDataBytes * 8;
	            var nBitsLeft = data.sigBytes * 8;
	
	            // Add padding
	            dataWords[nBitsLeft >>> 5] |= 0x80 << (24 - nBitsLeft % 32);
	
	            var nBitsTotalH = Math.floor(nBitsTotal / 0x100000000);
	            var nBitsTotalL = nBitsTotal;
	            dataWords[(((nBitsLeft + 64) >>> 9) << 4) + 15] = (
	                (((nBitsTotalH << 8)  | (nBitsTotalH >>> 24)) & 0x00ff00ff) |
	                (((nBitsTotalH << 24) | (nBitsTotalH >>> 8))  & 0xff00ff00)
	            );
	            dataWords[(((nBitsLeft + 64) >>> 9) << 4) + 14] = (
	                (((nBitsTotalL << 8)  | (nBitsTotalL >>> 24)) & 0x00ff00ff) |
	                (((nBitsTotalL << 24) | (nBitsTotalL >>> 8))  & 0xff00ff00)
	            );
	
	            data.sigBytes = (dataWords.length + 1) * 4;
	
	            // Hash final blocks
	            this._process();
	
	            // Shortcuts
	            var hash = this._hash;
	            var H = hash.words;
	
	            // Swap endian
	            for (var i = 0; i < 4; i++) {
	                // Shortcut
	                var H_i = H[i];
	
	                H[i] = (((H_i << 8)  | (H_i >>> 24)) & 0x00ff00ff) |
	                       (((H_i << 24) | (H_i >>> 8))  & 0xff00ff00);
	            }
	
	            // Return final computed hash
	            return hash;
	        },
	
	        clone: function () {
	            var clone = Hasher.clone.call(this);
	            clone._hash = this._hash.clone();
	
	            return clone;
	        }
	    });
	
	    function FF(a, b, c, d, x, s, t) {
	        var n = a + ((b & c) | (~b & d)) + x + t;
	        return ((n << s) | (n >>> (32 - s))) + b;
	    }
	
	    function GG(a, b, c, d, x, s, t) {
	        var n = a + ((b & d) | (c & ~d)) + x + t;
	        return ((n << s) | (n >>> (32 - s))) + b;
	    }
	
	    function HH(a, b, c, d, x, s, t) {
	        var n = a + (b ^ c ^ d) + x + t;
	        return ((n << s) | (n >>> (32 - s))) + b;
	    }
	
	    function II(a, b, c, d, x, s, t) {
	        var n = a + (c ^ (b | ~d)) + x + t;
	        return ((n << s) | (n >>> (32 - s))) + b;
	    }
	
	    /**
	     * Shortcut function to the hasher's object interface.
	     *
	     * @param {WordArray|string} message The message to hash.
	     *
	     * @return {WordArray} The hash.
	     *
	     * @static
	     *
	     * @example
	     *
	     *     var hash = CryptoJS.MD5('message');
	     *     var hash = CryptoJS.MD5(wordArray);
	     */
	    C.MD5 = Hasher._createHelper(MD5);
	
	    /**
	     * Shortcut function to the HMAC's object interface.
	     *
	     * @param {WordArray|string} message The message to hash.
	     * @param {WordArray|string} key The secret key.
	     *
	     * @return {WordArray} The HMAC.
	     *
	     * @static
	     *
	     * @example
	     *
	     *     var hmac = CryptoJS.HmacMD5(message, key);
	     */
	    C.HmacMD5 = Hasher._createHmacHelper(MD5);
	}(Math));


/***/ }),
/* 13 */
/***/ (function(module, exports) {

	/*
	CryptoJS v3.1.2
	code.google.com/p/crypto-js
	(c) 2009-2013 by Jeff Mott. All rights reserved.
	code.google.com/p/crypto-js/wiki/License
	*/
	(function () {
	    // Shortcuts
	    var C = CryptoJS;
	    var C_lib = C.lib;
	    var WordArray = C_lib.WordArray;
	    var C_enc = C.enc;
	
	    /**
	     * Base64 encoding strategy.
	     */
	    var Base64 = C_enc.Base64 = {
	        /**
	         * Converts a word array to a Base64 string.
	         *
	         * @param {WordArray} wordArray The word array.
	         *
	         * @return {string} The Base64 string.
	         *
	         * @static
	         *
	         * @example
	         *
	         *     var base64String = CryptoJS.enc.Base64.stringify(wordArray);
	         */
	        stringify: function (wordArray) {
	            // Shortcuts
	            var words = wordArray.words;
	            var sigBytes = wordArray.sigBytes;
	            var map = this._map;
	
	            // Clamp excess bits
	            wordArray.clamp();
	
	            // Convert
	            var base64Chars = [];
	            for (var i = 0; i < sigBytes; i += 3) {
	                var byte1 = (words[i >>> 2]       >>> (24 - (i % 4) * 8))       & 0xff;
	                var byte2 = (words[(i + 1) >>> 2] >>> (24 - ((i + 1) % 4) * 8)) & 0xff;
	                var byte3 = (words[(i + 2) >>> 2] >>> (24 - ((i + 2) % 4) * 8)) & 0xff;
	
	                var triplet = (byte1 << 16) | (byte2 << 8) | byte3;
	
	                for (var j = 0; (j < 4) && (i + j * 0.75 < sigBytes); j++) {
	                    base64Chars.push(map.charAt((triplet >>> (6 * (3 - j))) & 0x3f));
	                }
	            }
	
	            // Add padding
	            var paddingChar = map.charAt(64);
	            if (paddingChar) {
	                while (base64Chars.length % 4) {
	                    base64Chars.push(paddingChar);
	                }
	            }
	
	            return base64Chars.join('');
	        },
	
	        /**
	         * Converts a Base64 string to a word array.
	         *
	         * @param {string} base64Str The Base64 string.
	         *
	         * @return {WordArray} The word array.
	         *
	         * @static
	         *
	         * @example
	         *
	         *     var wordArray = CryptoJS.enc.Base64.parse(base64String);
	         */
	        parse: function (base64Str) {
	            // Shortcuts
	            var base64StrLength = base64Str.length;
	            var map = this._map;
	
	            // Ignore padding
	            var paddingChar = map.charAt(64);
	            if (paddingChar) {
	                var paddingIndex = base64Str.indexOf(paddingChar);
	                if (paddingIndex != -1) {
	                    base64StrLength = paddingIndex;
	                }
	            }
	
	            // Convert
	            var words = [];
	            var nBytes = 0;
	            for (var i = 0; i < base64StrLength; i++) {
	                if (i % 4) {
	                    var bits1 = map.indexOf(base64Str.charAt(i - 1)) << ((i % 4) * 2);
	                    var bits2 = map.indexOf(base64Str.charAt(i)) >>> (6 - (i % 4) * 2);
	                    words[nBytes >>> 2] |= (bits1 | bits2) << (24 - (nBytes % 4) * 8);
	                    nBytes++;
	                }
	            }
	
	            return WordArray.create(words, nBytes);
	        },
	
	        _map: 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/='
	    };
	}());


/***/ }),
/* 14 */
/***/ (function(module, exports, __webpack_require__) {

	/**
	 * 短信验证码输入
	 * version:1.0.1
	 * created by Max/jingming.li@jieshunpay.cn
	 * 用法：require("./module/popup_sms_input").show({
	 					withInit:false,//是否直接初始化并显示，如设置为FALSE，请先调用init 
						smsSended: false, //是否已经发送短信
						headerTitle: "", //标题
						mobile: "", //要获取短信的手机号
						inputCompleteClose: false, //输完验证码之后是否需要关闭输入界面
						getCodeCallback: function() {},//获取验证码回调
						doneCallback: function() {}//输完后的回调
					});
	 */
	__webpack_require__(2);
	
	module.exports = (function($) {
	
		$.dom = function(str) {
			if(typeof(str) !== 'string') {
				if((str instanceof Array) || (str[0] && str.length)) {
					return [].slice.call(str);
				} else {
					return [str];
				}
			}
			if(!$.__create_dom_div__) {
				$.__create_dom_div__ = document.createElement('div');
			}
			$.__create_dom_div__.innerHTML = str;
			return [].slice.call($.__create_dom_div__.childNodes);
		};
		var returnResult = {},
	
			PANEL_CLASS = ".popup-sms-panel", //弹出框的CLASS
			PANEL_HEADER = ".popup-sms-panel .header", //头部元素
			PANEL_TITLE_CLASS = ".p-s-p-header-title", //标题
			INPUT_TITLE_CLASS = ".p-s-p-input-title", //已发送手机号提示
			SMS_CODE_INPUT_CLASS = ".p-s-p-smscode-input", //验证码输入框
			GET_CODE_BTN_CLASS = ".p-s-p-get-code-btn", //获取验证码CLASSNAME
			INPUT_TIPS_CLASS = ".p-s-p-input-tips", //验证码错误提示
			CONFIRM_BTN = ".p-s-p-confirm-btn", //输入完成铵钮
	
			stringUtil = __webpack_require__(3),
			InputValidators = __webpack_require__(15),
			commonUtil = __webpack_require__(16),
			smsPanel = {
				init: function(options) {
					this.options = $.extend({
						smsSended: false, //是否已经发送短信
						headerTitle: "输入验证码", //标题
						mobile: "", //要获取短信的手机号
						inputCompleteClose: false, //输完验证码之后是否需要关闭输入界面
						smsCodeMaxLength: 6 //短信验证码长度
					}, options);
					this.inputValue = "";
					this._init();
				},
	
				//初始化
				_init: function() {
					this._initElements();
				},
	
				//创建DOM
				_initElements: function() {
	
					var self = this,
						_create = function(res) {
							$(PANEL_CLASS).remove();
							var panel = $.dom(res);
	
							//没指定添加到哪个元素，直接添加至BODY，且指定为弹窗方式，左上角显示关闭铵钮
							document.body.appendChild(panel[0]);
	
							self._initEvent();
	
							self.options.ready && self.options.ready();
						};
	
					postData("page/module/popup_sms_input.html", {}, _create, null, {
						requestType: "get",
						dataType: "html",
						localResource: true
					});
	
				},
	
				//绑定事件
				_initEvent: function() {
	
					var self = this;
	
					InputValidators.limitInputLength($(SMS_CODE_INPUT_CLASS), 6, "number");
	
					/**
					 * 获取验证码
					 */
					$(PANEL_CLASS).on("tap", GET_CODE_BTN_CLASS, function() {
	
						var $this = $(this);
	
						if($this.hasClass("disabled")) {
							return;
						}
	
						if(stringUtil.isEmpty(self.options.mobile)) {
							$.toast("手机号为空");
							return;
						}
	
						if(typeof self.options.getCodeCallback === 'function') {
							//获取验证码的接口不一样，这儿判断如果有自定义的方法，就回调
							self.options.getCodeCallback($this);
						} else {
							//调用接口发送短信
							postData("xxxx", {
								mobile: self.options.mobile,
								mark: "1"
							}, function(data) {
								if(data.resType == "00") {
									$.toast("验证码已发送");
								} else {
									$.toast(data.msgContent);
								}
								commonUtil.timeDown($this);
							}, null, {
								requestType: "get"
							});
						}
	
					});
	
					// 检查输入的验证码是否合法
					$(PANEL_CLASS).on("input", SMS_CODE_INPUT_CLASS, function() {
	
						if(self.options.smsCodeMaxLength == this.value.length) {
							//用户输完之后，验证
							self.validate.validateSmsCode();
							$(CONFIRM_BTN).removeClass("disabled");
						} else {
							$(INPUT_TIPS_CLASS).removeClass("error").html("");
							$(CONFIRM_BTN).addClass("disabled");
						}
	
					});
	
					/**
					 * 右上角关闭
					 */
					$(PANEL_CLASS).on("tap", ".back", function() {
						self._close();
					});
	
					/**
					 * 确认
					 */
					$(PANEL_CLASS).on("tap", CONFIRM_BTN, function() {
	
						var $this = $(this);
	
						if($this.hasClass("disabled")) {
							return false;
						}
	
						if(self.validate.checkAll()) {
							return false;
						}
	
						self._inputComplete();
	
					});
	
				},
	
				//验证输入项是否合规
				validate: {
	
					/**
					 * 验证短信验证码
					 */
					validateSmsCode: function() {
						var validators = InputValidators.getInputValidators();
						validators.addValidator('isNoEmpty', $(INPUT_TIPS_CLASS), APPwarn.checkcode.none, $(SMS_CODE_INPUT_CLASS).val());
						validators.addValidator('isValidSmsCode', $(INPUT_TIPS_CLASS), APPwarn.checkcode.err, $(SMS_CODE_INPUT_CLASS).val());
						return this.check(validators, $(INPUT_TIPS_CLASS));
					},
	
					/**
					 * 开始验证
					 * @param {Object} validators
					 */
					check: function(validators, tipEle) {
						var result = validators.check();
	
						if(result) {
							result.element.addClass("error").html(result.errMsg);
						} else {
							tipEle && tipEle.removeClass("error").html("");
						}
	
						return result;
					},
	
					checkAll: function() {
						return this.validateSmsCode();
					}
				},
	
				/**
				 * 输入完毕了
				 */
				_inputComplete: function() {
					if(this.options.inputCompleteClose) {
						this._close();
					}
	
					this.options.doneCallback && this.options.doneCallback($(SMS_CODE_INPUT_CLASS).val());
				},
	
				/**
				 * 显示弹出框
				 */
				_show: function(options) {
	
					var self = this;
	
					self.options = $.extend(self.options, options);
	
					//设置标题
					if(!stringUtil.isEmpty(self.options.headerTitle)) {
						$(PANEL_TITLE_CLASS).html(self.options.headerTitle);
					} else {
						$(PANEL_HEADER).remove();
					}
	
					//显示手机号
					$(INPUT_TITLE_CLASS).html(stringUtil.isEmpty(this.options.mobile) ? "请输入短信验证码" : "请输入手机{{mobileText}}收到的短信验证码".replace("{{mobileText}}", stringUtil.infoProtectDeal({
						targetStr: this.options.mobile,
						keepStart: 3,
						keepEnd: 4
					})));
	
					if(this.options.smsSended) {
						commonUtil.timeDown($(GET_CODE_BTN_CLASS));
					}
					$(PANEL_CLASS).removeClass("hidden").addClass("mui-active");
				},
	
				/**
				 * 关闭弹出框
				 */
				_close: function() {
					this._clear();
	
					if($(PANEL_CLASS).length > 0) {
						$(PANEL_CLASS).removeClass("mui-active").addClass("hidden");
						commonUtil.stopTimeDown($(GET_CODE_BTN_CLASS));
					}
	
				},
	
				/**
				 * 清除输入
				 */
				_clear: function() {
					$(SMS_CODE_INPUT_CLASS).length > 0 && $(SMS_CODE_INPUT_CLASS).val("");
				}
	
			};
	
		//API
	
		/**
		 * 初始化面板
		 * @param {Object} options
		 */
		returnResult.init = function(options) {
			smsPanel.init(options);
		}
	
		/**
		 * 显示验证码输入面板
		 * @param {Object} doneCallback:输完验证码之后的回调
		 */
		returnResult.show = function(options) {
	
			var options = options || {};
			if(options.withInit) {
				options.ready = function() {
					smsPanel._show();
				};
				smsPanel.init(options);
			} else {
				smsPanel._show(options);
			}
	
		}
	
		/**
		 * 隐藏验证码输入面板
		 */
		returnResult.hide = function() {
			smsPanel._close();
		}
	
		/**
		 * 清除验证码
		 */
		returnResult.clear = function() {
			smsPanel._clear();
		}
	
		return returnResult;
	})(mui);

/***/ }),
/* 15 */
/***/ (function(module, exports) {

	/**
	 * 输入框验证策略
	 * version:1.0.1
	 * created by Max/jingming.li@jieshunpay.cn
	 */
	module.exports = (function($) {
		var mobileTest = /^1[3|4|5|6|8|7|9][0-9]\d{8}$/,
			smsCodeTest = /^[0-9]{6}$/, // 短信验证码
			passwordTest = /^(?![^A-Za-z]+$)(?![^0-9]+$)[\x21-\x7E]{6,20}$/, // 密码
			safecodeTest = /^[0-9]{3}$/, // 信用卡安全码
			nameTest = /^[\u4e00-\u9fa5]*$/, // 用户姓名
			emailTest = /^([a-zA-Z0-9_-])+@([a-zA-Z0-9_-])+((\.[a-zA-Z0-9_-]{2,3}){1,2})$/,
			blkey = ["0123", "1234", "2345", "3456", "4567", "5678", "6789", "9876", "8765", "7654", "6543", "5432", "4321", "3210", "0000", "1111", "2222", "3333", "4444", "5555", "6666", "7777", "8888", "9999", "abcd", "bcde", "cdef", "defg", "efgh", "fghi", "ghij", "hijk", "ijkl", "jklm", "klmn", "lmno", "mnop", "nopq", "opqr", "pqrs", "qrst", "rstu", "stuv", "tuvw", "uvwx", "vwxy", "wxyz", "zyxw", "yxwv", "xwvu", "wvut", "vuts", "utsr", "tsrq", "srqp", "rqpo", "qpon", "ponm", "onml", "nmlk", "mlkj", "lkji", "kjih", "jihg", "ihgf", "hgfe", "gfed", "fedc", "edcb", "dcba", "ABCD", "BCDE", "CDEF", "DEFG", "EFGH", "FGHI", "GHIJ", "HIJK", "IJKL", "JKLM", "KLMN", "LMNO", "MNOP", "NOPQ", "OPQR", "PQRS", "QRST", "RSTU", "STUV", "TUVW", "UVWX", "VWXY", "WXYZ", "ZYXW", "YXWV", "XWVU", "WVUT", "VUTS", "UTSR", "TSRQ", "SRQP", "RQPO", "QPON", "PONM", "ONML", "NMLK", "MLKJ", "LKJI", "KJIH", "JIHG", "IHGF", "HGFE", "GFED", "FEDC", "EDCB", "DCBA", "aaaa", "bbbb", "cccc", "dddd", "eeee", "ffff", "gggg", "hhhh", "iiii", "jjjj", "kkkk", "llll", "mmmm", "nnnn", "oooo", "pppp", "qqqq", "rrrr", "ssss", "tttt", "uuuu", "vvvv", "wwww", "xxxx", "yyyy", "zzzz", "AAAA", "BBBB", "CCCC", "DDDD", "EEEE", "FFFF", "GGGG", "HHHH", "IIII", "JJJJ", "KKKK", "LLLL", "MMMM", "NNNN", "OOOO", "PPPP", "QQQQ", "RRRR", "SSSS", "TTTT", "UUUU", "VVVV", "WWWW", "XXXX", "YYYY", "ZZZZ"],
			identityCity = {
				11: "北京",
				12: "天津",
				13: "河北",
				14: "山西",
				15: "内蒙古",
				21: "辽宁",
				22: "吉林",
				23: "黑龙江 ",
				31: "上海",
				32: "江苏",
				33: "浙江",
				34: "安徽",
				35: "福建",
				36: "江西",
				37: "山东",
				41: "河南",
				42: "湖北 ",
				43: "湖南",
				44: "广东",
				45: "广西",
				46: "海南",
				50: "重庆",
				51: "四川",
				52: "贵州",
				53: "云南",
				54: "西藏 ",
				61: "陕西",
				62: "甘肃",
				63: "青海",
				64: "宁夏",
				65: "新疆",
				71: "台湾",
				81: "香港",
				82: "澳门",
				91: "国外 "
			},
			factor = [7, 9, 10, 5, 8, 4, 2, 1, 6, 3, 7, 9, 10, 5, 8, 4, 2], //加权因子
			parity = [1, 0, 'X', 9, 8, 7, 6, 5, 4, 3, 2]; //校验位
		//输入验证器
		function InputValidators() {
			this.validators = [];
			this.strategies = {};
		};
	
		/**
		 * 限制输入框的输入值长度
		 * @param {Object} element
		 * @param {Object} length
		 * @param {Object} type限制类型
		 */
		this.limitInputLength = function(element, length, type) {
			if($.isArray(element)) {
				element = element[0];
			}
	
			element.addEventListener("input", function() {
				if("number" == type) {
					if(!/^\d+$/.test(this.value.replace(/\D/g, ""))) {
						this.value = /^\d+/.exec(this.value);
					}
				}
	
				var target = this.value;
				if(target.length > length) {
					this.value = target.substr(0, length);
				}
			});
		};
	
		//添加验证方法
		//参数:
		//  rule: 验证策略字符串
		//  element: 被验证的dom元素
		//  errMsg: 验证失败时显示的提示信息
		//  value: 被验证的值
		InputValidators.prototype.addValidator = function(rule, element, errMsg, value) {
			var that = this;
			var ruleElements = rule.split(":");
			this.validators.push(function() {
				var strategy = ruleElements.shift();
				var params = ruleElements;
				params.unshift(value);
				params.unshift(errMsg);
				params.unshift(element);
				return that.strategies[strategy].apply(that, params);
			});
		};
		//添加验证策略函数
		//参数:
		//  name: 策略名称
		//  strategy: 策略函数
		InputValidators.prototype.addValidationStrategy = function(name, strategy) {
			this.strategies[name] = strategy;
		};
		//从策略对象导入验证策略函数
		//参数:
		//  strategies: 包含各种策略函数的对象
		InputValidators.prototype.importStrategies = function(strategies) {
			for(var strategyName in strategies) {
				this.addValidationStrategy(strategyName, strategies[strategyName]);
			}
		};
		//验证失败时，将相关的错误信息打包返回
		//参数:
		//  element: dom元素
		//   errMsg: 验证失败时的提示消息
		//    value: 被验证的值
		InputValidators.prototype.buildInvalidObj = function(element, errMsg, value) {
			return {
				'value': value,
				'element': element,
				'errMsg': errMsg
			};
		};
		//开始验证
		InputValidators.prototype.check = function() {
			for(var i = 0, validator; validator = this.validators[i++];) {
				var result = validator();
				if(result) {
					return result;
				}
			}
		};
		//验证策略对象，包含默认的验证策略函数
		var validationStrategies = {
			isNoEmpty: function(element, errMsg, value) {
				if(!value || value == "undefined" || value === "" || value == "\"\"" || value == "\'\'" || value == "null") {
					return this.buildInvalidObj(element, errMsg, value);
				}
			},
			//手机号是否合法
			isValidMobile: function(element, errMsg, value) {
				if(!(mobileTest.test(value))) {
					return this.buildInvalidObj(element, errMsg, value);
				}
			},
			//验证密码长度是否正确
			isErrorLenPwd: function(element, errMsg, value) {
				if(value.length < 8 || value.length > 18) {
					return this.buildInvalidObj(element, errMsg, value);
				}
			},
			//密码是否合法
			isValidPwd: function(element, errMsg, value) {
				if(!(passwordTest.test(value))) {
					return this.buildInvalidObj(element, errMsg, value);
				}
			},
			//验证密码是否过于简单
			isEasyPwd: function(element, errMsg, value) {
	
				var result = true;
				for(var t = 0; t < blkey.length; t++) {
					if(value.indexOf(blkey[t]) != -1) {
						result = false;
						break;
					}
				}
	
				if(!result) {
					return this.buildInvalidObj(element, errMsg, value);
				}
			},
			//短信验证码是否合法
			isValidSmsCode: function(element, errMsg, value) {
				if(!(smsCodeTest.test(value))) {
					return this.buildInvalidObj(element, errMsg, value);
				}
			},
			//EMAIL
			isValidEmail: function(element, errMsg, value) {
				if(!(emailTest.test(value))) {
					return this.buildInvalidObj(element, errMsg, value);
				}
			},
			//银行卡
			isValidBankCardNo: function(element, errMsg, value) {
				if(value.length < 16 || value.length > 19) {
					return this.buildInvalidObj(element, errMsg, value);
				}
			},
			//信用卡背三位
			isValidSafeCode: function(element, errMsg, value) {
				if(!(safecodeTest.test(value))) {
					return this.buildInvalidObj(element, errMsg, value);
				}
			},
			//姓名
			isValidName: function(element, errMsg, value) {
				if(!(nameTest.test(value))) {
					return this.buildInvalidObj(element, errMsg, value);
				}
			},
			//身份证
			isValidIdentityCode: function(element, errMsg, value) {
	
				var pass = true;
				if(value.length == 15) {
					value = value.substring(0, 6) + "19" + value.substring(6, 15);
					var ovalue = value.split('');
					var osum = 0;
					for(var i = 0; i < 17; i++) {
						osum += ovalue[i] * factor[i];
					}
					value = value + (parity[osum % 11]).toString();
				}
				if(!value || !/^\d{6}(18|19|20)?\d{2}(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01])\d{3}(\d|X)$/i.test(value)) {
					pass = false; // 身份证号格式错误
				} else if(!identityCity[value.substr(0, 2)]) {
					pass = false; // 地址编码错误
				} else {
					//18位身份证需要验证最后一位校验位
					if(value.length == 18) {
						value = value.split('');
						var sum = 0;
						for(var i = 0; i < 17; i++) {
							sum += value[i] * factor[i];
						}
						if(parity[sum % 11] != value[17]) {
							pass = false; // 校验位错误
						}
					}
				}
				if(!pass) {
					return this.buildInvalidObj(element, errMsg, value);
				}
	
			},
			//捷顺通卡
			isJstCardCode: function(element, errMsg, value) {
				var pass = false;
				var codekey = value.substr(0, 6);
				var codelength = value.replace(/\D/g, "").length;
				if(codekey == "880755" && codelength == 19) {
					pass = true;
				}
				if(!pass) {
					return this.buildInvalidObj(element, errMsg, value);
				}
			},
		};
	
		this.getInputValidators = function() {
			var validators = new InputValidators();
			validators.importStrategies(validationStrategies);
			return validators;
		};
	
		return this;
	
	})(mui);

/***/ }),
/* 16 */
/***/ (function(module, exports, __webpack_require__) {

	/**
	 * 常用判断方法等
	 * version:1.0.1
	 * created by Max/jingming.li@jieshunpay.cn
	 */
	__webpack_require__(2);
	module.exports = (function ($) {
		var returnResult = {};
		/**
		 * 验证码倒计时
		 */
		returnResult.timeDown = function (element, t) {
			var obj = $(element);
			t = (t == 0) ? 0 : t || 90;
			if (t == 0) {
				returnResult.stopTimeDown(element);
			} else {
				obj.attr("disabled", true);
				obj.addClass("disabled");
				var tryText = "(" + t + "秒)";
				obj.html(tryText);
				t--;
				returnResult.timeout = setTimeout(function () {
					returnResult.timeDown(element, t);
				}, 1000);
			}
		};
	
		/**
		 * 停止倒计时
		 * @param {Object} element
		 */
		returnResult.stopTimeDown = function (element) {
			var obj = $(element);
			obj.removeAttr("disabled");
			obj.removeClass("disabled");
			var tryText = "获取验证码";
			obj.html(tryText);
			clearTimeout(returnResult.timeout);
		}
	
		/**
		 * 距离格式化
		 * @param {Object} element
		 */
		returnResult.parseDistance = function (distance) {
			var _distance = 0;
			try {
				_distance = parseFloat(distance) || 0;
				if (_distance < 1000 && _distance > 0) {
					_distance = Math.round(_distance) + "米";
				} else if (_distance > 1000) {
					_distance = (Math.round(_distance / 100) / 10).toFixed(1) + "公里";
				}
			} catch (e) {
				//TODO handle the exception
			}
			return _distance;
		}
	
		/**
		 * 精度处理： 加减乘除
		 * @param {Object} element
		 */
		function isInteger(obj) {
			return Math.floor(obj) === obj
		}
		// 将一个浮点数转成整数，返回整数和倍数。如 3.14 >> 314，倍数是 1000
		function toInteger(floatNum) {
			var ret = { times: 1, num: 0 }
	
			if (isInteger(floatNum)) {
	
				ret.num = floatNum
	
				return ret
	
			}
	
			var strfi = floatNum + ''
	
			var dotPos = strfi.indexOf('.')
	
			var len = strfi.substr(dotPos + 1).length
	
			var times = Math.pow(10, len)
	
			var intNum = Number(strfi.replace(".", ""))
	
			ret.times = times
	
			ret.num = intNum
	
			return ret
		}
		// 精度
		returnResult.toFixedCP = function (num, s) {
			try {
	
				s = s || (num + '').split(".")[1].length;
	
			} catch (e) {
	
			}
	
			var times = Math.pow(10, s + 1)
	
			var des = num * times + 5
	
			des = parseInt(des / 10, 10) * 10 / times
	
			return des + ''
		}
		function operation(a, b, digits, op) {
			var o1 = toInteger(a)
	
			var o2 = toInteger(b)
	
			var n1 = o1.num
	
			var n2 = o2.num
	
			var t1 = o1.times
	
			var t2 = o2.times
	
			var max = t1 > t2 ? t1 : t2
	
			var result = null
	
			switch (op) {
	
				case 'add':
	
					if (t1 === t2) { // 两个小数位数相同
	
						result = n1 + n2
	
					} else if (t1 > t2) { // o1 小数位 大于 o2
	
						result = n1 + n2 * (t1 / t2)
	
					} else { // o1 小数位 小于 o2
	
						result = n1 * (t2 / t1) + n2
	
					}
	
					if (digits) {
	
						return returnResult.toFixedCP(result / max, digits)
	
					} else {
	
						return result / max
	
					}
	
				case 'subtract':
	
					if (t1 === t2) {
	
						result = n1 - n2
	
					} else if (t1 > t2) {
	
						result = n1 - n2 * (t1 / t2)
	
					} else {
	
						result = n1 * (t2 / t1) - n2
	
					}
	
					if (digits) {
	
						return returnResult.toFixedCP(result / max, digits)
	
					} else {
	
						return result / max
	
					}
	
				case 'multiply':
	
					result = (n1 * n2) / (t1 * t2)
	
					if (digits) {
	
						return returnResult.toFixedCP(result, digits)
	
					} else {
	
						return result
	
					}
	
				case 'divide':
	
					result = (n1 / n2) * (t2 / t1)
	
					if (digits) {
	
						return returnResult.toFixedCP(result, digits)
	
					} else {
	
						return result
	
					}
	
			}
		}
		// 加
		returnResult.add = function (a, b, digits) {
			return operation(a, b, digits, 'add')
		}
		// 减
		returnResult.subtract = function (a, b, digits) {
			return operation(a, b, digits, 'subtract')
		}
		// 乘
		returnResult.multiply = function (a, b, digits) {
			return operation(a, b, digits, 'multiply')
		}
		// 除
		returnResult.divide = function (a, b, digits) {
			return operation(a, b, digits, 'divide')
		}
	
		return returnResult;
	})(mui);

/***/ }),
/* 17 */
/***/ (function(module, exports, __webpack_require__) {

	/**
	 * 登录信息设置获取
	 * version:1.0.1
	 * created by Max/jingming.li@jieshunpay.cn
	 */
	module.exports = (function($) {
		var returnResult = {},
			stringUtil = __webpack_require__(3),
			local = __webpack_require__(6);
	
		/**
		 * 跳转至登录页面
		 * @param {Object} goLogin:没有登录的情况是否跳转至登录页,true为跳
		 */
		returnResult.gotoLogin = function(goLogin, webviewParam) {
			if(goLogin) {
				//缓存里没有登录信息，跳转至登录页面
	
				var href = constant.rootPath + '/page/home/login.html',
					param = webviewParam || {},
					gotoLoginPage = function() {
						openWindow(href, href, param, {
							show: {
								aniShow: "slide-in-bottom",
								duration: constant.duration
							}
						});
					};
	
				if($.os.plus) {
	
					//APP环境需传当前WEBVIEWID到登录页，登录成功之后再刷新本页，查询余额等
					$.plusReady(function() {
						param.fromPageId = plus.webview.currentWebview().id;
						gotoLoginPage();
					});
				} else {
					gotoLoginPage();
				}
				return;
			}
		};
	
		/**
		 * 保存登录用户用户名和密码，为了更新TOKEN,用户密码其实不能保存至本地，留下了安全隐患，不得已而为之
		 * @param {Object} userName:用户名
		 * @param {Object} pwd：密码
		 */
		returnResult.setLoginParameter = function(userName, pwd) {
	
			if(stringUtil.isEmpty(userName)) {
				return;
			}
	
			var loginParameter = {
				userName: userName,
				pwd: pwd
			};
	
			local.setItem("loginParameter", JSON.stringify(loginParameter));
	
		};
	
		/**
		 * 获取登录用户用户名和密码
		 */
		returnResult.getLoginParameter = function() {
			var returnInfo = local.getItem("loginParameter");
	
			if(stringUtil.isEmpty(returnInfo)) {
				return null;
			}
	
			return JSON.parse(returnInfo);
	
		};
	
		/**
		 * 判断是否已经登录
		 * 如果没有登录返回false
		 */
		returnResult.isLogin = function() {
			return !stringUtil.isEmpty(local.getItem("token"))
		};
	
		/**
		 * 退出登录
		 */
		returnResult.logout = function(goLogin) {
	
			postData("member/loyout", {}, function() {}, null, {
				showWait: false,
				errorToast: false
			});
	
			local.clear();
	
			//设置手动退出标识
			local.setItem("manualLogin", 1);
	
			//通知首页退出登录了
			$.plusReady(function() {
				$.fire(__webpack_require__(18).getLaunchWebview(), "logout");
			});
	
			if(goLogin) {
				var href = constant.rootPath + "/page/home/login.html";
				openWindow(href);
				return;
			}
		};
	
		/**
		 * 登陆验证
		 * uid用户编号，successdo验证成功后返回新的用户信息
		 */
		returnResult.updateUserInfo = function(successdo,fail) {
	
			postData(constant.appPreHttpServer.concat("app/rest/getMemberInfo"), {}, function(data) {
				if(data.resType == "00") {
					var acctLevel = data.acctLevel;
					var usrObj = data.selUsersInfoListBeans[0];
	
					var userInfoBeans = data.selUsersInfoListBeans;
					if(userInfoBeans && userInfoBeans.length > 0) {
						var usrObj = data.selUsersInfoListBeans[0];
						usrObj.acctLevel = acctLevel;
						local.setItem("userInfo", JSON.stringify(usrObj));
						successdo && successdo(usrObj);
					} else {
						fail && fail();
					}
				}
	
			}, null, {
				requestType: "get"
			});
	
		};
	
		/**
		 * 获取登录信息
		 * @param {Object} goLogin:没有登录的情况是否跳转至登录页,true为跳
		 */
		returnResult.getUserInfo = function(goLogin) {
			var returnInfo = local.getItem("userInfo");
			if(stringUtil.isEmpty(returnInfo)) {
				__webpack_require__(16).preventAccess();
				return null;
			}
			return JSON.parse(returnInfo);
		};
	
		return returnResult;
	})(mui);

/***/ }),
/* 18 */
/***/ (function(module, exports, __webpack_require__) {

	/**
	 * webview操作
	 * version:1.0.1
	 * created by Max/jingming.li@jieshunpay.cn
	 */
	__webpack_require__(2);
	module.exports = {
		closeLanuchOther: function(currentWebview, closeTimeout) {
	
			mui.plusReady(function() {
	
				// 获取所有Webview窗口
				var wvs = plus.webview.all(),
					closeTimeout = closeTimeout || 500,
					currentWeb = currentWebview || __webpack_require__(18).getLaunchWebview(),
					lauchWeb = __webpack_require__(18).getLaunchWebview(),
					appLanuch = plus.webview.getLaunchWebview();
	
				var closeW = function() {
					for(var i = 0; i < wvs.length; i++) {
						var wvsitem = wvs[i];
	
						console.log(wvsitem.id);
						if(wvsitem.parent()) {
							console.log("-----parent-----" + wvsitem.parent().id);
						}
	
						if(wvsitem != appLanuch && wvsitem.parent() != appLanuch && wvsitem != lauchWeb && wvsitem.parent() != lauchWeb && wvsitem != currentWeb && wvsitem.parent() != currentWeb) {
							wvsitem.close("none");
							console.log(wvsitem.id + " already closed");
						}
					}
				};
	
				setTimeout(closeW, closeTimeout);
			});
	
		},
	
		/**
		 * 获取启动页的WEBVIEW，当加载远程启动文件时，将启动WEB设置为lanuch.html
		 */
		getLaunchWebview: function() {
			var lanuchWeb = plus.webview.getWebviewById("secondLanuch"),
				returnWeb;
			if(lanuchWeb) {
				returnWeb = lanuchWeb;
			} else {
				returnWeb = plus.webview.getLaunchWebview();
			}
			return returnWeb;
		}
	};

/***/ }),
/* 19 */
/***/ (function(module, exports) {

	/**
	 * 提供JS和APP webview交互
	 * version:1.0.5
	 * created by Max/jingming.li@jieshunpay.cn
	 */
	module.exports = (function ($) {
	
	    var returnR = {
	        callTypes: {
	            getGps: 1, //获取当前GPS位置
	            mapNavegation: 2, //调起地图导航
	            nativePay: 8, //调用支付
	            closeWebview: 9, //关闭webview
	            showSearchPage: 14, //跳到地名搜索页面
	            localStorageHandle: 15, //操作缓存数据，存入原生沙盒
	            showMapPage: 18, //跳转地图页面
	            delegationBack: 21, //接管原生返回通知；因APP标题栏一般情况下由原生控制，没有业务场景要求，不要随意接管返回事件
	            showTitleMenu: 31, //自定义标题栏右侧功能
	            hideTitleMenu: 32 //隐藏标题栏右侧功能
	        },
	        successCallback: []
	    };
	
	    /**
	     * 地理位置，导航等
	     */
	    returnR.map = {
	        /**
	         * 获取设备当前位置
	         */
	        getCurrentPosition: function (callback, args) {
	            returnR.invokeNative(
	                $.extend({
	                    type: 1
	                }, args),
	                function (res) {
	                    console.log("=====h5 getCurrentPosition 获取到App地址=====");
	                    var longitude = 0,
	                        latitude = 0;
	                    try {
	                        var data = res.data;
	                        longitude = data.longitude;
	                        latitude = data.latitude;
	
	                    } catch (e) {
	                        console.log("=====h5 getCurrentPosition 地址解析异常！====");
	                        //TODO handle the exception
	                    }
	
	                    if (longitude > 0 && latitude > 0) {
	                        //获取到地理位置了
	                        console.log("=====h5 getCurrentPosition 地址解析完成，执行回调！====");
	                        callback && callback(data);
	                    }
	                },
	                function (code) {
	                });
	        },
	        /**
	         * 调起地图导航
	         * @param {Object} start:{//导航起点
			            longitude:100.12556,//经度
			            latitude:20.7894,//纬度
			            address:"xxxxxxxx"//起点地址
			        },
	         * @param {Object} end:{//导航终点
			            longitude:100.12556,//经度
			            latitude:20.7894,//纬度
			            address:"xxxxxxxx"//终点地址
			        }
	         */
	        callMapNav: function (args) {
	            returnR.invokeNative(args, function (res) {
	            }, function (code) {
	            });
	        },
	
	        /**
	         * 创建地点对象
	         * @param {Object} longitude
	         * @param {Object} latitude
	         * @param {Object} address
	         */
	        createPosition: function (longitude, latitude, address) {
	            var obj = new Object();
	            obj.longitude = longitude;
	            obj.latitude = latitude;
	            obj.address = address;
	            return obj;
	        },
	        /**
	         * CP优惠券
	         * 调用原生摄像头实现扫一扫
	         * 目前用于商城扫一扫
	         */
	        cpBarcode: function (callback, args) {
	            returnR.invokeNative(
	                $.extend({
	                    type: 22
	                }, args),
	                function (res) {
	                    // alert('原生');
	                    // alert(JSON.stringify(res))
	                    console.log('原生res', JSON.stringify(res))
	                    try {
	                        var data = res.scanResult;
	                        callback && callback(data);
	                    } catch (e) {
	                        //TODO handle the exception
	                    }
	                },
	                function (code) {
	                });
	        },
	
	        /**
	         * CP优惠券
	         * 调用原生支付
	         * 目前用于购买优惠券
	         */
	        cpPay: function (callback, args) {
	            returnR.invokeNative(
	                $.extend({
	                    type: 23
	                }, args),
	                function (res) {
	                    try {
	                        // var data = res.data;
	                        callback && callback(res);
	                    } catch (e) {
	                        //TODO handle the exception
	                    }
	                },
	                function (code) {
	                });
	        },
	    };
	
	    returnR.addInvokeCallback = function (type, successCallback) {
	        var obj = new Object();
	        obj.type = type;
	        obj.callback = successCallback;
	        console.log("===h5 callback push===");
	        returnR.successCallback.push(obj);
	    };
	
	    returnR.back = function(){
	        returnR.invokeNative({
	            type: 16
	        });
	    };
	
	    returnR.close = function(){
	        returnR.invokeNative({
	            type: 9
	        });
	    };
	
	    /**
	     * JS call native
	     * @param {Object} jsonObj
	     */
	    returnR.invokeNative = function (jsonObj, successCallback, errorCallback) {
	        var jsonStr = JSON.stringify(jsonObj);
	        console.log("invokeNative:" + jsonStr);
	        if (window.android) {
	            window.android.invokeNative(jsonStr);
	        } else if (mui.os.ios && window.webkit) {
	            //IOS交互
	            window.webkit.messageHandlers.invokeNative.postMessage(jsonStr);
	        }
	        returnR.addInvokeCallback(jsonObj.type, successCallback);
	        // var obj = new Object();
	        // obj.type = jsonObj.type;
	        // obj.callback = successCallback;
	        // console.log("===h5 callback push===");
	        // returnR.successCallback.push(obj);
	
	        // /** 
	        //  * 提供给NATIVE调用
	        //  * @param {Object}
	        //  */
	        // window.invokeJS = function (res) {
	        // 	//WEBVIEW回调
	        // 	returnR.invokeJS(res, function (data1) {
	        // 		console.log("==========收到App的回调data1->"+JSON.stringify(data1));
	        // 		console.log("==========收到App的回调data1匹配情况res.type->"+res.type+" | jsonObj.type->"+jsonObj.type);
	        // 		if (res.type == jsonObj.type) {
	        // 			successCallback && successCallback(data1);
	        // 		}
	        // 	});
	        // };
	    };
	
	    returnR.invokeJSCallback = function (res) {
	        // console.log("===h5 invokeJSCallback===");
	        var resType = res.type;
	        var callbackSuccess = false;
	        // console.log("===h5 invokeJSCallback type->" + resType + "===");
	        for (var i = 0, size = returnR.successCallback.length; i < size; i++) {
	            var element = returnR.successCallback[i];
	            // console.log("===h5 invokeJSCallback 循环callback element.type->" + element.type + "===");
	            if (element.type == resType) {
	                // console.log("===h5 invokeJSCallback 查找到相关回调，开始执行->" + resType + "===");
	                callbackSuccess = true;
	                element.callback(res);
	                break;
	            }
	        }
	        ;
	        if (!callbackSuccess) console.log("===h5 invokeJSCallback 未查找到回调type" + resType + "===");
	
	        // returnR.successCallback.forEach(element => {
	        // 	console.log("===h5 invokeJSCallback 循环callback element.type->"+element.type+"===");
	        // 	if(element.type == resType){
	        // 		console.log("===h5 invokeJSCallback 查找到相关回调，开始执行->"+resType+"===");
	        // 		element.callback(res);
	        // 		return;
	        // 	}
	        // });
	        // returnR.successCallback(res);
	    };
	
	
	    /**
	     * 提供给NATIVE调用
	     * @param {Object}
	     */
	    window.invokeJS = function (res) {
	        //WEBVIEW回调
	        returnR.invokeJS(res, function (data1) {
	            console.log("==========收到App的回调data1 解析完成，调用封装回调方法invokeJSCallback->" + JSON.stringify(data1));
	            returnR.invokeJSCallback(data1);
	            // console.log("==========收到App的回调data1匹配情况res.type->" + res.type + " | jsonObj.type->" + jsonObj.type);
	            // if (res.type == jsonObj.type) {
	            // 	successCallback && successCallback(data1);
	            // }
	        });
	    };
	
	    /**
	     * native call js
	     * @param {Object} res
	     */
	    returnR.invokeJS = function (res, _callback) {
	
	        var data = {};
	        try {
	            data = typeof (res) != "object" ? JSON.parse(res) : res;
	        } catch (e) {
	            //TODO handle the exception
	        }
	
	        if (!stringUtil.isEmpty(data)) {
	            var type = data.type,
	                backType = data.backType || "1";
	
	            if (21 == type) {
	                //WEBVIEW调用了返回事件
	                if (window.beforeWebviewBack) {
	                    //页面自定义了托管返回事件
	                    window.beforeWebviewBack();
	                } else {
	                    if (backType == "1") {
	                        //接收到了原生返回事件后，关闭WEBVIEW
	                        returnR.invokeNative({
	                            type: 9
	                        });
	                    } else {
	                        _callback && _callback(data);
	                    }
	                }
	
	                return;
	            }
	
	            _callback && _callback(data);
	        }
	
	    };
	
	    return returnR;
	})(mui);

/***/ })
/******/ ]);
//# sourceMappingURL=common.js.map