webpackJsonp([26],[
/* 0 */
/***/ (function(module, exports, __webpack_require__) {

	/**
	 * 优惠券列表
	 * created by Max/jingming.li@jieshunpay.cn
	 */
	__webpack_require__(1);
	
	(function ($) {
	
	  var dataListEle = $("#dataList"),
	      dataNewList = $("#dataNewList"),
	      noDataEle = $(".no-data"),
	      noDataTipsEle = $("#noDataTips"),
	      oldBack = $.back,
	      h5_jstjhy_plugin = __webpack_require__(19),
	      _type = "0", // 优惠券类型 "0"-未使用 "1"-已使用 "2"-已过期 "3"-使用中
	      _userId = "",
	      main = {
	        //初始化执行
	        init: function () {
	          this.getCouponList();
	          // 获取userId
	          login.updateUserInfo(function (data) {
	            if (data && data.userId) {
	              _userId = data.userId;
	              main.getNewCouponList(_userId); // 新增优惠券
	            } else {
	              $.toast("请先登录！");
	            }
	          }, function (error) {
	            $.toast("请先登录!");
	          });
	
	          this.bindEvent();
	
	          // 暂时
	          //main.handleNewCouponList();
	        },
	
	        /**
	         * 获取优惠券列表
	         * @param {Object} status
	         */
	        getCouponList: function () {
	          noDataEle.addClass("mui-hidden");
	          postData(constant.appPreHttpServer.concat("app/rest/market/coupon/queryCouponList"), {
	            status: _type
	          }, main.handleCouponList, function (err) {
	            noDataEle.removeClass("mui-hidden");
	          }, {
	            contentType: "application/json"
	          });
	        },
	
	        /**
	         * 获取最新优惠券列表
	         * @param {Object} status
	         */
	        getNewCouponList: function (userId) {
	          console.log('getNewCouponList', userId);
	          noDataEle.addClass("mui-hidden");
	          postData(constant.couponHttpServer.concat("web/user/coupon/list"), {
	            userId: userId,
	            cpStatus: _type,
	            page: 1,
	            size: 9999
	          }, main.handleNewCouponList, function (err) {
	            noDataEle.removeClass("mui-hidden");
	          }, {
	            contentType: "application/json"
	          });
	        },
	        /**
	         * 获取到优惠券列表后的回调
	         * @param {Object} res
	         */
	        handleCouponList: function (res) {
	
	          // res = {
	          // 	"resType":"00",
	          // 	"msgContent":"成功",
	          // 	"data":[
	          // 	  {
	          // 		"currentPage":1,
	          // 		"pageSize":10,
	          // 		"startTime":null,
	          // 		"endTime":null,
	          // 		"tStartTime":null,
	          // 		"tEndTime":null,
	          // 		"resCode":null,
	          // 		"resType":null,
	          // 		"msgContent":null,
	          // 		"errorMsg":null,
	          // 		"pageCount":0,
	          // 		"numCount":0,
	          // 		"baseLoginBean":null,
	          // 		"deviceFinger":null,
	          // 		"clientIp":null,
	          // 		"appVersion":null,
	          // 		"logCardOperateModel":null,
	          // 		"id":"8e2c9c3b967011eab49600163e93fa4b",
	          // 		"activityId":"1087082968364654592",
	          // 		"ruleId":"1087082968352071680",
	          // 		"userId":"9813487808781000704",
	          // 		"couponName":"优惠券",
	          // 		"activityName":"手动发放优惠券-重点活动10元5元",
	          // 		"singleAmt":"5.00",
	          // 		"amtLimit":"5.01",
	          // 		"actStartTime":"2020-05-15",
	          // 		"actEndTime":"2020-06-15",
	          // 		"ruleStartTime":"2020-05-15",
	          // 		"ruleEndTime":"2020-06-15",
	          // 		"couponType":"1",
	          // 		"status":"0",
	          // 		"isDeleted":0,
	          // 		"receiveNum":null,
	          // 		"dayReceiveNum":null,
	          // 		"useNum":null,
	          // 		"dayUseNum":null,
	          // 		"userMaxJoinTime":"1",
	          // 		"userDayMaxJoinTime":"1",
	          // 		"channelNo":"1645285811190497299",
	          // 		"payChannelNo":"JYF,WeChat",
	          // 		"couponList":null,
	          // 		"operateType":0,
	          // 		"orderAmt":null,
	          // 		"singleMarkId":"",
	          // 		"useDescri":"全场可用",
	          // 		"goodsMark":"2",
	          // 		"singleType":null,
	          // 		"busiType":null,
	          // 		"shopId":null,
	          // 		"goodsId":null,
	          // 		"paramSg":null,
	          // 		"useable":"1",
	          // 		"parkId":null,
	          // 		"parkType":null,
	          // 		"parks":null,
	          // 		"secc":true
	          // 	  },
	          // 	  {
	          // 		"currentPage":1,
	          // 		"pageSize":10,
	          // 		"startTime":null,
	          // 		"endTime":null,
	          // 		"tStartTime":null,
	          // 		"tEndTime":null,
	          // 		"resCode":null,
	          // 		"resType":null,
	          // 		"msgContent":null,
	          // 		"errorMsg":null,
	          // 		"pageCount":0,
	          // 		"numCount":0,
	          // 		"baseLoginBean":null,
	          // 		"deviceFinger":null,
	          // 		"clientIp":null,
	          // 		"appVersion":null,
	          // 		"logCardOperateModel":null,
	          // 		"id":"92205b7a967011eab49600163e93fa4b",
	          // 		"activityId":"1087082968364654592",
	          // 		"ruleId":"1087082968352071680",
	          // 		"userId":"9813487808781000704",
	          // 		"couponName":"优惠券",
	          // 		"activityName":"手动发放优惠券-重点活动10元5元",
	          // 		"singleAmt":"5.00",
	          // 		"amtLimit":"5.01",
	          // 		"actStartTime":"2020-05-15",
	          // 		"actEndTime":"2020-06-15",
	          // 		"ruleStartTime":"2020-05-15",
	          // 		"ruleEndTime":"2020-06-15",
	          // 		"couponType":"1",
	          // 		"status":"0",
	          // 		"isDeleted":0,
	          // 		"receiveNum":null,
	          // 		"dayReceiveNum":null,
	          // 		"useNum":null,
	          // 		"dayUseNum":null,
	          // 		"userMaxJoinTime":"1",
	          // 		"userDayMaxJoinTime":"1",
	          // 		"channelNo":"1645285811190497299",
	          // 		"payChannelNo":"JYF,WeChat,Alipay",
	          // 		"couponList":null,
	          // 		"operateType":0,
	          // 		"orderAmt":null,
	          // 		"singleMarkId":"",
	          // 		"useDescri":"全场可用",
	          // 		"goodsMark":"2",
	          // 		"singleType":null,
	          // 		"busiType":null,
	          // 		"shopId":null,
	          // 		"goodsId":null,
	          // 		"paramSg":null,
	          // 		"useable":"1",
	          // 		"parkId":null,
	          // 		"parkType":null,
	          // 		"parks":null,
	          // 		"secc":true
	          // 	  }
	          // 	]
	          //   }
	          var htmlTpl = '<li class="item {{itemClass}}"><div class="item-left"><div class="left-up"><b class="money"><i class="money-symol">¥</i>{{singleAtm}}</b></div><div class="left-dowm mui-ellipsis">满{{amtLimit}}可用</div></div><div class="item-right"><p class="right-name mui-ellipsis">{{couponName}}</p><p class="right-tip mui-ellipsis">有效期:{{startTime}}-{{endTime}}</p><i class="right-lock {{isLocking}}"></i></div></li>',
	              htmls = '',
	              isLocking = "mui-hidden";
	          if ("00" == res.resType) {
	            var result = res.data,
	                dataLen = (result && result.length) || 0;
	
	            for (var i = 0; i < dataLen; i++) {
	              var item = result[i],
	                  couponType = item.couponType;
	              if (couponType != "2") {
	                var singleAtm = item.singleAmt || "",
	                    amtLimit = item.amtLimit,
	                    couponName = item.couponName,
	                    startTime = item.ruleStartTime.replace(/-/g, "."),
	                    endTime = item.ruleEndTime.replace(/-/g, "."),
	                    status = item.status,
	                    itemClass = '';
	
	                switch (status) {
	                  case "1":
	                    itemClass += " used";
	                    break;
	                  case "2":
	                    itemClass += " used expired";
	                    break;
	                  default:
	                    break;
	                }
	                //判断是否被锁定
	                if (item.status == "3") {
	                  isLocking = "";
	                } else {
	                  isLocking = "mui-hidden";
	                }
	
	                htmls += htmlTpl
	                    .replace("{{itemClass}}", itemClass)
	                    .replace("{{singleAtm}}", singleAtm)
	                    .replace("{{amtLimit}}", amtLimit)
	                    .replace("{{couponName}}", couponName)
	                    .replace("{{startTime}}", startTime)
	                    .replace("{{endTime}}", endTime)
	                    .replace("{{isLocking}}", isLocking);
	              }
	
	
	            }
	
	          }
	
	          dataListEle.html(htmls);
	          // if (stringUtil.isEmpty(htmls)) {
	          //   var tipWord = "";
	          //   if (_type == "0") {
	          //     tipWord = "暂无可用优惠券";
	          //   }
	          //   if (_type == "1") {
	          //     tipWord = "暂无已使用优惠券";
	          //   }
	          //   if (_type == "2") {
	          //     tipWord = "暂无已过期优惠券";
	          //   }
	          //   noDataTipsEle.html(tipWord);
	          //   noDataEle.removeClass("mui-hidden");
	          // }
	        },
	        // 无限期 = 开始时间 + 100年
	        addEndLine: function (time) {
	          var addTimeArr = time.split('.');
	          var yearAdd = Number(addTimeArr[0]) + 100;
	          return yearAdd + '.' + addTimeArr[1] + '.' + addTimeArr[2];
	        },
	        /**
	         * 获取到新优惠券列表后的回调
	         * @param {Object} res
	         */
	        handleNewCouponList: function (res) {
	          // 后台管理优惠券模板
	          var htmlCPTpl = '<li class="item {{itemClass}}"><div class="item-left"><div class="left-up"><b class="money">{{singleAtm}}<span class="font-color1">{{singleAtmUnit}}</span></b></div><div class="left-dowm mui-ellipsis">{{amtLimit}}</div></div><div class="item-right"><p class="right-name mui-ellipsis">{{couponName}}</p><p class="right-tip mui-ellipsis">有效期:{{startTime}}-{{endTime}}</p><p class="right-tip allowedParks"><span class="parkTips mui-ellipsis">使用车场:{{allowedParks}}</span><span id="{{parkItemId}}" class="arrow arrowDown"></span></p></div></li><div id="{{parkItemList}}" class="bottomTip mui-hidden">{{allowedParks}}</div>',
	              htmlsCP = '',
	              isLocking = "mui-hidden";
	          if (res.code == '0') {
	            var cpDataList = res.data.list,
	                cpDataLen = (cpDataList && cpDataList.length) || 0;
	            for (var i = 0; i < cpDataLen; i++) {
	              var item = cpDataList[i],
	                  cpType = item.cpType; // 优惠券类型【0：小时劵，1：折扣券，2：现金券，3：免费时段券】
	
	              var singleAtm = "",
	                  amtLimit = "",
	                  couponName = item.cpName,
	                  startTime = item.beginTime && item.beginTime.replace(/-/g, "."),
	                  endTime = item.endTime == null ? main.addEndLine(startTime) : item.endTime.replace(/-/g, "."),
	                  status = item.cpStatus,
	                  allowedParks = '', //适用车场
	                  singleAtmUnit = '', // 单位
	                  itemClass = '';
	              switch (status) { //【0：未使用，1：已使用，2：已过期，3：使用中, 8:已失效】
	                case "1":
	                  itemClass += " used";
	                  break;
	                case "2":
	                  itemClass += " used expired";
	                  break;
	                case "8":
	                  itemClass += " used invalid";
	                  break;
	                default:
	                  break;
	              }
	              switch (cpType) { //根据不同的类型处理singleAtm
	                case "0":
	                  singleAtm = Number(item.cpHours / (60 * 60 * 1000));
	                  singleAtmUnit = "小时";
	                  amtLimit = "抵时券";
	                  break;
	                case "1":
	                  singleAtm = Number(item.cpDiscount / 10);
	                  singleAtmUnit = "折";
	                  amtLimit = "折扣券";
	                  break;
	                case "2":
	                  singleAtm = item.cpMoney;
	                  singleAtmUnit = "元";
	                  amtLimit = "抵扣券";
	                  break;
	                case "3":
	                  singleAtm = "";
	                  singleAtmUnit = "免费时段券";
	                  amtLimit = "";
	                  break;
	                default:
	                  break;
	              }
	
	              if (item.parkList && item.parkList.length > 0) {
	                allowedParks = item.parkList.join()
	              } else {
	                allowedParks = "无"
	              }
	              htmlsCP += htmlCPTpl
	                  .replace("{{itemClass}}", itemClass)
	                  .replace("{{singleAtm}}", singleAtm)
	                  .replace("{{singleAtmUnit}}", singleAtmUnit)
	                  .replace("{{amtLimit}}", amtLimit)
	                  .replace("{{couponName}}", couponName)
	                  .replace("{{startTime}}", startTime)
	                  .replace("{{endTime}}", endTime) //parkItemId parkItemList
	                  .replace("{{parkItemId}}", "parkItem" + i) // 默认隐藏的适用车场id
	                  .replace("{{parkItemList}}", "PparkItem" + i) // 默认隐藏的适用车场id
	                  .replace("{{allowedParks}}", allowedParks)
	                  .replace("{{allowedParks}}", allowedParks);
	            }
	          }
	
	          dataNewList.html(htmlsCP);
	          if (stringUtil.isEmpty(htmlsCP)) {
	            var tipWord = "";
	            if (_type == "0") {
	              tipWord = "您暂时没有优惠券哦";
	            }
	            if (_type == "1") {
	              tipWord = "您暂时没有优惠券哦";
	            }
	            if (_type == "2") {
	              tipWord = "您暂时没有优惠券哦";
	            }
	            if (_type == "3") {
	              tipWord = "您暂时没有优惠券哦";
	            }
	            noDataTipsEle.html(tipWord);
	            noDataEle.removeClass("mui-hidden");
	          }
	        },
	        // 绑定事件
	        bindEvent: function () {
	          var _self = this;
	
	          /**
	           * 顶部点击筛选
	           */
	          $(".top-filter .filter-item").bind("tap", function () {
	            $(".top-filter .filter-item").removeClass("selected");
	            $(this).addClass("selected");
	            _type = $(this).attr("status");
	            _self.getCouponList();
	            _self.getNewCouponList(_userId);
	          });
	          /**
	           * 车场展开按钮操作
	           */
	          dataNewList.on("tap", '.arrow', function () {
	            var parkDrop = $(this).attr("id");
	            var parkEle = $('#P' + parkDrop);
	            if ($(this).hasClass('arrowUp')) {
	              $(this).removeClass('arrowUp').addClass('arrowDown');
	              parkEle.addClass("mui-hidden");
	            } else {
	              $(this).removeClass('arrowDown').addClass('arrowUp');
	              parkEle.removeClass("mui-hidden");
	            }
	          });
	
	          $.back = function () {
	            //调用关闭
	            h5_jstjhy_plugin.invokeNative({
	              type: 16,
	            });
	          };
	
	        },
	
	      };
	
	  $.initComplete(function () {
	    main.init();
	  });
	
	})(mui);
	
	//end


/***/ })
]);
//# sourceMappingURL=coupon_list.js.map