webpackJsonp([47],[
/* 0 */
/***/ (function(module, exports, __webpack_require__) {

	/**
	 * 我的月卡列表子页面
	 * version:1.0.1
	 * created by Max/jingming.li@jieshunpay.cn
	 */
	__webpack_require__(1);
	(function($) {
	
		var localStorage = __webpack_require__(6),
			monthCardListsEle = $("#monthCardLists"), //月卡列表
			helpEle = $("#help"), //帮助按钮
			id = requestURL.getParameter("id"), //父页面的id
	
			requestPara = {
				pageNo: 1,
				pageSize: 10
			},
			method = "monthCard/list",
			parentId = requestURL.getParameter("id"), //父页面的id
			pullrefreshSelector = "#pullrefresh",
			pullrefreshObj = $(pullrefreshSelector),
			main = {
				init: function() {
					var self = this;
					self.initPullRefresh(); //初始化分页控件
					self.bindEvent();
				},
				/**
				 * 初始化上拉下拉刷新
				 */
				initPullRefresh: function() {
					$.init({
						pullRefresh: {
							indicators: false,
							container: pullrefreshSelector,
							up: {
								contentinit: '',
								contentdown: $.os.plus && $.os.android ? "正在加载" : "",
								callback: this.pullupRefresh
							}
						}
					});
					if($.os.plus) {
						$.plusReady(function() {
							setTimeout(function() {
								pullrefreshObj.pullRefresh().pullupLoading();
							}, 50);
						});
					} else {
						$.ready(function() {
							pullrefreshObj.pullRefresh().pullupLoading();
						});
					}
				},
				/**
				 * 上拉加载具体业务实现
				 */
				pullupRefresh: function() {
					main.handRefresh();
				},
				/**
				 * 处理分页参数及页面加载等
				 */
				handRefresh: function(type) {
					if("down" == type) {
						requestPara.pageNo = 1;
					}
					var param = requestPara,
						/**
						 * 结束刷新数据
						 * @param {Object} endpull
						 */
						endRefresh = function(endpull) {
							"down" == type ? pullrefreshObj.pullRefresh().endPulldownToRefresh() : pullrefreshObj.pullRefresh().endPullupToRefresh(endpull);
						},
	
						handleResp = function(res) {
							var html = monthCardListsEle.html(),
								endpull = false, //true表示没有更多数据了
								resultdata = res.data.monthList, //月卡信息数组
								dataLength = (resultdata && resultdata.length) || 0;
	
							if(res.data.changeMgs != ""){
								$.toast(res.data.changeMgs)
							}
							
							if(dataLength < requestPara.pageNo) {
								//如果返回数据列表条码< 每页显示的条数，则认为没有更多数据了
								endpull = true;
								//							if(requestPara.pageNo == 1 && "down" != type) {
								//
								//								//此时条件已经是没有更多数据了，而且请求的是第一页，则将上拉禁用
								//								pullrefreshObj.pullRefresh().disablePullupToRefresh();
								//							}
							} else {
								requestPara.pageNo++;
							}
							var filterArr = []; //不含有注销的月卡信息数组
							if(dataLength > 0) {
								for(var i = 0; i < dataLength; i++) {
									if(resultdata[i].status != 4) {
										filterArr.push(resultdata[i]);
									}
								}
							}
							var filterLen = (filterArr && filterArr.length) || 0;
							if(filterLen > 0) { //有数据时就显示月卡列表页面
								$(".mui-scroll-wrapper").removeClass("mui-hidden");
								$(".no-car-cell").addClass("mui-hidden");
								main.createList(filterArr);
							} else { //没有月卡列表就去添加车辆页面
								$(".mui-scroll-wrapper").addClass("mui-hidden");
								$(".no-car-cell").removeClass("mui-hidden");
	//							var href = constant.rootPath + "/page/account/month_card_help.html",
	//								params = {
	//									monthCardNum: -1
	//								};
	//
	//							if($.os.plus) {
	//								params.fromPageId = plus.webview.currentWebview().parent().id;
	//								params.parentId = parentId;
	//							}
	//
	//							openWindow(href, href, params);
							}
							pullrefreshObj.pullRefresh().disablePullupToRefresh(); //先不做分页
							endRefresh(true); //不做分页设置TRUE
	
						};
					if(requestPara.pageNo == 1 || "down" == type) {
						//如果是请求第一页 或是 下拉刷新页面，则将页面元素先清空
						monthCardListsEle.html("");
					}
					postData(method, param, handleResp, function() {
						endRefresh(false);
					}, {
						showWait: false
					});
				},
				/**
				 * 创建月卡列表
				 */
				createList: function(resultdata) {
					var listHtml = "";
					$.each(resultdata, function(key, val) {
						//定义渲染模板
						var listHtmlTpl = '<li class="with-card {{statusColor}} {{overdueCard}}" monthCardId="{{monthCardId}}" carNo="{{carNo}}" parkname="{{parkname}}" valtime="{{valtime}}" remainDaysText="{{remainDaysText}}" parkId="{{parkId}}" type="{{type}}"><div class="card-left"><p class="car-num">{{carNo}}</p><img class="card-pic" src="{{img}}"/></div><div class="card-right"><p class="card-address">{{parkname}}</p><p class="card-date left-date {{overdueClass}}">有效期至：{{valtime}}</p><p class="card-date {{overdueClass}}">{{remainDaysText}}</p></div></li>';
						var monthCardId = val.monthCardId, //月卡id
							parkId = val.parkId, //停车场id
							carNo = val.carNo, //车牌号
							parkname = val.parkname, //停车场名称
							valtime = val.valtime.substring(0, 4) + "-" + val.valtime.substring(4, 6) + "-" + val.valtime.substring(6), //有效期
							remainDays = val.remainDays || 0, //剩余的天数
							status = val.status, //月卡状态  1、正常 2、禁用 3、冻结 4、注销
							type = val.type; //车类型
	
						listHtmlTpl = listHtmlTpl.replace("{{statusColor}}", 1 != status ? "out-time" : "") //如果不是正常状态，或者是正常状态，但可用天数为0，就将颜色置灰。
							.replace("{{monthCardId}}", monthCardId)
							.replace("{{parkId}}", parkId)
							.replace("{{type}}", type)
							.replace(/{{carNo}}/g, carNo)
							.replace(/{{parkname}}/g, parkname)
							.replace(/{{valtime}}/g, valtime);
						if(status == 1) { //正常
							if(remainDays < 0) {
								listHtml += listHtmlTpl.replace(/{{remainDaysText}}/g, "已过期")
									.replace(/{{overdueClass}}/g, "overdue")
									.replace("{{img}}","../../img/icon/bg_yuekh.png")
									.replace(/{{overdueCard}}/g, "overdueCard");
							} else {
								listHtml += listHtmlTpl.replace(/{{remainDaysText}}/g, "剩余:" + remainDays + "天")
									.replace(/{{overdueClass}}/g, "")
									.replace("{{img}}","../../img/icon/bg_yuekh.png")
									.replace(/{{overdueCard}}/g, "");
							}
	
						} else if(status == 2) { //禁用
							listHtml += listHtmlTpl.replace(/{{remainDaysText}}/g, "已禁用")
													.replace("{{img}}","../../img/icon/bg_yueku.png");
						} else if(status == 3) { //冻结
							listHtml += listHtmlTpl.replace(/{{remainDaysText}}/g, "已冻结")
												.replace("{{img}}","../../img/icon/bg_yueku.png")
												.replace(/{{overdueClass}}/g, "frozen");
						}
					});
					monthCardListsEle.html(listHtml);
				},
				bindEvent: function() {
					var self = this;
					/**
					 * 续费按钮 月卡列表单个项目点击
					 */
					monthCardListsEle.on("tap", ".with-card", function() {
						var that = $(this);
						if(that.hasClass("out-time")) { //如果禁用，冻结，就不能续费了。
	
							plus.nativeUI.confirm("此月卡已冻结，请联系客服", function(e) {
	
								if(e.index == 1) {
									if($.os.plus) {
										plus.device.dial("4007005305", false);
									}
								}
	
							}, "", ["取消", "联系客服"]);
	
						} 
	//					else if(that.hasClass("overdueCard")) {
	//
	//						return;
	//
	//					} 
						else {
							var monthCardMes = { //将月卡续费所需字段值保存在本地
								carNo: that.attr("carNo"),
								parkname: that.attr("parkname"),
								valtime: that.attr("valtime"),
								remainDaysText: that.attr("remainDaysText"),
								parkId: that.attr("parkId"),
								monthCardId: that.attr("monthCardId"),
								type: that.attr("type")
							};
							if($.os.plus) {
								monthCardMes.fromPageId = plus.webview.currentWebview().id;
							}
							var param = {
								monthCardMes:JSON.stringify(monthCardMes)
							};
							var href = constant.rootPath + "/page/account/month_card_renew.html";
							openWindow(href,href,param); //跳转到续费页面
						}
						
					});
					/**
					 * 底部添加车辆获取月卡
					 */
					helpEle.bind("tap", function() {
						h5_invoke.invokeNative({
							type: 27
						})
						// var href = constant.rootPath + "/page/account/my_car.html";
						// var param = {};
						// if($.os.plus) {
						// 	param.monthPageId = plus.webview.currentWebview().id;
						// }
						// openWindow(href,href,param); //跳转到添加车辆页面
					});
					
					$(".btn").bind("tap",function(){
						h5_invoke.invokeNative({
							type: 27
						})
						// var href = constant.rootPath + "/page/account/my_car.html";
						// var param = {};
						// if($.os.plus) {
						// 	param.monthPageId = plus.webview.currentWebview().id;
						// }
						// openWindow(href,href,param); //跳转到添加车辆页面
					});
					
					//WEBVIEW自定义事件------------------------Begin---------------------------
	
					//登录成功之后刷新数据
					window.addEventListener('refreshData', function(event) {
						console.log("my_monthcard_sub refreshData event");
						monthCardListsEle.html("");
						pullrefreshObj.pullRefresh().refresh(true);
						pullrefreshObj.pullRefresh().scrollTo(0, 0);
						pullrefreshObj.pullRefresh().pullupLoading();
					});
					//WEBVIEW自定义事件------------------------End---------------------------
				}
			}
	
		//	main.init()
		$.initComplete(function() {
			main.init();
		});
	
	})(mui);
	//end

/***/ })
]);
//# sourceMappingURL=my_monthcard_sub.js.map