webpackJsonp([52],{

/***/ 0:
/***/ (function(module, exports, __webpack_require__) {

	/**
	 * 停车记录子页面
	 * version:1.0.1
	 * created by Max/jingming.li@jieshunpay.cn
	 */
	__webpack_require__(1);
	(function ($) {
	
	    var recTypeClass = $(".rec-type"), //拿到所有标题栏元素数组li
	        recListEle = $("#rec-listbox"), //拿到动态渲染li的容器ul
	        filter = stringUtil.isEmpty(requestURL.getParameter("filter")) ? 0 : requestURL.getParameter("filter"), //条件过滤，定位状态标签03-停车中,04-欠费待缴,05-已经完成
	        tab_index = requestURL.getParameter("tab_index"),
	        status = filter == 0 ? "03" : filter, //状态类型，没有参数传递时，默认为"03"
	        requestPara = {
	            currentPage: 1,
	            pageSize: 15
	        },
	        method = "park/queryorderlist",
	
	        pullrefreshSelector = "#pullrefresh",
	        pullrefreshObj = $(pullrefreshSelector),
	        filterItemTap = false, //是否点击了筛选条件
	        dateModule = __webpack_require__(33),
	        lwData = null,
	        main = {
	            //初始化执行
	            init: function () {
	                var self = this;
	                self.showRedPoint(); //显示离场未缴的小红点
	                self.initParam(); //切换响应的tab
	                self.initPullRefresh(); //初始化分页控件
	                self.bindEvent();
	                self.selectLwParking();
	            },
	
	            /**
	             * 初始化参数
	             */
	            initParam: function () {
	                // var index = local.getItem("my_park_record_sub_tab_index");
	                if (tab_index != "undefined" && (tab_index == "0" || tab_index == "1" || tab_index == "2")) {
	                    //拿到点击时tab栏的对应的属性值
	                    var selectEle;
	                    if (tab_index == "0") {
	                        selectEle = $(".park_record_sub_index_0");
	                    } else if (tab_index == "1") {
	                        selectEle = $(".park_record_sub_index_1");
	                    } else if (tab_index == "2") {
	                        selectEle = $(".park_record_sub_index_2");
	                    }
	                    status = selectEle.attr("data-state");
	                    $(".rec-type").removeClass("active");
	                    selectEle.addClass("active");
	                    // //请求相应的数据
	                    // requestPara.currentPage = 1;
	                    // filterItemTap = true; //将是否是筛选置为true.
	                    // recListEle.html(""); //每次点击，将停车记录清空。
	                    // $("#noRecord").addClass("mui-hidden"); //将没有停车记录的图片隐藏
	                    // pullrefreshObj.pullRefresh().refresh(true);
	                    // pullrefreshObj.pullRefresh().pullupLoading();
	                }
	
	            },
	
	            /**
	             * 初始化上拉下拉刷新
	             */
	            initPullRefresh: function () {
	                $.init({
	                    pullRefresh: {
	                        indicators: false,
	                        container: pullrefreshSelector,
	                        up: {
	                            contentinit: '',
	                            contentdown: $.os.plus && $.os.android ? "正在加载" : "",
	                            callback: this.pullupRefresh
	                        }
	                    }
	                });
	                if ($.os.plus) {
	                    $.plusReady(function () {
	                        setTimeout(function () {
	                            pullrefreshObj.pullRefresh().pullupLoading();
	                        }, 50);
	                    });
	                } else {
	                    $.ready(function () {
	                        pullrefreshObj.pullRefresh().pullupLoading();
	                    });
	                }
	            },
	            /**
	             * 上拉加载具体业务实现
	             */
	            pullupRefresh: function () {
	                main.handRefresh();
	            },
	
	            /**
	             * 处理分页参数及页面加载等
	             */
	            handRefresh: function (type) {
	                $("#noRecord").addClass("mui-hidden"); //将没有停车记录的图片隐藏
	                if (filterItemTap) {
	                    //排序字段点击之后重置刷新控件，且将页面滚动至顶部
	                    //					pullrefreshObj.pullRefresh().enablePullupToRefresh();
	                    pullrefreshObj.pullRefresh().scrollTo(0, 0);
	                    filterItemTap = false;
	                } else {
	                    //初次加载时，根据接收的参数tab默认显示激活状态
	                    $(".rec-type").removeClass("active");
	                    var activeNum = parseInt(status) - 3; //根据传入的状态计算出tab的下标
	                    $(".rec-type").eq(activeNum).addClass("active");
	                }
	                if ("down" == type) {
	                    requestPara.currentPage = 1;
	                }
	                requestPara.ordstatus = status;
	                var param = requestPara,
	                    /**
	                     * 结束刷新数据
	                     * @param {Object} endpull
	                     */
	                    endRefresh = function (endpull) {
	                        "down" == type ? pullrefreshObj.pullRefresh().endPulldownToRefresh() : pullrefreshObj.pullRefresh().endPullupToRefresh(endpull);
	                    },
	
	                    handleResp = function (res) {
	                        var html = recListEle.html(),
	                            endpull = false, //true表示没有更多数据了
	                            resultdata = res.data.ordlist, //停车信息数组
	                            respTime = res.data.respTime, //后台返回当前应答时间
	                            dataLength = (resultdata && resultdata.length) || 0;
	
	                        if (parseInt(requestPara.currentPage) >= parseInt(res.data.pagetotal)) {
	                            //如果返回数据列表条码< 每页显示的条数，则认为没有更多数据了
	                            endpull = true;
	                            if (requestPara.currentPage == 1 && "down" != type) {
	
	                                //此时条件已经是没有更多数据了，而且请求的是第一页，则将上拉禁用
	                                pullrefreshObj.pullRefresh().disablePullupToRefresh();
	                            }
	                        } else {
	                            requestPara.currentPage++;
	                        }
	
	                        // if (dataLength < requestPara.pageSize) {
	                        //     //如果返回数据列表条码< 每页显示的条数，则认为没有更多数据了
	                        //     endpull = true;
	                        //     if (requestPara.currentPage == 1 && "down" != type) {
	                        //
	                        //         //此时条件已经是没有更多数据了，而且请求的是第一页，则将上拉禁用
	                        //         pullrefreshObj.pullRefresh().disablePullupToRefresh();
	                        //     }
	                        // } else {
	                        //     requestPara.currentPage++;
	                        // }
	
	                        if (dataLength > 0) {
	                            main.createList(resultdata, respTime, endpull);
	                            if (requestPara.ordstatus == "04") { //欠费未缴时，直接添加小红点，不再次请求数据
	                                if (!$('.red-point')[0]) { //有数据时，如果不存在小红点，就添加小红点
	                                    var redPoint = document.createElement('div');
	                                    redPoint.setAttribute('class', 'red-point');
	                                    $("#orderToPay")[0].appendChild(redPoint);
	                                }
	                            }
	                        }
	
	                        if (dataLength == 0 && requestPara.currentPage == 1) { //如果没有数据并且是第一页时，就将没有数据的图片显示出来。
	                            $("#noRecord").removeClass("mui-hidden");
	                        }
	                        //pullrefreshObj.pullRefresh().disablePullupToRefresh(); //先不做分页
	                        endRefresh(endpull);
	                    };
	                if (requestPara.currentPage == 1 || "down" == type) {
	                    //如果是请求第一页 或是 下拉刷新页面，则将页面元素先清空
	                    recListEle.html("");
	                }
	                postData(method, param, handleResp, function () {
	                    endRefresh(false);
	                }, {
	                    showWait: true
	                });
	            },
	            selectLwParking: function () {
	                $.ajax({
	                    type: "GET",
	                    url: "http://m.jsjs.group:8089/activity/selectLwParking",
	                    success: function (data) {
	                        lwData = data;
	                    },
	                    error: function (error) {
	                        lwData = null;
	                    }
	                });
	            },
	
	            //创建列表
	            createList: function (ordlist, respTime, endpull) {
	                var recListHtml = "",
	                    isOverTime = 0; //离场有效时间与应答时间之差 （时间戳）。
	
	                $.each(ordlist, function (key, val) {
	                    var bo = false;
	                    //定义渲染模板
	                    recListTpl = '<li class="item-detail" ordtype="{{ordtype}}" ordid="{{ordid}}" ordstatus="{{ordstatus}}"><p class="item-parkname"><span>{{parkname}}</span><span class="item-park-img {{picType}}">{{textType}}</span><span class="{{withHoldClass}}">{{withHoldTxt}}</span></p><p class="item-intime">入 : {{intime}}</p><p class="item-outtime">{{outtime}}</p><p class="item-needpay {{color}}"><span class="item-needpay-text">{{needpayName}}</span><span class="item-needpay-num">{{needpayMoney}}</span></p></li>';
	                    var intime = val.intime && dateModule.timeFormat(Date.parse(dateModule.getDate(val.intime)), "yyyy-MM-dd hh:mm"), //入场时间
	                        outtime = val.outtime && dateModule.timeFormat(Date.parse(dateModule.getDate(val.outtime)), "yyyy-MM-dd hh:mm"), //出场时间
	                        needpayamt = val.needpayamt != null ? val.needpayamt : 0, //需要支付金额
	                        amtovertime = val.amtovertime && (val.amtovertime / 100).toFixed(2), //超时费用
	                        returnamt = val.returnamt != null ? val.returnamt : 0,//退款金额
	                        totpromoteamt = val.totpromoteamt != null ? val.totpromoteamt : 0,//优惠金额
	                        parkname = val.parkname, //停车场名称
	                        ifneedpay = val.ifneedpay, //是否需要支付boolean
	                        ordtype = val.ordtype, //车场类型
	                        outvalidtime = val.outvalidtime, //离场有效时间
	                        ordstatus = val.ordstatus, //停车状态。
	                        ordid = val.ordid, //订单号
	                        withHoldClass = "",//代扣类
	                        withHoldTxt = "";//代扣文字
	                    if (ordtype == "20" && val.ifpropay == "Y") {//是否支持代扣，Y-是；N-否
	                        withHoldTxt = "";
	                        withHoldClass = "with-hold";
	                    } else {
	                        withHoldTxt = "";
	                        withHoldClass = "";
	                    }
	                    isOverTime = stringUtil.isEmpty(outvalidtime) ? 0 : Date.parse(dateModule.getDate(outvalidtime)) - Date.parse(dateModule.getDate(respTime));
	                    if (lwData != null) {
	                        for (var k = 0; k < lwData.length; k++) {
	                            if (lwData[k].PARK_NAME == parkname) {
	                                bo = true;
	                                break;
	                            }
	                        }
	                    }
	                    if (bo) {
	                        recListTpl = recListTpl.replace('{{ordtype}}', ordtype)
	                            .replace('{{ordid}}', ordid)
	                            .replace('{{picType}}', "10" == ordtype ? "roadPic" : "lianwangPic")
	                            .replace('{{textType}}', "10" == ordtype ? "" : "")
	                            .replace('{{parkname}}', parkname)
	                            .replace('{{ordstatus}}', ordstatus)
	                            .replace('{{intime}}', intime)
	                            .replace('{{withHoldClass}}', withHoldClass)
	                            .replace('{{withHoldTxt}}', withHoldTxt);
	                    } else {
	                        recListTpl = recListTpl.replace('{{ordtype}}', ordtype)
	                            .replace('{{ordid}}', ordid)
	                            .replace('{{picType}}', "10" == ordtype ? "roadPic" : "")
	                            .replace('{{textType}}', "10" == ordtype ? "" : "")
	                            .replace('{{parkname}}', parkname)
	                            .replace('{{ordstatus}}', ordstatus)
	                            .replace('{{intime}}', intime)
	                            .replace('{{withHoldClass}}', withHoldClass)
	                            .replace('{{withHoldTxt}}', withHoldTxt);
	                    }
	                    switch (ordstatus) {
	                        case "03": //停车中
	                            if (ordtype == "10") {
	                                recListHtml = recListTpl.replace('{{outtime}}', isOverTime < 0 ? "请离场后缴纳超时费用" : "停车中...")
	                                    .replace('{{needpayName}}', isOverTime < 0 ? "停车超时" : "已预缴:")
	                                    .replace('{{needpayMoney}}', isOverTime < 0 ? "" : "¥" + ((needpayamt - returnamt - totpromoteamt) / 100).toFixed(2))
	                                    .replace('{{color}}', isOverTime < 0 ? "item-needpay-god" : "item-needpay-grey");
	                            } else if (ordtype == "20") {
	                                if (ifneedpay == "Y") {
	                                    recListHtml = recListTpl.replace('{{outtime}}', isOverTime < 0 ? "请先缴纳超时滞留费用" : "停车中...")
	                                        .replace('{{needpayName}}', isOverTime < 0 ? "滞留超时" : "计费中")
	                                        .replace('{{needpayMoney}}', "")
	                                        .replace('{{color}}', isOverTime < 0 ? "item-needpay-god" : "item-needpay-grey");
	                                } else if (ifneedpay == "N" && isOverTime > 0) {
	                                    recListHtml = recListTpl.replace('{{outtime}}', dateModule.secToHour((Date.parse(dateModule.getDate(outvalidtime)) - Date.parse(dateModule.getDate(respTime))) / 1000, "@dd天@hh小时@mm分钟", "@hh小时@mm分钟", "@mm分钟"))
	                                        .replace('{{needpayName}}', "已缴费:")
	                                        .replace('{{needpayMoney}}', "¥" + ((needpayamt - returnamt - totpromoteamt) / 100).toFixed(2))
	                                        .replace('{{color}}', "item-needpay-grey");
	                                }
	                            }
	                            break;
	                        case "04": //欠费待缴
	                            recListHtml = recListTpl.replace('{{outtime}}', "出 : " + outtime)
	                                .replace('{{needpayName}}', "待缴:")
	                                .replace('{{needpayMoney}}', "¥" + amtovertime)
	                                .replace('{{color}}', "item-needpay-god");
	                            break;
	                        case "05": //已完成
	                            recListHtml = recListTpl.replace('{{outtime}}', "出 : " + outtime)
	                                .replace('{{needpayName}}', "停车费:")
	                                .replace('{{needpayMoney}}', "¥" + ((needpayamt - returnamt - totpromoteamt) / 100).toFixed(2))
	                                .replace('{{color}}', "item-needpay-grey");
	                            break;
	                        default:
	                            break;
	                    }
	                    recListEle.append(recListHtml);
	
	                });
	
	                if (endpull) {
	                    // 历史停车记录
	                    if (status == "05") {
	                        var moreButton = '<section style="width:100%;"><button style="width:60% ;padding:25px 0;margin:0 20%;" onclick="h5_invoke.invokeNative({type:28})">更多历史记录查询</button></section>'
	                        recListEle.append(moreButton);
	                    }
	                }
	            },
	
	
	            //欠费待缴显示的红点
	            showRedPoint: function () {
	//				if(filter == "04") { //如果传过来的参数是"04",欠费待缴，就不再发送ajax请求了。
	//					return;
	//				}
	                var self = this;
	                requestPara.ordstatus = "04";
	                postData(method, requestPara, function (res) { //单独请求，判断是否有数据，如果有数据，就添加小红点
	                    var resultdata = res.data.ordlist,
	                        dataLength = (resultdata && resultdata.length) || 0;
	                    if (dataLength) {
	                        if (!$('.red-point')[0]) { //有数据时，如果不存在小红点，就添加小红点
	                            var redPoint = document.createElement('div');
	                            redPoint.setAttribute('class', 'red-point');
	                            $("#orderToPay")[0].appendChild(redPoint);
	                        }
	                    }
	                }, function () {
	                }, {
	                    showWait: false
	                });
	            },
	            //事件绑定
	            bindEvent: function () {
	                var self = this;
	                /**
	                 * 筛选点击
	                 */
	                recTypeClass.bind("tap", function () {
	                    //拿到点击时tab栏的对应的属性值
	                    status = $(this).attr("data-state");
	                    $(".rec-type").removeClass("active");
	                    $(this).addClass("active");
	                    //请求相应的数据
	                    requestPara.currentPage = 1;
	                    filterItemTap = true; //将是否是筛选置为true.
	                    recListEle.html(""); //每次点击，将停车记录清空。
	                    $("#noRecord").addClass("mui-hidden"); //将没有停车记录的图片隐藏
	                    pullrefreshObj.pullRefresh().refresh(true);
	                    pullrefreshObj.pullRefresh().pullupLoading();
	                });
	                /**
	                 * 订单点击跳转到路边停车或车场停车页
	                 */
	                recListEle.on("tap", ".item-detail", function () {
	
	                    var ordid = $(this).attr("ordid"), //获取订单号
	                        ordtype = $(this).attr("ordtype"), //获取订单类型，是路边还是室内"10"：路边，"20"：室内
	                        ordstatus = $(this).attr("ordstatus"),
	                        param = {
	                            orderId: ordid
	                        },
	                        pageUrl = constant.rootPath + "/page/car/road_stop.html";
	                    if ($.os.plus) {
	                        param.fromPageId = plus.webview.currentWebview().id;
	                        param.parkRecordPageId = plus.webview.currentWebview().id;
	                    }
	                    if ("20" == ordtype) {
	                        if (ordstatus == "05") {
	                            pageUrl = constant.rootPath + "/page/car/park_detail.html";
	                        } else {
	                            pageUrl = constant.rootPath + "/page/car/park_stop.html";
	                        }
	
	                    }
	                    openWindow(pageUrl, pageUrl, param);
	                });
	
	
	                //刷新数据
	                window.addEventListener('refreshData', function (event) {
	
	                    console.log("park_stop.html refreshData--event " + JSON.stringify(event.detail));
	                    if ($.os.plus) {
	                        plus.webview.currentWebview().reload(true);
	                    } else {
	                        window.location.reload(true);
	                    }
	
	                });
	            }
	        };
	    $.initComplete(function () {
	        main.init();
	    });
	
	})(mui);
	//end

/***/ }),

/***/ 33:
/***/ (function(module, exports, __webpack_require__) {

	/**
	 * 日期格式化工具
	 * version:1.0.1
	 * created by Max/jingming.li@jieshunpay.cn
	 */
	module.exports = (function($) {
		var returnResult = {},
			stringUtil = __webpack_require__(3),
			timeId = "";
	
		/**
		 * 将时间错转换为格式化时间，返回字符串
		 *
		 * @param {Object}
		 *            timeStamp:时间错
		 * @param {Object}
		 *            formatstr:格式(yyyy-MM-dd hh:mm:ss等)
		 */
		returnResult.timeFormat = function(timeStamp, formatstr) {
			if(!stringUtil.isEmpty(timeStamp))
				if(formatstr == "yyyy-MM-dd hh:mm:ss.S") {
					var dateStr = new Date(parseInt(timeStamp)).Format(formatstr).toLocaleString();
					if(dateStr.length == 21) {
						dateStr += "00";
					} else if(dateStr.length == 22) {
						dateStr += "0";
					}
					return dateStr;
				} else {
					return new Date(parseInt(timeStamp)).Format(formatstr).toLocaleString();
				}
			else
				return "";
		};
		Date.prototype.Format = function(fmt) {
			var o = {
				"M+": this.getMonth() + 1, //月份   
				"d+": this.getDate(), //日   
				"h+": this.getHours(), //小时   
				"m+": this.getMinutes(), //分   
				"s+": this.getSeconds(), //秒   
				"q+": Math.floor((this.getMonth() + 3) / 3), //季度   
				"S": this.getMilliseconds() //毫秒   
			};
			if(/(y+)/.test(fmt))
				fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
			for(var k in o)
				if(new RegExp("(" + k + ")").test(fmt))
					fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
			return fmt;
		};
	
		//字符串转日期格式，strDate要转为日期格式的字符串如：20170823183943
		returnResult.formatStrToDate = function(strDate) {
			var dateDetail = strDate.substr(4);
			var theDate = "";
			for(var t = 0; t < dateDetail.length / 2; t++) {
				if(t == 0) {
					theDate += "," + (parseInt(dateDetail.substr(t * 2, 2)) - 1).toString();
				} else {
					theDate += "," + dateDetail.substr(t * 2, 2);
				}
			}
			theDate = "new Date(" + strDate.substr(0, 4) + theDate + ")";
			return eval(theDate);
		};
	
	
	
		//字符串转日期格式，strDate要转为日期格式的字符串如：20170823183943
		returnResult.getDate = function(strDate) {
			var dateDetail = strDate.substr(4);
			var theDate = "";
			for(var t = 0; t < dateDetail.length / 2; t++) {
				if(t == 0) {
					theDate += "," + (parseInt(dateDetail.substr(t * 2, 2)) - 1).toString();
				} else {
					theDate += "," + dateDetail.substr(t * 2, 2);
				}
			}
			theDate = "new Date(" + strDate.substr(0, 4) + theDate + ")";
			return eval(theDate);
		};
	
		// 累计时间
		returnResult.reckonTime = function(eid, begintime, endtime, sectemp, daytemp, type, fun, downback) {
			var allTime = Date.parse(endtime) - Date.parse(begintime);
			var dayTime = Math.floor(allTime / (1000 * 60 * 60 * 24));
			var hourTime = Math.floor(allTime / (1000 * 60 * 60)) % 24;
			var minTime = Math.floor(allTime / (1000 * 60)) % 60;
			var secTime = Math.floor(allTime / 1000) % 60;
	
			var timeArry = "";
			hourTime = hourTime <= 9 ? "0" + hourTime : hourTime;
			minTime = minTime <= 9 ? "0" + minTime : minTime;
			secTime = secTime <= 9 ? "0" + secTime : secTime;
			if(dayTime > 0) {
				var stopTime = daytemp.replace(/@dd/g, dayTime).replace(/@hh/g, hourTime).replace(/@mm/g, minTime);
			} else {
				var stopTime = sectemp.replace(/@hh/g, hourTime).replace(/@mm/g, minTime).replace(/@ss/g, secTime);
			}
			
			clearTimeout(timeId);
			
			document.getElementById(eid).innerHTML = stopTime;
	
			if(type == "timedown") {
				begintime = new Date(Date.parse(begintime) + 1000);
				if(Date.parse(begintime) - 1000 == Date.parse(endtime)) {
					downback && downback();
					type = "timeup";
				}
				timeId = setTimeout(function() { returnResult.reckonTime(eid, begintime, endtime, sectemp, daytemp, type, fun, downback) }, 1000);
			} else {
				endtime = new Date(Date.parse(endtime) + 1000);
				timeId = setTimeout(function() { returnResult.reckonTime(eid, begintime, endtime, sectemp, daytemp, type, fun) }, 1000);
			}
	
			timeArry = [allTime/1000, dayTime, hourTime, minTime, secTime, type, timeId];
			fun && fun(timeArry);
	
			//		endtime = new Date(Date.parse(endtime) + 1000);
			//		setTimeout(function() { returnResult.reckonTime(eid, begintime, endtime, sectemp, daytemp) }, 1000);
		}
		
		// 清除计时
		returnResult.clearReckon = function(){
			clearTimeout(timeId);
		}
	
		// 把以秒为单位的时间转化成以天/时/分(省略版)
		returnResult.secToHour = function(s, daytemp, hourtemp, mintemp) {
	
			daytemp = daytemp || "@dd@hh@mm";
			hourtemp = hourtemp || "@hh@mm";
			mintemp = mintemp || "@mm";
			var sec = parseInt(s);
			var day = Math.floor(s / (60 * 60 * 24));
			var hour = Math.floor(s / (60 * 60));
			var min = Math.floor(s / 60);
			var second = s % 60;
			var timeText = "";
			if(day > 0) {
				hour = hour % 24;
				timeText = daytemp.replace(/@dd/g, day).replace(/@hh/g, hour).replace(/@mm/g, min % 60);
			} else if(hour > 0) {
				min = min % 60;
				timeText = hourtemp.replace(/@hh/g, hour).replace(/@mm/g, min);
			} else if(min > 0) {
				timeText = mintemp.replace(/@mm/g, min);
			} else {
				timeText = "少于1分钟";
			}
			return timeText;
		};
		
		// 把以秒为单位的时间转化成以天/时/分(详细版)
		returnResult.parkTimeFormat = function(s, daytemp, hourtemp) {
	
			daytemp = daytemp || "@dd@hh@mm";
			hourtemp = hourtemp || "@hh@mm@ss";
			var sec = parseInt(s);
			var day = Math.floor(s / (60 * 60 * 24));
			var hour = Math.floor(s / (60 * 60));
			var min = Math.floor(s / 60);
			var second = s % 60;
			var timeText = "";
			if(day > 0) {
				hour = hour % 24;
				min = min % 60;
				day = day <= 9 ? "0" + day : day;
				hour = hour <= 9 ? "0" + hour : hour;
				min = min <= 9 ? "0" + min : min;
				timeText = daytemp.replace(/@dd/g, day).replace(/@hh/g, hour).replace(/@mm/g, min);
			} else {
				min = min % 60;
				second = second % 60;
				hour = hour <= 9 ? "0" + hour : hour;
				min = min <= 9 ? "0" + min : min;
				second = second <= 9 ? "0" + second : second;
				timeText = hourtemp.replace(/@hh/g, hour).replace(/@mm/g, min).replace(/@ss/g, second);
			}
			return timeText;
		};
	
		// 倒计时 t-倒计时耗时(秒)，onCall-倒计时进行时回调方法，endCall-倒计时结束时回调方法;
		returnResult.timeFall = function(s, onCall, endCall) {
			var t = parseInt(s);
			var scan = function() {
				if(t == -1) {
					endCall && endCall();
					clearInterval(init);
				} else {
					var houStr = Math.floor(t / 60 / 60);
					var minStr = Math.floor(t / 60 % 60);
					var secStr = t % 60;
					houStr = houStr <= 9 ? "0" + houStr : houStr;
					minStr = minStr <= 9 ? "0" + minStr : minStr;
					secStr = secStr <= 9 ? "0" + secStr : secStr;
					objTime = { hh: houStr, mm: minStr, ss: secStr };
					onCall && onCall(objTime);
					t--;
				}
			}
			scan();
			var init = setInterval(scan, 1000);
		}
	
		return returnResult;
	})(mui);

/***/ })

});
//# sourceMappingURL=my_park_record_sub.js.map