webpackJsonp([58],[
/* 0 */
/***/ (function(module, exports, __webpack_require__) {

	/**
	 * 室内停车场列表子页面
	 * version:1.0.1
	 * created by Max/jingming.li@jieshunpay.cn
	 */
	__webpack_require__(1);
	(function($) {
		var type = requestURL.getParameter("type")||"", //01-路边车场，02-室内车场
			requestPara = {
				gps: "",
				type:type,
				sort: "00",
				pageNo: 1,
				pageSize: 9999,
				range: 50000
			},
			dataListEle = $("#dataList"),
			noDataEle = $(".no-data"), //无数据时显示
			filterCellEle = $("#filterCell"),
	
			pullrefreshSelector = "#pullrefresh",
			pullrefreshObj = $(pullrefreshSelector),
			filterItemTap = false, //是否点击了筛选条件
			currentPosition = {}, //用户当前位置
			mapUtil = __webpack_require__(19).map,
			h5nativePlugin = __webpack_require__(19),
			fromResource = "", // 用来区分页面跳转来源，“”-表示正常打开页面，“search”表示从搜索页面返回，默认传“”
			main = {
				//初始化执行
				init: function() {
					var self = this;
					console.log("=====$.os.app："+$.os.app);
					console.log("=====$.os.plus："+$.os.plus);
					console.log("=====window.plus："+window.plus);
					console.log("=====$.os.app && window.plus："+$.os.app && window.plus);
					if($.os.app && window.plus) {
						//将数据写入APP缓存
						h5nativePlugin.invokeNative({
							type: 15,
							operation: "get",
							key: "distanceRange",
						},function(res){
							
							if(!stringUtil.isEmpty(res.distanceRange)){
	//							requestPara.range = res.distanceRange *1000;
							}
							
							
							self.initPullRefresh();
							self.getCurrentPosition(self.loadData);
							self.bindEvent();
						},function(err){						
							self.initPullRefresh();
							self.getCurrentPosition(self.loadData);
							self.bindEvent();
						});
	
					}else{
						
						self.initPullRefresh();
						self.getCurrentPosition(self.loadData);
						self.bindEvent();
					}
					
					if(type == '01'){
						$('#autoPay').removeClass('mui-hidden');
					}else{
						$('#autoPay').addClass('mui-hidden');
					}
					
					
				},
	
				/**
				 * 初始化上拉下拉刷新
				 */
				initPullRefresh: function() {
	
					$.init({
						pullRefresh: {
							indicators: false,
							container: pullrefreshSelector,
							up: {
								contentinit: '',
								contentdown: $.os.plus && $.os.android ? "正在加载" : "",
								callback: this.pullupRefresh
							}
						}
					});
					
				},
	
				loadData: function() {
					if($.os.plus) {
						$.plusReady(function() {
							setTimeout(function() {
								pullrefreshObj.pullRefresh().pullupLoading();
							}, 50);
						});
					} else {
						$.ready(function() {
							pullrefreshObj.pullRefresh().pullupLoading();
						});
					}
				},
	
				/**
				 * 获取当前设备位置信息
				 * @param {Object} callback
				 */
				getCurrentPosition: function(callback) {
									
					if($.os.app){
						mapUtil.getCurrentPosition(function(data) {
							var longitude = data.longitude,
								latitude = data.latitude;
							requestPara.gps = longitude + "," + latitude;
							currentPosition = data;
							callback && callback();
						});
					}else{//用于测试
						requestPara.gps = 	"114.042980,22.571480";	
						currentPosition = {
							longitude:114.042980,
							latitude:22.571480
						}
						callback && callback();
					}
				},
	
				/**
				 * 上拉加载具体业务实现
				 */
				pullupRefresh: function() {
					main.handRefresh();
				},
	
				/**
				 * 处理分页参数及页面加载等
				 */
				handRefresh: function(type) {
					noDataEle.hide();
					if(filterItemTap) {
						//排序字段点击之后重置刷新控件，且将页面滚动至顶部
						pullrefreshObj.pullRefresh().enablePullupToRefresh();
						//					pullrefreshObj.pullRefresh().refresh(true);
						pullrefreshObj.pullRefresh().scrollTo(0, 0);
						filterItemTap = false;
					}
					if("down" == type) {
						requestPara.pageNo = 1;
					}
	
					var method = "park/querypark",
						param = requestPara,
	
						/**
						 * 结束刷新数据
						 * @param {Object} endpull
						 */
						endRefresh = function(endpull) {
							"down" == type ? pullrefreshObj.pullRefresh().endPulldownToRefresh() : pullrefreshObj.pullRefresh().endPullupToRefresh(endpull);
						},
						/**
						 * 处理数据返回
						 * @param {Object} res
						 */
						handleResp = function(res) {
	
							var html = dataListEle.html(),
								endpull = false, //true表示没有更多数据了
								resultdata = res.data.parklist,
								dataLength = (resultdata && resultdata.length) || 0;
	
							if(dataLength < requestPara.pageSize) {
								//如果返回数据列表条码< 每页显示的条数，则认为没有更多数据了
								endpull = true;
								//					if(requestPara.pageNo == 1 && "down" != type) {
								//						
								//						//此时条件已经是没有更多数据了，而且请求的是第一页，则将上拉禁用
								//						pullrefreshObj.pullRefresh().disablePullupToRefresh();
								//					}
	
							} else {
								requestPara.pageNo++;
							}
							if(dataLength > 0) {
								main.createElements(res.data.parklist);
							}
	
							if(dataLength == 0 && requestPara.pageNo == 1) { //如果没有数据并且是第一页时，就将没有数据的图片显示出来。
								noDataEle.show();
							}
	
							pullrefreshObj.pullRefresh().disablePullupToRefresh(); //先不做分页
							//						endRefresh(endpull);
							endRefresh(true); //不做分页时结束加载吧
						};
					if(requestPara.pageNo == 1 || "down" == type) {
						//如果是请求第一页 或是 下拉刷新页面，则将页面元素先清空
						dataListEle.html("");
	
					}
					postData(method, param, handleResp, function() {
						endRefresh(false);
					}, {
						showWait: false
					});
	
				},
	
				createElements: function(parklist) {
					var resultdata = parklist,
						dataLength = (resultdata && resultdata.length) || 0,
						nullSpan = document.createElement("span");
					var parkIconIndoorHtml = '<img src="../../img/icon/icon_chechang.png" />', //路边图标
						parkIconOutsideHtml = '<img src="../../img/icon/icon_parktype_outside.png" />';
						parkIconLianWangHtml = '<img src="../../img/icon/icon_lianwang.png" />';
					 $.ajax({
						type: "GET",
						url: "http://m.jsjs.group:8089/activity/selectLwParking",
						contentType: "application/json; charset=utf-8",
						success: function (data) {
							for(var i = 0; i < dataLength; i++) {
								var item = resultdata[i],
									parkelecid = item.parkelecid,
									distance = item.range, //距离
									name = item.name,
									adr = item.adr,
									gps = item.gps,
									carseatsum = item.carseatsum, //总车位数
									carseatleft = item.carseatleft, //可用车位数
									fareruledesc = item.fareruledesc, //收费规则描述
									liEle = document.createElement("li"),
									hasSpaceClass = carseatleft > 0 ? "has-space" : "no-space",
									parkTypeHtmlTpl = parkIconOutsideHtml,
									parkWithholdHtmlTpl = '<img src="../../img/icon/icon_park_withhold.png" />';
									if(Number(carseatleft)<0){
										carseatleft = 0;
									}
									/*if(Number(carseatleft) > Number(carseatsum)){
										carseatleft = (carseatsum*0.7).toFixed(0);
									}*/
								liEle.className = "cell-item";
								liEle.setAttribute("parkelecid", parkelecid);
								liEle.setAttribute("distance", distance);
								if(item.type == "02") { //室内
									parkTypeHtmlTpl ="";
									for(var k = 0; k < data.length;k++){
										if(data[k].PARK_NAME==name){
											parkTypeHtmlTpl =parkIconLianWangHtml;
											break;
										}
									}
									// parkTypeHtmlTpl = Number(carseatleft) > 0 ? parkIconLianWangHtml : '';	
								}
								if(item.ifsupporthold != "1") {
									//不支持代扣
									parkWithholdHtmlTpl = "";
								}
			
								var tplHtml = '<section class="c-i-desc"><div class="c-i-name-info"><h3 class="c-i-desc-address mui-ellipsis">{{adr}}</h3>{{parkTypeHtmlTpl}}{{parkWithholdHtmlTpl}}</div><p class="c-i-desc-price mui-ellipsis {{iffav}}">{{fareruledesc}}</p></section><section class="c-i-space"><div class="c-i-s-item mui-ellipsis"><span class="c-i-space-remain {{hasSpaceClass}}">{{carseatleft}}</span> <b class="c-i-s-r-text {{hasSpaceClass}}">空/</b><span class="c-i-s-a-text">共<i id="c-i-space-all">{{carseatsum}}</i>车位</span> <b class="c-i-distance">距{{distanceDesc}}{{distance}}</b></div><span class="c-i-navi-btn" gps="{{gps}}" adr="{{navadr}}"></span></section>'
									.replace(/{{adr}}/g, "02" == type ? name : name)
									.replace(/{{iffav}}/g, stringUtil.isEmpty(item.iffav) ? "":(item.iffav == "1"?'iffav-class':""))
									.replace('{{navadr}}', adr)
									.replace('{{gps}}', gps)
									.replace('{{fareruledesc}}', fareruledesc)
									.replace('{{carseatleft}}', main.numFormat(carseatleft, "less"))
									.replace('{{carseatsum}}', main.numFormat(carseatsum, "all"))
									.replace('{{distanceDesc}}', "search" == fromResource ? "目的地" : "您")
									.replace('{{distance}}', __webpack_require__(16).parseDistance(distance))
									.replace(/{{hasSpaceClass}}/g, hasSpaceClass)
									.replace('{{parkTypeHtmlTpl}}', parkTypeHtmlTpl)
									.replace('{{parkWithholdHtmlTpl}}', parkWithholdHtmlTpl);
			
								liEle.innerHTML = tplHtml;
								nullSpan.appendChild(liEle);
			
							}
						},
						error: function (error) {
							for(var i = 0; i < dataLength; i++) {
								var item = resultdata[i],
									parkelecid = item.parkelecid,
									distance = item.range, //距离
									name = item.name,
									adr = item.adr,
									gps = item.gps,
									carseatsum = item.carseatsum, //总车位数
									carseatleft = item.carseatleft, //可用车位数
									fareruledesc = item.fareruledesc, //收费规则描述
									liEle = document.createElement("li"),
									hasSpaceClass = carseatleft > 0 ? "has-space" : "no-space",
									parkTypeHtmlTpl = parkIconOutsideHtml,
									parkWithholdHtmlTpl = '<img src="../../img/icon/icon_park_withhold.png" />';
									if(Number(carseatleft)<0){
										carseatleft = 0;
									}
									/*if(Number(carseatleft) > Number(carseatsum)){
										carseatleft = (carseatsum*0.7).toFixed(0);
									}*/
								liEle.className = "cell-item";
								liEle.setAttribute("parkelecid", parkelecid);
								liEle.setAttribute("distance", distance);
								if(item.type == "02") { //室内
									parkTypeHtmlTpl =  parkIconLianWangHtml;	
								}
								if(item.ifsupporthold != "1") {
									//不支持代扣
									parkWithholdHtmlTpl = "";
								}
			
								var tplHtml = '<section class="c-i-desc"><div class="c-i-name-info"><h3 class="c-i-desc-address mui-ellipsis">{{adr}}</h3>{{parkTypeHtmlTpl}}{{parkWithholdHtmlTpl}}</div><p class="c-i-desc-price mui-ellipsis {{iffav}}">{{fareruledesc}}</p></section><section class="c-i-space"><div class="c-i-s-item mui-ellipsis"><span class="c-i-space-remain {{hasSpaceClass}}">{{carseatleft}}</span> <b class="c-i-s-r-text {{hasSpaceClass}}">空/</b><span class="c-i-s-a-text">共<i id="c-i-space-all">{{carseatsum}}</i>车位</span> <b class="c-i-distance">距{{distanceDesc}}{{distance}}</b></div><span class="c-i-navi-btn" gps="{{gps}}" adr="{{navadr}}"></span></section>'
									.replace(/{{adr}}/g, "02" == type ? name : name)
									.replace(/{{iffav}}/g, stringUtil.isEmpty(item.iffav) ? "":(item.iffav == "1"?'iffav-class':""))
									.replace('{{navadr}}', adr)
									.replace('{{gps}}', gps)
									.replace('{{fareruledesc}}', fareruledesc)
									.replace('{{carseatleft}}', main.numFormat(carseatleft, "less"))
									.replace('{{carseatsum}}', main.numFormat(carseatsum, "all"))
									.replace('{{distanceDesc}}', "search" == fromResource ? "目的地" : "您")
									.replace('{{distance}}', __webpack_require__(16).parseDistance(distance))
									.replace(/{{hasSpaceClass}}/g, hasSpaceClass)
									.replace('{{parkTypeHtmlTpl}}', parkTypeHtmlTpl)
									.replace('{{parkWithholdHtmlTpl}}', parkWithholdHtmlTpl);
			
								liEle.innerHTML = tplHtml;
								nullSpan.appendChild(liEle);
			
							}
						}
					});
					// for(var i = 0; i < dataLength; i++) {
					// 	var item = resultdata[i],
					// 		parkelecid = item.parkelecid,
					// 		distance = item.range, //距离
					// 		name = item.name,
					// 		adr = item.adr,
					// 		gps = item.gps,
					// 		carseatsum = item.carseatsum, //总车位数
					// 		carseatleft = item.carseatleft, //可用车位数
					// 		fareruledesc = item.fareruledesc, //收费规则描述
					// 		liEle = document.createElement("li"),
					// 		hasSpaceClass = carseatleft > 0 ? "has-space" : "no-space",
					// 		parkTypeHtmlTpl = parkIconOutsideHtml,
					// 		parkWithholdHtmlTpl = '<img src="../../img/icon/icon_park_withhold.png" />';
					// 		if(Number(carseatleft)<0){
					// 			carseatleft = 0;
					// 		}
					// 		if(Number(carseatleft) > Number(carseatsum)){
					// 			carseatleft = (carseatsum*0.7).toFixed(0);
					// 		}
					// 	liEle.className = "cell-item";
					// 	liEle.setAttribute("parkelecid", parkelecid);
					// 	liEle.setAttribute("distance", distance);
					// 	if(item.type == "02") { //室内
					// 		parkTypeHtmlTpl =  parkIconLianWangHtml;	
					// 	}
					// 	if(item.ifsupporthold != "1") {
					// 		//不支持代扣
					// 		parkWithholdHtmlTpl = "";
					// 	}
	
					// 	var tplHtml = '<section class="c-i-desc"><div class="c-i-name-info"><h3 class="c-i-desc-address mui-ellipsis">{{adr}}</h3>{{parkTypeHtmlTpl}}{{parkWithholdHtmlTpl}}</div><p class="c-i-desc-price mui-ellipsis {{iffav}}">{{fareruledesc}}</p></section><section class="c-i-space"><div class="c-i-s-item mui-ellipsis"><span class="c-i-space-remain {{hasSpaceClass}}">{{carseatleft}}</span> <b class="c-i-s-r-text {{hasSpaceClass}}">空/</b><span class="c-i-s-a-text">共<i id="c-i-space-all">{{carseatsum}}</i>车位</span> <b class="c-i-distance">距您{{distance}}</b></div><span class="c-i-navi-btn" gps="{{gps}}" adr="{{navadr}}"></span></section>'
					// 		.replace(/{{adr}}/g, "02" == type ? name : name)
					// 		.replace(/{{iffav}}/g, stringUtil.isEmpty(item.iffav) ? "":(item.iffav == "1"?'iffav-class':""))
					// 		.replace('{{navadr}}', adr)
					// 		.replace('{{gps}}', gps)
					// 		.replace('{{fareruledesc}}', fareruledesc)
					// 		.replace('{{carseatleft}}', main.numFormat(carseatleft, "less"))
					// 		.replace('{{carseatsum}}', main.numFormat(carseatsum, "all"))
					// 		.replace('{{distance}}', require("./module/common_util").parseDistance(distance))
					// 		.replace(/{{hasSpaceClass}}/g, hasSpaceClass)
					// 		.replace('{{parkTypeHtmlTpl}}', parkTypeHtmlTpl)
					// 		.replace('{{parkWithholdHtmlTpl}}', parkWithholdHtmlTpl);
	
					// 	liEle.innerHTML = tplHtml;
					// 	nullSpan.appendChild(liEle);
	
					// }
					dataListEle[0].appendChild(nullSpan);
				},
	
				//事件绑定
				bindEvent: function() {
	
					var _self = this;
	
					/**
					 * 筛选点击
					 */
					filterCellEle.on("tap", ".filter-item", function() {
						var sort = $(this).attr("sort");
						if($(this).hasClass("selected") || stringUtil.isEmpty(sort)) {
							return;
						}
						requestPara.sort = sort;
	
						filterCellEle.find(".filter-item").removeClass("selected");
						$(this).addClass("selected");
						requestPara.pageNo = 1;
						filterItemTap = true;
						noDataEle.hide();
						pullrefreshObj.pullRefresh().refresh(true);
						pullrefreshObj.pullRefresh().pullupLoading();
					});
	
					/**
					 * 车场列表点击
					 */
					dataListEle.on("tap", ".cell-item", function(e) {
						var parkelecid = $(this).attr("parkelecid"),
							distance = $(this).attr("distance"),
							pageUrl = constant.rootPath + "/page/park/park_info.html",
							param = {
								parkId: parkelecid,
								distance: distance
							};
						openWindow(pageUrl, pageUrl, param);
	
						e.preventDefault();
						e.stopPropagation();
						return false;
					});
	
					/**
					 * 车场列表导航铵钮点击
					 */
					dataListEle.on("tap", ".c-i-navi-btn", function(e) {
						var gps = $(this).attr("gps"),
							adr = $(this).attr("adr");
	
						if(stringUtil.isEmpty(gps)) {
							return;
						}
	
						var longitude = 0,
							latitude = 0;
	
						try {
							var gpsarray = gps.split(",");
							longitude = parseFloat(gpsarray[0]);
							latitude = parseFloat(gpsarray[1]);
						} catch(e) {
							//TODO handle the exception
						}
	
						if(longitude > 0 && latitude > 0) {
	
							var end = mapUtil.createPosition(longitude, latitude, adr);
							//调起导航
							mapUtil.callMapNav({
								type: 2,
								data: {
									start: currentPosition,
									end: end
								}
							});
						}
	
						e.preventDefault();
						e.stopPropagation();
						return false;
					});
					
					//跳转到路边停车
					$('.btn-road').bind('tap',function(){
						var href = constant.rootPath + "/page/car/road_stop.html",
							param = {};
						
						openWindow(href,href,param)
					});
	
					//WEBVIEW自定义事件------------------------Begin---------------------------
	
					//更新位置，重新刷新数据
					window.addEventListener('updatePosition', function(event) {
						console.log("======park_list_sub.js->接收到updatePosition事件");
						main.updateLocation(event);
					});
	
					console.log("======park_list_sub.js->绑定invokeJS");
					window.invokeJS = function (res) {
						//WEBVIEW回调
						h5nativePlugin.invokeJS(res, function (data1) {
							console.log("========收到App的回调park_list_sub.js->"+JSON.stringify(data1));
							if (res.type == 14) {
								main.updateLocation(data1);
							}
						});
					}
	
					//WEBVIEW自定义事件------------------------End---------------------------
				},
	
				updateLocation: function(event){
					console.log("=======更新地址 ！！！ park_list_sub.html updatePosition--event");
					var longitude = 0,
						latitude = 0,
						parklist = null;
					try {
						var resultData = event.data;
						longitude = resultData.longitude;
						parklist = resultData.parklist;
						latitude = resultData.latitude;
						console.log("=========解析App的回调longitude->"+longitude+" | latitude->"+latitude+" | parklist->"+parklist);
					} catch(e) {
						//TODO handle the exception
						console.log("=========解析App的回调异常->"+JSON.stringify(e));
					}
	
					if(longitude > 0 && latitude > 0) {
						//获取到地理位置了
						requestPara.gps = longitude + "," + latitude;
						_self.resetPage();
						fromResource = "search";
						var dataLength = (parklist && parklist.length) || 0;
						if(dataLength > 0) {
							_self.createElements(parklist);
						} else {
							pullrefreshObj.pullRefresh().refresh(true);
							pullrefreshObj.pullRefresh().pullupLoading();
						}
	
					}
				},
	
				/**
				 * 重置页面及请求参数
				 */
				resetPage: function() {
					var defaultFilterEle = $("#defaultFilter");
					dataListEle.html("");
					filterCellEle.find(".filter-item").removeClass("selected");
					defaultFilterEle.addClass("selected");
					requestPara.sort = defaultFilterEle.attr("sort");
					noDataEle.hide();
					requestPara.pageNo = 1;
					filterItemTap = true;
				},
				//车位数量格式化，num：车位数，type：格式化类型，all-总车位，less-空余车位
				numFormat: function(num, type) {
					var numTxt = "";
					if(type == "all") { //总车位数
	
						if(num < 99999) {
							numTxt = num;
						} else if(num > 99999 && num < 999999) {
							numTxt = (num / 10000).toFixed(1) + "万";
						} else if(num > 999999) {
							numTxt = (num / 10000).toFixed(1) + "万";
						}
	
					} else if(type == "less") { //空余车位数
	
						if(num < 999) {
							numTxt = num;
						} else if(num > 999 && num < 9999) {
							numTxt = num;
						} else if(num > 9999 & num < 999999) {
							numTxt = (num / 10000).toFixed(1) + "万";
	
						} else if(num > 999999) {
							numTxt = (num / 10000).toFixed(0) + "万+";
						}
	
					}
	
					return numTxt;
				}
			};
		$.initComplete(function() {
			main.init();
		});
	
	})(mui);
	//end

/***/ })
]);
//# sourceMappingURL=park_list_sub.js.map