webpackJsonp([65],[
/* 0 */
/***/ (function(module, exports, __webpack_require__) {

	/**
	 *车牌申诉-手动输入
	 * version:1.0.0
	 * created by ajBoom/chengjun.zhu@jieshunpay.cn
	 */
	
	__webpack_require__(1);
	(function($){
		var carNoEle = $("#carNo"),//车牌号
			vinNoEle = $("#vinNo"),//车架号
			engineNoEle = $("#engineNo"),//发动机号
			subUpLoafEle = $("#subUpLoaf"),//确定认证按钮
			InputValidators = __webpack_require__(15),
			carNoLength = 4,//车牌最小长度
			vinNoLength = 17,//车架号长度
			engineNoLength = 20,//发动机号长度
			minEngineNoLength = 6,//最小发动机长度
			main = {
				init:function(){
					var self = this;
								
					self.initData();
					self.bindEvent();
					
				},
				//初始化数据
				initData:function(){
					var res = localStorage.getItem("peccancyData");
					if(res == "" || res == null || res == undefined){
						
					}else{
						res = JSON.parse(res);
						carNoEle.val(res.carNo);
						vinNoEle.val(res.vin);
						engineNoEle.val(res.engineNo);
					}
				},
				//事件绑定
				bindEvent:function(){
					//确定认证
					subUpLoafEle.bind("tap",function(){
	//					var href = "peccancy_result.html";
	//						openWindow(href)
						if(carNoEle.val().length < carNoLength){
							$.toast("请输入正确的车牌号");
							return ;
						}else if(vinNoEle[0].value.length < vinNoLength){
							$.toast("请输入17位的车架号");
							return ;
						}else if(engineNoEle.val().length < minEngineNoLength){
							$.toast("请输入正确的发动机号");
							return ;
						}
						main.postMes();
					});
					//车架号输入长度限制
					InputValidators.limitInputLength(vinNoEle, vinNoLength);
					InputValidators.limitInputLength(engineNoEle, engineNoLength);
					
					
	//				carNoEle.bind("input",function(){
	//					carNoEle.val(carNoEle.val().toUpperCase())
	//				});
					
					vinNoEle.bind("input",function(){
						vinNoEle.val(vinNoEle.val().toUpperCase())
					});
					
					engineNoEle.bind("input",function(){
						engineNoEle.val(engineNoEle.val().toUpperCase())
					});
					
					//车架号提示框
					$("#vinIcon").bind("tap",function(){
						$.confirm("<img class='tips-img' src='../../img/bg/bg_peccancy_chelshb.png'>", "", ["知道了"], function(e) {
							
						}, 'div');
					});
					//发动机号提示框
					$("#engineIcon").bind("tap",function(){
						$.confirm("<img class='tips-img' src='../../img/bg/bg_peccancy_fadjh.png'>", "", ["知道了"], function(e) {
							
						}, 'div');
					});
					
					
				},
				postMes:function(){
					var dataParams = {
						"abbreviation":carNoEle.val().substring(0,1),//省份简称
						"carId":carNoEle.val().substring(1).toUpperCase(),//车牌号
						"vin":vinNoEle.val().toUpperCase(),//车架号
						"engineNo":engineNoEle.val().toUpperCase(),//发动机号
					};
					
					postData("ocr/violationInquiry",dataParams,function(res){
						console.log(res)
						if(res.code == "200"){												
							var href = "peccancy_result.html",
							pesccancyData = {
								"vin":vinNoEle.val().toUpperCase(),//车架号
								"engineNo":engineNoEle.val().toUpperCase(),//发动机号
								"carNo":carNoEle.val().toUpperCase()//车牌号
							}
							param = {};
							param.data = JSON.stringify(res);						
							localStorage.setItem("peccancyData",JSON.stringify(pesccancyData));
							openWindow(href,href,param);
						}
						if(res.code == "210"){
							$.toast("车架号或者发动机号输入有误！");
						}
						
					},function(err){
	//					$.toast(err.msg);
					})
					
				}
				
			}
			
			$.initComplete(function() {
				main.init();
			});
	})(mui)


/***/ })
]);
//# sourceMappingURL=peccancy_check.js.map