webpackJsonp([69],[
/* 0 */
/***/ (function(module, exports, __webpack_require__) {

	/**
	 * 注册
	 */
	__webpack_require__(1);
	(function ($) {
	
	    var mobileEle = $("#mobile"),
	        pwdEle = $("#pwd"),
	        checklist = $("#xianshi"),
	        unchecked = $("#yincang"),
	        disagreeBtn = $("#disagreeBtn"), //不同意
	        agreeBtn = $("#agreeBtn"), //同意
	
	    registerBtnEle = $("#registerBtn"), //输完手机号和验证码之后的确认铵钮
	        smsCodeEle = $("#smsCode"), //验证码输入框
	        getCodeBtnEle = $("#getCodeBtn"), //获取短信验证码铵钮
	        confirmBtnEle = $("#confirmBtn"), //输完密码之后的确认按钮
	
	        mobileErrorTipEle = $("#mobileErrorTip"), //手机号错误提示
	        smsCodeErrorTipEle = $("#smsCodeErrorTip"), //验证码错误提示
	        pwdErrorTipEle = $("#pwdErrorTip"), //密码错误提示
	        isFromSetting = requestURL.getParameter("isFromSetting"),
	        mobileLen = 11,
	        pwdLimit = 8,
	        pwdMax = 18,
	        smsCodeMax = 6, //验证码最大长度
	        InputValidators = __webpack_require__(15),   //验证
	        h5_jstjhy_plugin = __webpack_require__(19),
	        registerFlag = "0", //注册标志：0-未注册，1-注册成功
	        isGetCode = false, // 是否获取过验证码 false-没有 true-有
	
	        // 2020/03/18
	        _userId = "",
	        _username = "",
	        _lat = "",
	        _lon = "",
	        _arrayStrAddress = "",
	
	        main = {
	            //初始化执行
	            init: function () {
	                var self = this;
	
	                $("#maskDiv").hide()
	                $("#maskRegisterDiv").hide()
	
	                self.bindEvent();
	                self.getAddress();
	            },
	
	            //验证输入项是否合规
	            validate: {
	
	                /**
	                 * 验证手机号
	                 */
	                validateMobile: function () {
	                    var validators = InputValidators.getInputValidators();
	                    validators.addValidator('isNoEmpty', mobileErrorTipEle, APPwarn.mobile.none, mobileEle.val().replace(/\D/g, "")); // 验证是否为空
	                    validators.addValidator('isValidMobile', mobileErrorTipEle, APPwarn.mobile.err, mobileEle.val().replace(/\D/g, "")); // 验证是否为手机号码
	                    return this.check(validators, mobileErrorTipEle);
	                },
	
	                /**
	                 * 验证短信验证码
	                 */
	                validateSmsCode: function () {
	                    var validators = InputValidators.getInputValidators();
	                    validators.addValidator('isNoEmpty', smsCodeErrorTipEle, APPwarn.checkcode.none, smsCodeEle.val());
	                    validators.addValidator('isValidSmsCode', smsCodeErrorTipEle, APPwarn.checkcode.err, smsCodeEle.val());
	                    return this.check(validators, smsCodeErrorTipEle);
	                },
	
	                /**
	                 * 验证密码
	                 */
	                validatePwd: function () {
	                    var validators = InputValidators.getInputValidators();
	                    validators.addValidator('isNoEmpty', pwdErrorTipEle, APPwarn.password.none, pwdEle.val()); // 验证是否为空
	                    validators.addValidator('isErrorLenPwd', pwdErrorTipEle, APPwarn.password.len, pwdEle.val());
	                    validators.addValidator('isValidPwd', pwdErrorTipEle, APPwarn.password.req, pwdEle.val());
	                    //					validators.addValidator('isEasyPwd', pwdErrorTipEle, APPwarn.password.easy, pwdEle.val());
	                    return this.check(validators, pwdErrorTipEle);
	                },
	
	                /**
	                 * 开始验证
	                 * @param {Object} validators
	                 */
	                check: function (validators, tipEle) {
	                    var result = validators.check();
	
	                    if (result) {
	                        result.element.addClass("error").html(result.errMsg);
	                    } else {
	                        tipEle && tipEle.removeClass("error").html("");
	                    }
	
	                    return result;
	                },
	
	                checkAll: function () {
	                    return this.validateMobile() || this.validateSmsCode() || this.validatePwd();
	                }
	            },
	
	
	            //绑定事件监听
	            bindEvent: function () {
	                var self = this;
	
	                InputValidators.limitInputLength(mobileEle, mobileLen, "number");
	                InputValidators.limitInputLength(pwdEle, pwdMax);
	                InputValidators.limitInputLength(smsCodeEle, smsCodeMax);
	
	                $(".page-href").bind("tap", function () {
	                    var href = $(this).data("href");
	                    if (!stringUtil.isEmpty(href)) {
	                        if (!stringUtil.isURL(href)) {
	                            href = constant.rootPath + href;
	                        }
	                        openWindow(href);
	                    }
	                });
	
	                // 检查输入的手机号码是否合法
	                mobileEle.bind("input", function () {
	                    var realvalue = this.value.replace(/\D/g, "");
	                    if (mobileLen == realvalue.length) {
	                        //用户输完11位之后，验证
	                        if (!self.validate.validateMobile() && !isGetCode) {
	                            //验证通过了，将获取验证码铵钮打开
	                            getCodeBtnEle.removeClass("btn-off");
	                        } else {
	                            getCodeBtnEle.addClass("btn-off");
	                        }
	                    } else {
	                        mobileErrorTipEle.removeClass("error").html("");
	                        getCodeBtnEle.addClass("btn-off");
	                    }
	                    //					$(this).val(stringUtil.FormatNumber(realvalue, "mobile")); // 手机号码格式化
	                });
	
	                // 检查输入的验证码是否合法
	                smsCodeEle.bind("input", function () {
	
	                    if (smsCodeMax == this.value.length) {
	                        //用户输完之后，验证
	                        self.validate.validateSmsCode();
	                    } else {
	                        smsCodeErrorTipEle.removeClass("error").html("");
	                    }
	
	                });
	
	                // 检查输入的密码是否合法
	                pwdEle.bind("input", function () {
	                    if (pwdLimit < this.value.length) {
	                        //用户输完之后，验证
	                        self.validate.validatePwd();
	                    } else {
	                        pwdErrorTipEle.removeClass("error").html("");
	                    }
	
	                    if (stringUtil.isEmpty($(this).val())) {
	
	                        $(this.parentNode).find(".mui-icon.mui-icon-eye").hide();
	                    } else {
	                        //输入不为空的时候，把可见图标显示出来
	                        $(this.parentNode).find(".mui-icon.mui-icon-eye").show();
	                    }
	                });
	
	                /**
	                 * 获取验证码
	                 */
	                getCodeBtnEle.addEventListener("tap", function () {
	
	                    var $this = $(this);
	
	                    if ($this.hasClass("btn-off")) {
	                        return;
	                    }
	
	                    if (self.validate.validateMobile()) {
	                        return false;
	                    }
	
	                    //调用接口发送短信
	                    postData("sms/sendVerify", {
	                        mobile: mobileEle.val().replace(/\D/g, "")
	                    }, function (data) {
	                        isGetCode = true;
	                        __webpack_require__(16).timeDown($this);
	                    });
	
	                });
	
	
	                //点击不同意
	                disagreeBtn.bind("tap", function () {
	                    if ($.os.app) {
	                        h5_invoke.invokeNative({
	                            type: 16
	                        })
	                        // plus.webview.currentWebview().close();
	                    }
	
	                    // $("#maskDiv").hide()
	                    // $("#maskRegisterDiv").hide()
	                })
	                //点击同意
	                agreeBtn.bind("tap", function () {
	                    $("#maskDiv").hide()
	                    $("#maskRegisterDiv").hide()
	                })
	
	
	                /**
	                 * 输完手机号和验证码之后，提交
	                 */
	                registerBtnEle.bind("tap", function () {
	
	                    if ($(this).hasClass("disabled")) {
	                        return;
	                    }
	
	                    if (self.validate.checkAll()) {
	                        return false;
	                    }
	                    //点击注册失去焦点
	                    mobileEle[0].blur();
	                    smsCodeEle[0].blur();
	                    pwdEle[0].blur();
	
	                    if (isGetCode) {
	
	                        var mobile = mobileEle.val().replace(/\D/g, ""),
	                            pwd = __webpack_require__(10).encryptPwd(pwdEle.val());
	                        var regInfo = {
	                            mobile: mobile,
	                            password: pwd,
	                            verifyNum: smsCodeEle.val(),
	                            LATITUDE: _lat,
	                            LONGITUDE: _lon,
	                            address: _arrayStrAddress
	                        };
	                        postData("member/register", regInfo, function (res) {
	                            var token = res.data.token || "",
	                                appKey = res.data.appKey || "",
	                                merchantName = res.data.merchantName || "", // 免密支付商户名称
	                                amount = res.data.amount || ""; // 免密支付额度
	                            if (res.data.resType == "00") {
	                                isGetCode = false; // 验证码使用过了，需要重新获取
	                                if (stringUtil.isEmpty(token) || stringUtil.isEmpty(appKey)) {
	                                    $.toast("登录出错啦,获取TOKEN|key为空");
	                                    return;
	                                }
	                                local.setItem("token", token);
	                                local.setItem("md5key", appKey);
	                                local.setItem("merchantName", merchantName);
	                                local.setItem("amount", amount);
	                                login.setLoginParameter(mobile, pwd);
	                                login.updateUserInfo(function (data) {
	                                        local.setItem("token", token);
	                                        local.setItem("md5key", appKey);
	                                        login.setLoginParameter(mobile, pwd);
	
	                                        // 2020/03/18 获取用户id及用户名
	                                        _userId = data.userId;
	                                        _username = data.username;
	
	                                        if ($.os.app) {
	                                            //将数据写入APP缓存
	                                            h5_jstjhy_plugin.invokeNative({
	                                                type: 15,
	                                                operation: "add",
	                                                value: token,
	                                                key: "token"
	                                            });
	                                            h5_jstjhy_plugin.invokeNative({
	                                                type: 15,
	                                                operation: "add",
	                                                value: appKey,
	                                                key: "md5key"
	                                            });
	                                            h5_jstjhy_plugin.invokeNative({
	                                                type: 15,
	                                                operation: "add",
	                                                value: JSON.stringify(data),
	                                                key: "userInfo"
	                                            });
	                                        }
	                                        // 2020/03/18扬州优惠券注册领取相关操作
	                                        // main.registerBindCP();
	                                        postData(
	                                            constant.couponHttpServer.concat('open/coupon/register'),
	                                            {
	                                                userId: _userId,
	                                                username: _username
	                                            },
	                                            function (data) {
	                                                if (data.code == '0') {
	                                                    if (data.data.length > 0) {
	                                                        //如果不是第一次注册则没有优惠劵赠送
	                                                        if (res.data.isExistCoupon == "1") {
	                                                            var htmlTpl = '<span class="money-tip">￥</span><span class="money-num">{{registerMoney}}</span><span class="money-name">优惠劵</span>',
	                                                                htmls = '',
	                                                                money = ((res.data.singleAmt) / 100).toFixed(2);
	                                                            $(".coupon-cell").removeClass("mui-hidden");
	                                                            htmls += htmlTpl.replace("{{registerMoney}}", money);
	                                                            $("#registerCoupon").html(htmls);
	                                                        } else if (res.data.isExistCoupon == "0") {
	                                                            var htmlTpl = '<span class="money-name money-cp-name">{{cpRegisterName}}</span><span class="money-num-total">共{{couponNum}}张</span>',
	                                                                htmls = '',
	                                                                couponNum = data.data.length,
	                                                                registerName = data.data[0].name;
	                                                            $(".coupon-cell").removeClass("mui-hidden");
	                                                            htmls += htmlTpl.replace("{{cpRegisterName}}", registerName)
	                                                                .replace("{{couponNum}}", couponNum);
	                                                            $("#registerCoupon").html(htmls);
	                                                        }
	                                                    } else {
	                                                        //如果不是第一次注册则没有优惠劵赠送
	                                                        if (res.data.isExistCoupon == "1") {
	                                                            var htmlTpl = '<span class="money-tip">￥</span><span class="money-num">{{registerMoney}}</span><span class="money-name">优惠劵</span>',
	                                                                htmls = '',
	                                                                money = ((res.data.singleAmt) / 100).toFixed(2);
	                                                            $(".coupon-cell").removeClass("mui-hidden");
	                                                            htmls += htmlTpl.replace("{{registerMoney}}", money);
	                                                            $("#registerCoupon").html(htmls);
	                                                        } else if (res.data.isExistCoupon == "0") {
	                                                            self.registerSuccess();
	                                                        }
	                                                    }
	                                                }
	                                            },
	                                            function (err) {
	                                                console.log(err);
	                                            }
	                                        )
	
	                                    },
	                                    function () {
	                                        local.clear();
	                                        $.toast("获取用户信息出错");
	                                    });
	                                registerFlag = "1";
	                                $.toast("注册成功！");
	
	                            } else {
	                                $.toast(res.data.msgContent);
	
	                            }
	
	                        }, null, {
	                            contentType: "application/json"
	                        });
	                    } else {
	                        $.toast("请先获取验证码");
	                    }
	
	                });
	
	                //注册成功之后，显示领取优惠劵信息，点击关闭按钮
	                $(".coupon-close").bind("tap", function () {
	                    $(".coupon-cell").addClass("mui-hidden");
	                    self.registerSuccess();
	                });
	                // $.back = self.registerSuccess;
	
	            },
	
	            //交互获得经纬度和地址
	            getAddress: function () {
	                h5_invoke.map.getCurrentPosition(function (res) {
	                    _lat = String(res.latitude);
	                    _lon = String(res.longitude);
	                    _arrayStrAddress = String(res.arrayStrAddress);
	                })
	            },
	            /**
	             * 注册成功
	             */
	            registerSuccess: function () {
	                if ($.os.app) {
	                    h5_invoke.invokeNative({
	                        type: 25
	                    })
	                    // var fromPageId = plus.webview.currentWebview().fromPageId,
	                    // 	loginPageId = plus.webview.currentWebview().loginPageId;
	                    //
	                    // if (!stringUtil.isEmpty(fromPageId)) {
	                    // 	//登录成功了
	                    // 	if (login.isLogin()) {
	                    // 		var param = plus.webview.currentWebview().param;
	                    // 		$.fire(plus.webview.getWebviewById(fromPageId), "loginSuccess", param);
	                    // 	} else {
	                    // 		isFromSetting = "Y"; //跳转至首页
	                    // 	}
	                    //
	                    // } else {
	                    // 	if (login.isLogin()) {
	                    // 		//没有指定从哪个页面跳过来的，更新个人中心数据
	                    // 		$.fire(require("./module/webview_opr").getLaunchWebview(), "loginSuccess", {
	                    // 			toIndex: 2
	                    // 		});
	                    //
	                    // 	}
	                    //
	                    // }
	                    // if (isFromSetting == "Y" && !login.isLogin()) {
	                    // 	$.fire(require("./module/webview_opr").getLaunchWebview(), "changeTab", {
	                    // 		toIndex: 0
	                    // 	});
	                    //
	                    // }
	                    // plus.webview.currentWebview().close();
	                    // //关闭登陆页面
	                    // if (registerFlag != "0") {
	                    // 	plus.webview.close(loginPageId);
	                    // }
	                } else {
	                    //登录成功了，非APP环境，跳至首页
	                    var href = constant.rootPath + "/page/account/account.html";
	                    openWindow(href);
	                }
	
	            }
	
	        };
	    $.initComplete(function () {
	        main.init();
	    });
	
	})(mui);
	//end

/***/ })
]);
//# sourceMappingURL=register.js.map