webpackJsonp([0],{

/***/ 0:
/***/ (function(module, exports, __webpack_require__) {

	/**
	 * 账户主页
	 * version:1.0.1
	 * created by Max/jingming.li@jieshunpay.cn
	 */
	__webpack_require__(1);
	(function($) {
	
		var balanceEle = $("#balance"), //我的余额显示
			mobileEle = $("#mobile"), //手机号显示
			loginBtnEle = $("#loginBtn"), //登录铵钮
			rechargeEle = $("#recharge"),
			withdrawEle = $("#withdraw"),
			parkingEle = $("#parking-num"),
			loginShow = $(".login-show"),
			loginHide = $(".login-hide"),
	
			menuUsertel = $("#menu-usertel"), // 账号选项
			msgNumEle = $("#msg-num"),
	
			menuMycar = $("#menu-mycar"), // 我的车辆
			menuMonthcard = $("#menu-monthcard"), // 月卡管理
			menuMyrecord = $("#menu-myrecord"), // 停车记录
	
			//add by lihua
			mycarNumEle = $("#mycarNum"),
	
			main = {
				//初始化执行
				init: function() {
	
					__webpack_require__(20).init();
	
					$.init({
						swipeBack: false //关闭右滑关闭功能
					});
	
					var self = this;
					self.bindEvent();
	
					if(login.isLogin()) {
						self.getUserparkInfo();
						self.getBalanceData();
					}
	
				},
				/**
				 * 获取余额等信息
				 */
				getBalanceData: function() {
	
					var acctId = login.getUserInfo().acctId;
	
					if(!stringUtil.isEmpty(acctId)) {
	
						postData(constant.appPreHttpServer.concat("app/rest/getAccountInfo"), {
							"acctMarkNo": acctId
						}, function(data) {
							if(data.resType == "00") {
								balanceEle.html((parseInt(data.freeBalance) / 100).toFixed(2));
							} else {
								$.toast(data.msgContent);
							}
						}, null, {
							requestType: "get"
						});
					}
				},
	
				/**
				 * 获取用户账户下的车辆数及未读消息数
				 */
				getUserparkInfo: function() {
					if(!login.isLogin()) {
						return;
					}
					postData("user/info", {}, function(obj) {
						loginShow.removeClass("none");
						loginHide.addClass("none");
						//展示未读消息数
						data = obj.data;
						if(data.msgCount > 0) {
							msgNumEle.removeClass("none");
							msgNumEle.html(data.msgCount);
						} else {
							msgNumEle.addClass("none");
							msgNumEle.html(data.msgCount);
						}
						//展示我的车辆数
						//					if(data.carCount) {
						//						mycarNumEle.html(data.carCount + "辆");
						//					}
						//展示我的余额
						if(data.balance) {
							//						balanceEle.html((parseInt(data.balance) / 100).toFixed(2));
						}
						//展示停车补缴标志
						if(data.noPayCount > 0) {
							parkingEle.removeClass("none");
						}
						//展示手机号码
						mobileEle.html(stringUtil.infoProtectDeal({
							targetStr: data.phone,
							keepStart: 3,
							keepEnd: 4
						}));
					});
				},
	
				/**
				 * 退出登录了
				 */
				logout: function() {
					loginHide.removeClass("none");
					loginShow.addClass("none");
					mobileEle.html("");
					parkingEle.addClass("none");
					msgNumEle.addClass("none");
				},
	
				//绑定事件监听
				bindEvent: function() {
					var self = this;
	
					$(".page-href").bind("tap", function() {
	
						if(!login.isLogin()) {
							login.gotoLogin(true);
							return false;
						}
	
						var href = $(this).data("href"),
							param = {};
						if(!stringUtil.isEmpty(href)) {
							if(!stringUtil.isURL(href)) {
								href = constant.rootPath + href;
							}
							if($.os.plus && window.plus) {
								param.fromPageId = plus.webview.currentWebview().id;
							}
							openWindow(href, href, param);
						}
					});
	
					//				/**
					//				 * 充值，提现跳转
					//				 * @param {Object} type：1充值，2提现
					//				 */
					//				var gotoPage = function(type) {};
					//
					//				//充值
					//				rechargeEle.bind("tap", function() {
					//					gotoPage(1);
					//				});
	
					/**
					 * 登录
					 */
					loginBtnEle.bind("tap", function() {
						login.gotoLogin(true);
					});
	
					//WEBVIEW自定义事件------------------------Begin---------------------------
	
					//登录成功之后刷新数据
					window.addEventListener('refreshData', function(event) {
						console.log("account.html refreshData--event");
						self.getUserparkInfo();
						self.getBalanceData();
					});
	
					//登录成功之后刷新数据
					window.addEventListener('loginSuccess', function(event) {
						console.log("account.html loginSuccess--event");
						self.getUserparkInfo();
						self.getBalanceData();
					});
	
					//退出登录了
					window.addEventListener('logout', function(event) {
						console.log("account.html  logout--event");
						self.logout();
					});
	
					//WEBVIEW自定义事件------------------------End---------------------------
	
				}
			};
		$.initComplete(function() {
			main.init();
		});
	
	})(mui);
	//end

/***/ }),

/***/ 20:
/***/ (function(module, exports, __webpack_require__) {

	/**
	 * 底部导航初始化
	 * created by Max/jingming.li@jieshunpay.cn
	 */
	__webpack_require__(2);
	module.exports = (function($) {
		var self = {},
			constant = __webpack_require__(4),
			navs = ["停车", "附近", "我的"], //菜单标题
			urls = ["page/home/index.html", "page/home/nearby.html", "page/account/account.html"], //菜单链接
			FOOTER_MENU_ID = "footerMenu",
			FOOTER_ITEM_CLASS = "footer-item",
	
			/**
			 * 高亮显示
			 */
			currentShow = function() {
				var href = window.location.href;
				var actived = false;
				for(var i = 0; i < urls.length; i++) {
					if(href.indexOf(urls[i]) != -1) {
						actived = true;
						$("#nav-".concat(i)).addClass("active");
						break;
					}
				}
				if(!actived) {
					$("#nav-0").addClass("active");
				}
	
			},
	
			/**
			 * 添加事件监听
			 */
			bindEvent = function() {
				$("#".concat(FOOTER_MENU_ID)).on("tap", "." + FOOTER_ITEM_CLASS, function() {
					var httpurl = constant.base + $(this).data("href");
					var index = $(this).data("index");
					openWindow(httpurl);
				});
	
			};
	
		self.addMenuHTML = function() {
	
			//创建ul标签
			var footer = document.createElement("footer");
			footer.id = FOOTER_MENU_ID;
			footer.className = "footer-bottom";
			//循环创建标签  添加底部导航
			for(var i = 0; i < navs.length; i++) {
				var section = document.createElement("section"),
					divclass = FOOTER_ITEM_CLASS;
				section.id = "nav-" + i;
				section.className = FOOTER_ITEM_CLASS.concat(" nav-" + i);
				section.setAttribute("data-href", urls[i]);
				section.setAttribute("data-index", i);
	
				section.innerHTML = '<p class="footer-icon"></p><div class="footer-text">{{footerText}}</div>'.replace("{{footerText}}", navs[i]);
	
				footer.appendChild(section);
			}
			document.body.appendChild(footer);
	
		};
	
		self.init = function() {
	
			if($.os.app) {
	
				//APP环境下面，导航页面不需要距底部有距离
				$(".mui-content").css("padding-bottom", "0");
	
			} else {
				this.addMenuHTML();
				currentShow();
			}
	
			bindEvent();
	
		};
	
		return self;
	})(mui);

/***/ })

});
//# sourceMappingURL=account.js.map