webpackJsonp([2],[
/* 0 */
/***/ (function(module, exports, __webpack_require__) {

	/**
	 * 账单列表
	 * version:1.0.1
	 * created by Gheng
	 */
	__webpack_require__(1);
	
	(function($) {
	
		var billNavEle = $("#bill-navbox");
		var billDate = ""; // 账单月份
	
		var pullrefreshSelector = "#pullrefresh",
			pullrefreshObj = $(pullrefreshSelector),
			dataListEle = $("#dataList"),
			filterItemTap = false, //是否点击了筛选条件
			method = constant.appPreHttpServer.concat("app/rest/tranOrder/queryList.do"),
			requestPara = {
				currentPage: 1,
				pageSize: 20,
				orderType: "10", // url 請求的账单类型 01-充值  02-消费 03-退款 10-全部
				// dataType: "10", // 用戶點擊的账单类型， 区分请求参数， 以实现消费账单截取全部账单的一部分
			},
			isLoading = false,
			main = {
				//初始化执行
				init: function() {
					var self = this;
					self.initPullRefresh(); //初始化分页控件
					self.bindEvent();
				},
	
				/**
				 * 初始化上拉下拉刷新
				 */
				initPullRefresh: function() {
					$.init({
						pullRefresh: {
							indicators: false,
							container: pullrefreshSelector,
							up: {
								contentinit: '',
								contentdown: $.os.plus && $.os.android ? "正在加载" : "",
								callback: this.pullupRefresh
							}
						}
					});
					if($.os.plus && window.plus) {
						$.plusReady(function() {
							setTimeout(function() {
								pullrefreshObj.pullRefresh().pullupLoading();
							}, 50);
						});
					} else {
						$.ready(function() {
							pullrefreshObj.pullRefresh().pullupLoading();
						});
					}
				},
	
				/**
				 * 上拉加载具体业务实现
				 */
				pullupRefresh: function() {
					main.handRefresh();
				},
	
				/**
				 * 处理分页参数及页面加载等
				 */
				handRefresh: function(type) {
					isLoading = true;
	//				pullrefreshObj.removeClass("no-bill");
					$("#noRecord").addClass("mui-hidden");
					if(filterItemTap) {
						//排序字段点击之后重置刷新控件，且将页面滚动至顶部
						//					pullrefreshObj.pullRefresh().enablePullupToRefresh();
						pullrefreshObj.pullRefresh().scrollTo(0, 0);
						filterItemTap = false;
					}
					if("down" == type) {
						requestPara.currentPage = 1;
					}
					var
						/**
						 * 结束刷新数据
						 * @param {Object} endpull
						 */
						endRefresh = function(endpull) {
							isLoading = false;
							"down" == type ? pullrefreshObj.pullRefresh().endPulldownToRefresh() : pullrefreshObj.pullRefresh().endPullupToRefresh(endpull);
						},
	
						handleResp = function(res) {
							var endpull = false, //true表示没有更多数据了
								resultdata = res.tranOrderList, //停车信息数组
								dataLength = (resultdata && resultdata.length) || 0,
								oriDataLength = dataLength;
	
							// //如果是消费账单，则进行数据筛选
							// if (requestPara.dataType == "02"){
							// 	var newData = [];
							// 	res.tranOrderList.forEach(function (item) {
							// 		if (item.orderType == "02"){
							// 			newData.push(item);
							// 		}
							// 	})
							// 	resultdata = newData;
							// 	dataLength = (resultdata && resultdata.length) || 0;
							// }
	
							if(oriDataLength < requestPara.pageSize) {
								//如果返回数据列表条码< 每页显示的条数，则认为没有更多数据了
								endpull = true;
								if(requestPara.currentPage == 1 && "down" != type) {
									//此时条件已经是没有更多数据了，而且请求的是第一页，则将上拉禁用
									pullrefreshObj.pullRefresh().disablePullupToRefresh();
								}
							} else {
								requestPara.currentPage++;
							}
	
							if(dataLength > 0) {
								main.createList(resultdata);
							}
							if(dataLength == 0 && requestPara.currentPage == 1) { //如果没有数据并且是第一页时，就将没有数据的图片显示出来。
	//							pullrefreshObj.addClass("no-bill");
								$("#noRecord").removeClass("mui-hidden");
							}else{
	//							pullrefreshObj.removeClass("no-bill");
								$("#noRecord").addClass("mui-hidden");
							}
							endRefresh(endpull);
						};
					if(requestPara.currentPage == 1 || "down" == type) {
						//如果是请求第一页 或是 下拉刷新页面，则将页面元素先清空
						dataListEle.html("");
					}
					postData(method, requestPara, handleResp, function() {
	
						endRefresh(false);
					}, {
						showWait: false
					});
				},
	
				//创建列表
				createList: function(ordlist) {
					$.each(ordlist, function(key, val) {
						var liEle = document.createElement('li');
						var liDateEle = document.createElement('li');
						var liTpl = '<div class="bill-tit">{{orderName}}</div><p class="bill-text"><span id="bill-date" class="bill-time">{{tranTime}}</span><span id="bill-money" class="bill-amount">{{tranAmount}}</span></p>';
						var liMonthTpl;
						var content;
						var billAmount = (parseFloat(val.tranAmount) / 100).toFixed(2);
						billAmount = val.orderType == "02" ? "-" + billAmount : "+" + billAmount;
						// 插入时间段HTML
						var dateStr = val.tranTime.split("-", 2)[0] + "年" + val.tranTime.split("-", 2)[1] + "月";
						var liClass = "pull-cell bill-item ";
						if(billDate != dateStr) {
							billDate = dateStr;
							liMonthTpl = '<li class="pull-cell bill-tradedate"><p>{{monthDate}}</p></li>';
							liDateEle.innerHTML = liMonthTpl.replace(/{{monthDate}}/g, billDate);
							liClass += " no-line";
							dataListEle[0].appendChild(liDateEle);
							
						}
	
						switch(val.orderType) {
							case "01":
								liClass += " recharge";
								break;
							case "02":
								liClass += " consumed";
								break;
							case "03":
								liClass += " refund";
								break;
							default:
								break;
						}
	
						liEle.className = liClass;
						// 插入账单HTML
						if (val.orderName.indexOf("-") != -1 ) {
							content = val.orderName.substr(val.orderName.lastIndexOf('-', val.orderName.lastIndexOf('-') - 1) + 1);
						} else  {
							content = val.orderName;
						}
						liEle.innerHTML = liTpl.replace(/{{orderName}}/g, content)
							.replace(/{{tranTime}}/g, val.tranTime)
							.replace(/{{tranAmount}}/g, billAmount);
						dataListEle[0].appendChild(liEle);
					});
				},
				// 绑定事件
				bindEvent: function() {
					/**
					 * 筛选点击
					 */
					billNavEle.find("li").bind("tap", function() {
	
						if(isLoading) return;
						billDate = "";
						//拿到点击时tab栏的对应的属性值
						requestPara.orderType = $(this).attr("data-type");
						// requestPara.dataType = $(this).attr("data-type");
						// if (requestPara.dataType == "02"){
						// 	// 请求消费账单时，数据从全部账单里筛选
						// 	requestPara.orderType = "10";
						// }else {
						// 	requestPara.orderType = requestPara.dataType;
						// }
						billNavEle.find("li").removeClass("pick");
						$(this).addClass("pick");
						//请求相应的数据  
						requestPara.currentPage = 1;
						filterItemTap = true; //将是否是筛选置为true.
						dataListEle.html(""); //每次点击，将停车记录清空。
	//					pullrefreshObj.removeClass("no-bill");
						$("#noRecord").addClass("mui-hidden");
						pullrefreshObj.pullRefresh().refresh(true);
						pullrefreshObj.pullRefresh().pullupLoading();
					});
				},
	
			};
	
		$.initComplete(function() {
			main.init();
		});
	
	})(mui);
	
	//end

/***/ })
]);
//# sourceMappingURL=account_bill_sub.js.map