webpackJsonp([19],[
/* 0 */
/***/ (function(module, exports, __webpack_require__) {

	/**
	 * 充电车场详情
	 */
	__webpack_require__(1);
	(function ($) {
	    var parkId = requestURL.getParameter("stationId"),//车场id
	        callby = requestURL.getParameter("callby"),
	        fromPageId = requestURL.getParameter("fromPageId"),
	        token = requestURL.getParameter("token"),
	        searchGps = requestURL.getParameter("searchGps"),
	        requestPara = {
	            stationid: parkId,
	            pageno: 0,
	            pagesize: 10
	        },
	        method = "tld/charge/terminalList",
	        recListEle = $("#chargeList"), //拿到动态渲染li的容器ul
	        pullrefreshSelector = "#pullrefresh",
	        pullrefreshObj = $(pullrefreshSelector),
	        filterItemTap = false, //是否点击了筛选条件
	        h5_jstjhy_plugin = __webpack_require__(19),
	        mapUtil = h5_jstjhy_plugin.map,
	        currentPosition = {},
	        parkPosition = {}, //车场位置
	        main = {
	            init: function () {
	                if ($.os.plus && window.plus) {
	
	                    if (callby != 'native') {
	                        if (stringUtil.isEmpty(parkId)) {
	                            parkId = plus.webview.currentWebview().stationId;
	                        }
	
	                    }
	                }
	
	                var self = this;
	
	
	                if ($.os.app) {
	                    mapUtil.getCurrentPosition(function (data) {
	                        currentPosition = data;
	                        self.getParkDetail();
	                        self.bindEvent();
	                        self.initPullRefresh(); //初始化分页控件
	                    });
	                } else {//用于测试
	                    currentPosition = {
	                        longitude: 114.042980,
	                        latitude: 22.571480
	                    };
	                    self.getParkDetail();
	                    self.bindEvent();
	                    self.initPullRefresh(); //初始化分页控件
	                }
	
	
	            },
	            bindEvent: function () {
	
	
	                //详情和充电桩tab切换
	                $('#tabCell').on('tap', '.park-tab', function () {
	                    $('.park-tab').removeClass('tab-active');
	                    $(this).addClass('tab-active');
	                    if ($(this).hasClass('park-detail-tab')) {
	                        $('#pullCell').addClass('mui-hidden');
	                        $('#parkDetail').removeClass('mui-hidden');
	                    } else {
	                        $('#parkDetail').addClass('mui-hidden');
	                        $('#pullCell').removeClass('mui-hidden');
	                    }
	                });
	
	                //充电费率，点击
	                $('#chargePrice').bind('tap', function () {
	
	                });
	
	                //点击充电终端
	                $('#chargeList').on('tap', '.charge-item', function () {
	                    var data = $(this).attr('data'),
	                        param = {
	                            equipmentid: data,
	                        },
	                        href = constant.rootPath + '/page/park/charge_terminal_detail.html';
	                    if (callby == 'native') {
	                        window.location.href = href + "?token=" + token + "&callby=" + callby + "&equipmentid=" + param.equipmentid;
	                    } else {
	                        openWindow(href, href, param);
	                    }
	
	
	                });
	
	                /**
	                 * 到这儿去，调起导航
	                 */
	                $('#goThereBtn').bind("tap", function () {
	                    // if (stringUtil.isEmpty(currentPosition)) {
	                    // 	$.toast("获取不到设备当前位置", {
	                    // 		type: "div"
	                    // 	});
	                    // 	return;
	                    // }
	                    if (stringUtil.isEmpty(parkPosition)) {
	                        $.toast("获取不到车场位置");
	                        return;
	                    }
	                    h5_jstjhy_plugin.invokeNative({
	                        type: 2,
	                        data: {
	                            start: currentPosition,
	                            end: parkPosition
	                        },
	                        callby: callby
	                    });
	                });
	
	                // // 重写返回事件
	                // var oldBack = $.back;
	                // $.back = function () {
	                //     // if(fromIndex == '1') {
	                //     // if($.os.jstjhy) {
	                //     //调用关闭
	                //     h5_jstjhy_plugin.invokeNative({
	                //         type: 16,
	                //     });
	                //     // }
	                //     // }
	                //
	                //     oldBack();
	                // };
	
	
	            },
	            //获取充电车场详情
	            getParkDetail: function () {
	                var params = {
	                    stationid: parkId,
	
	                };
	
	                if (!stringUtil.isEmpty(searchGps)) {
	                    params.gps = searchGps;
	                } else {
	                    params.gps = currentPosition.longitude + ',' + currentPosition.latitude;
	                }
	
	                postData('tld/charge/queryStationDetail', params, function (res) {
	                    if (res.code == '200') {
	
	                        var gps = {
	                            longitude: res.data.stationlng,
	                            latitude: res.data.stationlat
	                        };
	                        parkPosition = gps;
	                        parkPosition.address = res.data.address;
	                        var parkIconClass = "";
	                        if (!stringUtil.isEmpty(res.data.stationtype)) {
	
	                            if (res.data.stationtype == '1') {//公共站
	                                parkIconClass = 'icon-ggz';
	                            } else if (res.data.stationtype == '50') {//个人站
	                                parkIconClass = 'icon-grz';
	                            } else if (res.data.stationtype == '100' || res.data.stationtype == '101' || res.data.stationtype == '102' || res.data.stationtype == '103') {
	                                parkIconClass = 'icon-zyz';
	                            } else {
	                                parkIconClass = 'icon-zdz';
	                            }
	                        }
	
	                        $('#parkName').html(res.data.stationname)//充电场名称
	                        $('#parkAdr').html(res.data.address)//充电场地址
	                        $('#parkIcon').addClass(parkIconClass)//充电场类别图标
	
	                        if ($.os.plus) {
	
	                            main.conertDistance(stringUtil.isEmpty(res.data.rate) ? "0" : res.data.rate)//充电场距离
	                        }
	
	                        $('#parkSpance').html('共' + res.data.equipmentnum + '位')//充电场车位数
	
	                        $('#chargePrice').html(res.data.electricityfee);//单价
	                        $('#fwPrice').html(res.data.servicefee);//服务费
	                        $('#onTime').html(res.data.businehours);//营业时间
	                        $('#kfPhone').html('<a class="data-phone" href="tel:' + res.data.servicetel + '"><i class="phone-icon"></i>' + res.data.servicetel + '</a>');//客服电话
	
	
	                        main.drawRound(res.data.equipmentnum, res.data.balancenum);//圆环
	
	                        if (!stringUtil.isEmpty(res.data.pictures)) {
	                            main.createSlider(res.data.pictures.split(','));
	                        } else {
	                            $('#sliderCell').addClass('mui-hidden');
	                        }
	
	                    }
	                });
	            },
	            //创建轮播图
	            createSlider: function (list) {
	                console.log(list)
	                var firstHtml = '', lastHtml = '', html = '', itemHtml = '';
	
	                if (list.length > 1) {
	                    for (var i = 0; i < list.length; i++) {
	
	                        if (i == 0) {
	                            firstHtml = '<div class="mui-slider-item"><img src="' + list[list.length - 1] + '" /></div>';
	                            itemHtml += '<div class="mui-indicator mui-active"></div>';
	                        } else {
	                            itemHtml += '<div class="mui-indicator"></div>';
	                        }
	
	                        if (i == list.length - 1) {
	                            lastHtml = '<div class="mui-slider-item"><img src="' + list[0] + '" /></div>';
	                        }
	                        html += '<div class="mui-slider-item"><img src="' + list[i] + '" /></div>';
	
	                    }
	
	                    html = '<div class="mui-slider-group mui-slider-loop">' + firstHtml + html + lastHtml + "</div>" + '<div class="mui-slider-indicator">' + itemHtml + "</div>"
	
	                } else {
	                    html = '<div class="mui-slider-group"><div class="mui-slider-item"><img src="' + list[0] + '" /></div></div>';
	                }
	
	                $('#sliderCell').html(html);
	                var gallery = $('.mui-slider'); //初始化轮播组件。
	                gallery.slider({
	                    interval: 5000 //自动轮播周期，若为0则不自动播放，默认为0；
	                });
	            },
	            /**
	             * 获取两点之间的地理位置
	             * @param {Object} startObj
	             * @param {Object} endObj
	             */
	            getDistance: function (startObj, endObj) {
	                __webpack_require__(19).invokeNative({
	                    type: 12,
	                    data: {
	                        start: startObj,
	                        end: endObj
	                    },
	                    callby: callby
	                }, function (res) {
	                    var nativeDistance = main.conertDistance(res.data);
	                    $('#parkDistance').html(nativeDistance);
	                });
	
	            },
	
	            /**
	             * 将距离加上单位
	             * @param {Object} distanceStr
	             */
	            conertDistance: function (distance) {
	                $('#parkDistance').html('距您' + __webpack_require__(16).parseDistance(distance));
	            },
	            /**
	             * 初始化上拉下拉刷新
	             */
	            initPullRefresh: function () {
	                $.init({
	                    pullRefresh: {
	                        indicators: false,
	                        container: pullrefreshSelector,
	                        up: {
	                            contentinit: '',
	                            auto: true,
	                            contentdown: $.os.plus && $.os.android ? "正在加载" : "",
	                            callback: this.pullupRefresh
	                        }
	                    }
	                });
	                if ($.os.plus) {
	                    $.plusReady(function () {
	                        setTimeout(function () {
	                            pullrefreshObj.pullRefresh().pullupLoading();
	                        }, 50);
	                    });
	                } else {
	                    $.ready(function () {
	                        pullrefreshObj.pullRefresh().pullupLoading();
	                    });
	                }
	            },
	            /**
	             * 上拉加载具体业务实现
	             */
	            pullupRefresh: function () {
	                main.handRefresh();
	            },
	
	            /**
	             * 处理分页参数及页面加载等
	             */
	            handRefresh: function (type) {
	                $("#noRecord").addClass("mui-hidden"); //将没有停车记录的图片隐藏
	                if (filterItemTap) {
	                    //排序字段点击之后重置刷新控件，且将页面滚动至顶部
	                    //					pullrefreshObj.pullRefresh().enablePullupToRefresh();
	                    pullrefreshObj.pullRefresh().scrollTo(0, 0);
	                    filterItemTap = false;
	                } else {
	                    //初次加载时，根据接收的参数tab默认显示激活状态
	                    $(".rec-type").removeClass("active");
	                    var activeNum = parseInt(status) - 3; //根据传入的状态计算出tab的下标
	                    $(".rec-type").eq(activeNum).addClass("active");
	                }
	                if ("down" == type) {
	                    requestPara.pageno = 0;
	                }
	                requestPara.ordstatus = status;
	                var param = requestPara,
	                    /**
	                     * 结束刷新数据
	                     * @param {Object} endpull
	                     */
	                    endRefresh = function (endpull) {
	                        "down" == type ? pullrefreshObj.pullRefresh().endPulldownToRefresh() : pullrefreshObj.pullRefresh().endPullupToRefresh(endpull);
	                    },
	
	                    handleResp = function (res) {
	                        console.log(res)
	                        var html = recListEle.html(),
	                            endpull = false, //true表示没有更多数据了
	                            resultdata = res.data.pileList, //停车信息数组
	                            dataLength = (resultdata && resultdata.length) || 0;
	
	                        if (dataLength < requestPara.pagesize) {
	                            //如果返回数据列表条码< 每页显示的条数，则认为没有更多数据了
	                            endpull = true;
	                            if (requestPara.pageno == 0 && "down" != type) {
	
	                                //此时条件已经是没有更多数据了，而且请求的是第一页，则将上拉禁用
	                                pullrefreshObj.pullRefresh().disablePullupToRefresh();
	                            }
	                        } else {
	                            requestPara.pageno++;
	                        }
	
	                        if (dataLength > 0) {
	                            main.createList(resultdata);
	
	                        }
	
	                        if (dataLength == 0 && requestPara.pageno == 0) { //如果没有数据并且是第一页时，就将没有数据的图片显示出来。
	                            $("#noRecord").removeClass("mui-hidden");
	                        }
	                        //pullrefreshObj.pullRefresh().disablePullupToRefresh(); //先不做分页
	                        endRefresh(endpull);
	                    };
	                if (requestPara.pageno == 0 || "down" == type) {
	                    //如果是请求第一页 或是 下拉刷新页面，则将页面元素先清空
	                    recListEle.html("");
	                }
	                postData(method, param, handleResp, function () {
	                    endRefresh(false);
	                }, {
	                    showWait: true
	                });
	            },
	
	            //创建列表
	            createList: function (ordlist) {
	                var recListHtml = "";
	                var recListTpl = '<li class="charge-item" data="{{equipmentid}}"><div class="charge-num">{{chargeNum}}</div><div class="charge-mes"><p class="charge-code">终端编号：{{chargeCode}}</p><p class="charge-type">{{chargeName}}&nbsp;&nbsp;{{chargeType}}</p></div><div class="charge-state {{chargeState}}"><p class="state-txt">{{stateTxt}}</p></div></li>';
	                var chargeStateTxt = '';
	                var chargeStateClass = '';
	                $.each(ordlist, function (key, val) {
	                    //定义渲染模板
	
	                    switch (val.status) {
	                        case '0':
	                            chargeStateTxt = '离网';
	                            chargeStateClass = '';
	                            break;
	                        case '1':
	                            chargeStateTxt = '空闲';
	                            chargeStateClass = 'state-on';
	                            break;
	                        case '2':
	                            chargeStateTxt = '已插枪';
	                            chargeStateClass = 'state-charging';
	                            break;
	                        case '3':
	                            chargeStateTxt = '充电中';
	                            chargeStateClass = 'state-charging';
	                            break;
	                        case '4':
	                            chargeStateTxt = '锁定';
	                            chargeStateClass = 'state-charging';
	                            break;
	                        case '255':
	                            chargeStateTxt = '故障';
	                            break;
	                    }
	
	
	                    recListHtml = recListTpl.replace('{{chargeNum}}', val.equipmentname)
	                        .replace('{{chargeCode}}', val.equipmentid)
	                        .replace('{{equipmentid}}', val.equipmentid)
	                        .replace('{{chargeName}}', stringUtil.isEmpty(val.nationalstandard) ? '未知' : val.nationalstandard == "1" ? '国标2011' : '国标2015')
	                        .replace('{{chargeType}}', stringUtil.isEmpty(val.equipmenttype) ? '未知' : val.equipmenttype)
	                        .replace('{{chargeState}}', chargeStateClass)
	                        .replace('{{stateTxt}}', chargeStateTxt);
	
	                    recListEle.append(recListHtml);
	                });
	            },
	            //画圆-车位数
	            drawRound: function (all, less) {
	                var fontSize = $("html")[0].style.fontSize;
	                var canvas = document.getElementById('canvas'), //获取canvas元素
	                    context = canvas.getContext('2d'), //获取画图环境，指明为2d
	                    centerX = canvas.width / 2, //Canvas中心点x轴坐标
	                    centerY = canvas.height / 2, //Canvas中心点y轴坐标
	                    R0 = 30, //圆半径
	                    rad = Math.PI * 2 / all; //将360度分成time份，那么每一份就是rad度
	                fontSize = parseFloat(fontSize);
	                context.clearRect(0, 0, 2 * centerX, 2 * centerY);
	
	                underCircle();
	                bigCircle(less);
	
	                //绘制上层圈
	                function bigCircle(n) {
	                    context.save();
	                    context.strokeStyle = "#03CF6F";
	                    context.lineWidth = 6; //设置线宽
	                    context.beginPath(); //路径开始
	                    context.arc(centerX, centerX, R0, -Math.PI / 2, -Math.PI / 2 + n * rad, false); //用于绘制圆弧context.arc(x坐标，y坐标，半径，起始角度，终止角度，顺时针/逆时针)
	                    context.stroke(); //绘制
	                    context.closePath(); //路径结束
	                    context.restore();
	                    context.font = 'normal normal 600 19'
	                    context.fillStyle = '#03CF6F';
	                    context.textAlign = 'center';
	                    context.fillText(n, 35, 33);
	                    context.fillText('空', 35, 46);
	
	                };
	
	                //绘制底圈
	                function underCircle() {
	                    context.save();
	                    context.strokeStyle = "#D9D9D9";
	                    context.lineWidth = 6; //设置线宽
	                    context.beginPath(); //路径开始
	                    context.arc(centerX, centerY, R0, 0, 2 * Math.PI, true); //用于绘制圆弧context.arc(x坐标，y坐标，半径，起始角度，终止角度，顺时针/逆时针)
	                    context.stroke(); //绘制
	                    context.closePath(); //路径结束
	                    context.restore();
	                }
	
	            },
	        };
	
	    if ("native" == callby) {
	
	        if ($.os.android) {
	            $.initComplete(function () {
	
	                main.init();
	            });
	        } else {
	            main.init();
	        }
	
	    } else {
	        $.initComplete(function () {
	
	            main.init();
	        });
	
	    }
	
	})(mui)


/***/ })
]);
//# sourceMappingURL=charge_park_info.js.map