webpackJsonp([32],{

/***/ 0:
/***/ (function(module, exports, __webpack_require__) {

	/**
	 * 忘记密码了，显示银行卡列表
	 * version:1.0.1
	 * created by Max/jingming.li@jieshunpay.cn
	 */
	__webpack_require__(1);
	(function($) {
	
		var fromPage = requestURL.getParameter("fromPage"), //标识从哪个页跳转过来，入口包括支付时忘记密码
			addCardEle = $("#addCard"), //添加铵钮
			cardListEle = $("#cardList"), //银行卡列表
			cardListHtmlTpl = '<li class="card-item icon-right" pcardcode="{{pCardCode}}" pBankCode="{{pBankCode}}" pcardtype="{{pCardType}}" pcardholder="{{pCardholder}}" pbankname="{{pBankName}}"><img class="card-img" src="{{imagePath}}"><div class="card-info"><span class="card-name">{{bankName}}{{cardNoText}}</span> <span class="card-type">{{cardTypeText}}</span></div></li>',
			main = {
				//初始化执行
				init: function() {
					var self = this;
					self.getData();
					self.bindEvent();
				},
	
				//获取用户绑定银行卡列表
				getData: function() {
	
					if(login.getUserInfo().certification == 0) {
						// 未实名状态下显示未绑定银行卡提示
						cardListEle.html("未绑定银行卡");
						return;
					}
	
					if(login.getUserInfo().isPaypwd == 0) {
	
						cardListEle.html("请先设置支付密码");
						return;
					}
	
					postData(constant.appPreHttpServer.concat("app/rest/userBindBkCards"), {}, main.handleData);
				},
	
				//处理数据回调
				handleData: function(data) {
	
					if(data.resType == "00") {
	
						var result = data.bindBkCardList,
							listLen = (result && result.length) || 0,
							htmls = '';
	
						for(var i = 0; i < listLen; i++) {
							var dataItem = result[i],
								bankCardType = dataItem.bankCardType,
								bankCardCode = dataItem.bankCardCode,
								bankName = dataItem.bankName,
								bankCardName = dataItem.bankCardName, //持卡人姓名
								bankCode = dataItem.bankCode, //银行编码
								imagePath = dataItem.imagePath || "../../img/icon/".concat(__webpack_require__(35).getBankLogo(bankCode).logo), //支付卡图标路径
								cardNoText = stringUtil.infoProtectDeal({
									targetStr: bankCardCode,
									cipherLen: 3,
									keepEnd: 4
								}),
								cardTypeText = "";
	
							switch(bankCardType) {
								case "01":
									cardTypeText = "储蓄卡";
									break;
								case "02":
									cardTypeText = "信用卡";
									break;
								default:
									break;
							}
							if(bankCardType != "04") {
								htmls += cardListHtmlTpl.replace("{{pCardCode}}", bankCardCode)
									.replace("{{imagePath}}", imagePath)
									.replace("{{pBankCode}}", bankCode)
									.replace("{{pBankName}}", bankName)
									.replace("{{pCardType}}", bankCardType)
									.replace("{{pCardholder}}", stringUtil.infoProtectDeal({
										targetStr: bankCardName,
										keepEnd: 1
									}))
									.replace("{{bankName}}", bankName)
									.replace("{{cardNoText}}", cardNoText)
									.replace("{{cardTypeText}}", cardTypeText);
							}
						}
						cardListEle.html(htmls);
	
						if(!stringUtil.isEmpty(htmls)) {
							$("#cardListTip").show();
							cardListEle.show();
						}
	
					} else {
						$.toast(data.msgContent);
					}
	
				},
	
				//绑定事件监听
				bindEvent: function() {
	
					var gotoBindPage = function(param) {
						var href = 'public/account/account_bindcard.html',
							open = function() {
								openWindow(href, href, param);
							};
						if($.os.plus && window.plus) {
	
							//APP环境需传当前WEBVIEWID
							$.plusReady(function() {
								param.fromPageId = plus.webview.currentWebview().id;
								open();
							});
						} else {
							open();
						}
					};
	
					//点击银行卡跳转至解绑页面
					cardListEle.on("tap", ".card-item", function() {
						var pCardCode = $(this).attr("pCardCode"),
							pCardType = $(this).attr("pCardType"),
							pCardholder = $(this).attr("pCardholder"),
							pBankCode = $(this).attr("pBankCode"),
							pBankName = $(this).attr("pBankName");
	
						gotoBindPage({
							bindType: 2,
							doneAction: "forward",
							toPage: fromPage,
							pCardCode: pCardCode,
							pCardType: pCardType,
							pCardholder: pCardholder,
							pBankName: pBankName,
							pBankCode: pBankCode
						});
	
					});
	
					/**
					 * 添加银行卡
					 */
					addCardEle.bind("tap", function() {
						gotoBindPage({
							bindType: 4,
							isadd: 1,
							doneAction: "forward",
							toPage: fromPage
						});
	
					});
	
				}
			};
		$.initComplete(function() {
			main.init();
		});
	
	})(mui);
	//end

/***/ }),

/***/ 35:
/***/ (function(module, exports) {

	/**
	 * 资源 API
	 * version:1.0.1
	 * created by Fizz/gangheng.huang@jieshun.cn
	 */
	module.exports = (function($) {
		var returnResult = {};
	
		/**
		 * 获取银行logo信息
		 * type为银行编码 如ICBC/ABC
		 */
		returnResult.getBankLogo = function(type) {
			var redColor = "#f25555";       // 红色
			var greenColor = "#17a982";     // 绿色
			var blueColor = "#4a7dbc";      // 蓝色
			var purpleColor = "#75338f";    // 紫色
			var yellowColor = "#e95b20";    // 黄色
			var bankColor = [{"name":"中国工商银行","color":redColor,"cardBin":"ICBC","logo":"gongs.png",},{"name":"农业银行","color":greenColor,"cardBin":"ABC","logo":"nongy.png",},{"name":"建设银行","color":blueColor,"cardBin":"CCB","logo":"jians.png",},{"name":"招商银行","color":redColor,"cardBin":"CMB","logo":"zhaos.png",},{"name":"交通银行","color":blueColor,"cardBin":"BCM","logo":"jiaot.png",},{"name":"中国银行","color":redColor,"cardBin":"BOC","logo":"zhongg.png",},{"name":"兴业银行","color":blueColor,"cardBin":"CIB","logo":"xingy.png",},{"name":"民生银行","color":greenColor,"cardBin":"CMBC","logo":"mings.png",},{"name":"光大银行","color":purpleColor,"cardBin":"CEB","logo":"guangd.png",},{"name":"中信银行","color":redColor,"cardBin":"CITIC","logo":"zhongx.png",},{"name":"邮政储蓄","color":greenColor,"cardBin":"PSBC","logo":"youz.png",},{"name":"广发银行","color":redColor,"cardBin":"GDB","logo":"guangf.png",},{"name":"浦发银行","color":blueColor,"cardBin":"SPDB","logo":"puf.png",},{"name":"平安银行","color":yellowColor,"cardBin":"PAB","logo":"pinga.png",},{"name":"华夏银行","color":redColor,"cardBin":"HXB","logo":"huax.png",},{"name":"渤海银行","color":greenColor,"cardBin":"CBHB","logo":"boh.png",},{"name":"徽商银行","color":redColor,"cardBin":"HSB","logo":"huis.png",},{"name":"浙商银行","color":redColor,"cardBin":"CZB","logo":"zhes.png",},{"name":"北京银行","color":redColor,"cardBin":"BOB","logo":"beij.png",}];
			var defaultStyle = {"name":"","color":yellowColor,"cardBin":"","logo":"default.png"};
			$.each(bankColor, function(key, val) {
				if(val.cardBin == type){
					bankColor = val;
					return false;
				}
			});
			if(typeof(bankColor.length) == "number"){
	            bankColor = defaultStyle;  
	        }
			return bankColor;
		};
	
		return returnResult;
	})(mui);

/***/ })

});
//# sourceMappingURL=forget_pay_pwd.js.map