webpackJsonp([39],{

/***/ 0:
/***/ (function(module, exports, __webpack_require__) {

	/**
	 * APP入口
	 * version:1.0.1
	 * created by Max/jingming.li@jieshunpay.cn
	 */
	__webpack_require__(1);
	window.lanuch = (function($) {
		var subpages = __webpack_require__(36).footerUrls,
			fontSize = parseInt(document.getElementsByTagName("html")[0].style.fontSize),
			subpage_style = {
				top: '0',
				bottom: '0'
			},
			aniShow = {},
			currentWebviewId = "", //当前WebView的ID
			httpUrl = constant.base,
			activeTab = subpages[0], //当前激活选项
			roadParkId = "", //正在路边停车的订单ID
			main = {
				//初始化执行
				init: function() {
					var self = this;
					window.push = __webpack_require__(26);
					self.initJsNative();
					self.initPage();
					self.bindEvent();
	
	
				},
				initPage: function() { //创建子页面
					// 隐藏滚动条
					plus.webview.currentWebview().setStyle({
						scrollIndicator: 'none'
					});
	
					var selfWebview = plus.webview.currentWebview();
					currentWebviewId = selfWebview.id;
					for(var i = 0; i < subpages.length; i++) {
						var temp = {};
						var id = subpages[i];
						var pageUrl = httpUrl + id;
						var sub = plus.webview.create(pageUrl, id, subpage_style);
						if(i > 0) {
							sub.hide();
						} else {
							temp[subpages[i]] = "true";
							$.extend(aniShow, temp);
	
						}
						selfWebview.append(sub);
					}
	
					setTimeout(function() {
						plus.navigator.closeSplashscreen();
					}, 200);
				},
	
				/**
				 * 初始化JS-原生交互
				 */
				initJsNative: function() {
	
					var _self = this;
	
					__webpack_require__(19).invokeNative({
						type: 5,
						showTab: true
					}, function(res) {
						//接收到推送回调
						push.receive(res);
					});
				},
	
				/**
				 * 显示哪个子页面
				 * @param {Object} index
				 */
				showTab: function(index) {
					if(index < 0 || index > 2) {
						return;
					}
	
					var targetTab = subpages[index];
	
					console.log("activeTab:" + activeTab + ",targetTab:" + targetTab);
	
					///有未读消息是，红点显示的tab
					if(index == 2) { //我的tab不显示红点
						postData("msg/myMessages", {}, function(res) {
	
						}, null, {
							showWait: false,
							errorToast: false
						});
						main.removeTipRed();
	
					} else { //非我的tab显示红点
						main.getTipData();
					}
	
					if(targetTab == activeTab || index == 1) {
						return;
					}
	
					//显示目标选项卡
					//若为iOS平台或非首次显示，则直接显示
					if($.os.ios || aniShow[targetTab]) {
						plus.webview.show(targetTab);
					} else {
						//否则，使用fade-in动画，且保存变量
						var temp = {};
						temp[targetTab] = "true";
						$.extend(aniShow, temp);
						plus.webview.show(targetTab, "fade-in", 300);
	
					}
	
					console.log(targetTab + " has showed");
	
					//刷新数据
					$.fire(plus.webview.getWebviewById(targetTab), "refreshData");
	
					//隐藏当前;
					plus.webview.hide(activeTab);
					//更改当前活跃的选项卡
					activeTab = targetTab;
	
				},
	
				getTipData: function(callback) {
					//				main.addTipRed();
	
					if(login.isLogin()) {
						postData("home/info", {}, function(res) {
							var redDot = res.data.redDot;
							if(redDot > 0) {
								//显示小红点
								main.addTipRed();
							} else {
								main.removeTipRed();
							}
						}, null, {
							showWait: false,
							errorToast: false
						});
					}
				},
	
				/**
				 * 有新的消息提示，标红点提示
				 */
				addTipRed: function() {
					__webpack_require__(19).invokeNative({
						type: 6,
						show: true
					});
				},
	
				/**
				 * 移除标红点提示
				 */
				removeTipRed: function() {
					__webpack_require__(19).invokeNative({
						type: 6,
						show: false
					});
				},
				
	
				//绑定事件监听
				bindEvent: function() {
					var self = this,
	
						/**
						 * 模拟点击Tab
						 * @param {Object} toIndex
						 */
						triggerTab = function(toIndex) {
	
							var toIndex = Number(toIndex || 0),
								_targetTab = subpages[toIndex];
							if(toIndex < 0 || toIndex > 2) {
								return;
							}
	
							if(_targetTab == activeTab) {
								//刷新数据
								$.fire(plus.webview.getWebviewById(_targetTab), "refreshData");
							}
							self.showTab(toIndex);
	
							__webpack_require__(18).closeLanuchOther(plus.webview.currentWebview(), 300);
	
						};
	
					//WEBVIEW自定义事件------------------------Begin---------------------------
	
					//切换选项卡
					window.addEventListener('changeTab', function(event) {
	
						console.log("lanuch.html changeTab--event " + JSON.stringify(event.detail));
	
						triggerTab(event.detail.toIndex);
					});
	
					//显示选项卡
					window.addEventListener('showTab', function(event) {
	
						console.log("lanuch.html showTab--event " + JSON.stringify(event.detail));
						main.showTab(event.detail.toIndex);
					});
	
					//接收推送消息
	//				window.addEventListener('getPush', function(event) {
	//					
	//					alert("addEvent：" + JSON.stringify(event.detail.data));
	//
	//					console.log("smartpark_lanuch.html getPush--event " + JSON.stringify(event.detail));
	//					push.receive(event.detail.data);
	//				});
	
					//登录成功之后刷新数据
					window.addEventListener('loginSuccess', function(event) {
	
						console.log("lanuch.html loginSuccess--event");
	
						var toRefreshPageId = event.detail.toRefreshPageId,
							toIndex = event.detail.toIndex;
	
						triggerTab(toIndex);
	
						//刷新数据，是否有新消息提示
						if(toIndex != 2) {
							main.getTipData();
						}
	
					});
	
					//退出登录
					window.addEventListener('logout', function(event) {
	
						console.log("lanuch.html logout--event");
	
						$.fire(plus.webview.getWebviewById(subpages[2]), "logout");
					});
	
					//刷新数据
					window.addEventListener('refreshData', function(event) {
	
						console.log("lanuch.html refreshData--event");
	
						$.fire(plus.webview.getWebviewById(activeTab), "refreshData");
					});
					
					//初始化消息推送事件
					window.addEventListener('initPushData', function(event) {
	//					alert("lanuch.html initPushData--event");
						main.initJsNative();
					});
	
					//WEBVIEW自定义事件------------------------End---------------------------
				},
	
				back: function() {
	
					var topWeb = plus.webview.getTopWebview();
	
					topWeb.evalJS('mui&&mui.back();');
				}
			};
		$.initComplete(function() {
			main.init();
		});
		return main;
	})(mui);
	//end

/***/ }),

/***/ 26:
/***/ (function(module, exports, __webpack_require__) {

	/**
	 * 推送
	 * version:1.0.1
	 * created by Max/jingming.li@jieshunpay.cn
	 */
	module.exports = (function($) {
	
		return {
			init: function() {
				var _self = this;
				$.plusReady(function() {
	
					console.log("begin push init");
	
					_self.getPushInfo();
	
					__webpack_require__(19).invokeNative({
						type: 5
					}, function(res) {
	
						_self.receive(res);
					});
				});
			},
			getPushInfo: function() {
				//			var info = plus.push.getClientInfo();
				//			$.alert("获取客户端推送标识信息：" + JSON.stringify(info));
			},
	
			receive: function(jsonObj) {
	//			alert("-->"+JSON.stringify(jsonObj))
				if(jsonObj) {
					this.handlePush(jsonObj);
				}
			},
	
			handlePush: function(msg) {
	
	//			$.alert("接收消息内容:" + JSON.stringify(msg));
	
				var handler = {
					/**
					 * 刷新停车状态数据，涉及到的页面为当前应用显示栈顶的WebviewObject窗口对象、首页
					 * @param {Object} orderId
					 */
					refreshParkStatus: function(orderId) {
	
						var lanuchWeb = __webpack_require__(18).getLaunchWebview(),
							topWeb = plus.webview.getTopWebview();
	
						$.fire(lanuchWeb, "refreshData");
	
						var topUrl = topWeb.getURL();
						if(topUrl.indexOf("page/car/park_stop.html") != -1 || topUrl.indexOf("page/car/road_stop.html") != -1 || topUrl.indexOf("page/car/park_detail.html") != -1) {
							$.fire(topWeb, "refreshData", {
								orderId: orderId
							});
						}
	
					}
				};
	
				var content = msg;
				if(!stringUtil.isEmpty(content)) {
					try {
	
						//					content = JSON.parse(content);
	
						var msgCode = content.msgCode,
							msgData = content.msgData,
							msgContent = content.msgContent;
	
						switch(msgCode) {
							case "5999":
								//普通弹窗通知
								if(stringUtil.isEmpty(msgContent)) {
									return;
								}
								plus.nativeUI.alert(msgContent);
	
								break;
	
							case "6001": //入场
							case "6002": //准备超时
							case "6003": //已超时
							case "6004": //离场
							case "6006": //开始充电
							case "6007": //结束充电
							case "6008": //异常结束充电
	
								if(typeof(msgData) != "object") {
									msgData = JSON.parse(msgData);
								}
	
								var orderId = msgData.orderId; //订单号
								handler.refreshParkStatus(orderId);
								break;
							default:
								break;
						}
	
					} catch(e) {
						//TODO handle the exception
					}
				}
			}
		};
	
	})(mui);

/***/ }),

/***/ 36:
/***/ (function(module, exports, __webpack_require__) {

	/**
	 * 配置常用的页面跳转地址
	 * version:1.0.1
	 * created by Max/jingming.li@jieshunpay.cn
	 */
	
	var constant = __webpack_require__(4);
	module.exports = function() {
		var indexURL = "page/home/index.html", //APP首页
			accountURL = "app" == constant.appName ? "page/account/account.html" : "page/account/account.html"; //个人中心首页
		return {
			indexURL: indexURL, //APP首页
			loginURL: "page/home/login.html", //登录页
			accountURL: accountURL, //个人中心首页
			setURL: "page/account/set.html", //设置页面
			forgetPaypwdURL: "forget_pay_pwd.html", //忘记了支付密码跳转的页面
			footerUrls: ["page/home/index.html", "page/home/nearby.html", accountURL],
			smartparkFooterUrls: ["page/home/index.html", "smartpark/home/smartpark_nearby_app.html", "smartpark/home/smartpark_more.html"],
			weixinHeaderFilter: ["page/park/park_list.html", "page/car/road_stop.html"]
		};
	}();

/***/ })

});
//# sourceMappingURL=lanuch.js.map