webpackJsonp([40],[
/* 0 */
/***/ (function(module, exports, __webpack_require__) {

	/**
	 * 登录
	 * version:1.0.1
	 * created by Max/jingming.li@jieshunpay.cn
	 */
	__webpack_require__(1);
	(function ($) {
	
		var isFromSetting = requestURL.getParameter("isFromSetting"), //是否从设置页面退出过来
			mobileEle = $("#mobile"),
			disagreeBtn = $("#disagreeBtn"), //不同意
			agreeBtn = $("#agreeBtn") //同意
		pwdEle = $("#pwd"),
			loginBtnEle = $("#loginBtn"),
			mobileErrorTipEle = $("#mobileErrorTip"),
			pwdErrorTipEle = $("#pwdErrorTip"),
			mobileLen = 11,
			pwdLimit = 8,
			pwdMax = 18,
			InputValidators = __webpack_require__(15),
			h5_jstjhy_plugin = __webpack_require__(19),
			_userId = "",
			_username = "",
			main = {
				//初始化执行
				init: function () {
					var self = this;
	
					self.bindEvent();
				},
	
				//验证输入项是否合规
				validate: {
	
					/**
					 * 验证手机号
					 */
					validateMobile: function () {
						var validators = InputValidators.getInputValidators();
						validators.addValidator('isNoEmpty', mobileErrorTipEle, APPwarn.mobile.none, mobileEle.val().replace(/\D/g, "")); // 验证是否为空
						validators.addValidator('isValidMobile', mobileErrorTipEle, APPwarn.mobile.err, mobileEle.val().replace(/\D/g, "")); // 验证是否为手机号码
						return this.check(validators, mobileErrorTipEle);
					},
	
					/**
					 * 验证密码
					 */
					validatePwd: function () {
						var validators = InputValidators.getInputValidators();
						validators.addValidator('isNoEmpty', pwdErrorTipEle, APPwarn.password.none, pwdEle.val()); // 验证是否为空
						//					validators.addValidator('isErrorLenPwd', pwdErrorTipEle, APPwarn.password.len, pwdEle.val()); // 验证密码是否足够长度
						return this.check(validators, pwdErrorTipEle);
					},
	
					/**
					 * 开始验证
					 * @param {Object} validators
					 */
					check: function (validators, tipEle) {
						var result = validators.check();
	
						if (result) {
							result.element.addClass("error").html(result.errMsg);
						} else {
							tipEle && tipEle.removeClass("error").html("");
						}
	
						return result;
					},
	
					checkAll: function () {
						return this.validateMobile() || this.validatePwd();
					}
				},
	
				//绑定事件监听
				bindEvent: function () {
					var self = this;
	
					//限制输入长度
					InputValidators.limitInputLength(mobileEle, mobileLen, "number"); //因为要格式化显示手机号，所以多了两个空格，长度变为13
					InputValidators.limitInputLength(pwdEle, pwdMax);
	
					// 检查输入的手机号码是否合法
					mobileEle.bind("input", function () {
						var realvalue = this.value.replace(/\D/g, "");
						if (mobileLen == realvalue.length) {
							//用户输完11位之后，验证
							self.validate.validateMobile();
						} else {
							mobileErrorTipEle.removeClass("error").html("");
						}
						//					$(this).val(stringUtil.FormatNumber(realvalue, "mobile")); // 手机号码格式化
					});
	
					// 检查输入的密码是否合法
					pwdEle.bind("input", function () {
						pwdErrorTipEle.removeClass("error").html("");
						if (stringUtil.isEmpty($(this).val())) {
	
							$(this.parentNode).find(".mui-icon.mui-icon-eye").hide();
						} else {
							//输入不为空的时候，把可见图标显示出来
							$(this.parentNode).find(".mui-icon.mui-icon-eye").show();
						}
					});
	
					//忘记密码，注册跳转
					$(".page-href").bind("tap", function () {
						var href = $(this).data("href");
						if (!stringUtil.isEmpty(href)) {
							if (!stringUtil.isURL(href)) {
								href = constant.rootPath + href;
							}
							var param = {
								isFromSetting: isFromSetting
	
							};
							if ($.os.plus && window.plus) {
								param.loginPageId = plus.webview.currentWebview().id;
								param.fromPageId = plus.webview.currentWebview().fromPageId;
							}
	
							openWindow(href, href, param);
						}
					});
					//点击不同意
					disagreeBtn.bind("tap", function () {
						self.closeLoginPage();
					})
					//点击同意
					agreeBtn.bind("tap", function () {
						$("#maskDiv").hide()
						$("#maskRegisterDiv").hide()
					})
	
					// 提交登陆信息
					loginBtnEle.bind("tap", function () {
	
						if ($(this).hasClass("disabled")) {
							return;
						}
	
						if (self.validate.checkAll()) {
							return false;
						}
	
						var mobile = mobileEle.val().replace(/\D/g, ""),
							pwd = __webpack_require__(10).encryptPwd(pwdEle.val());
						postData("member/login", {
							mobile: mobile,
							password: pwd
						}, function (res) {
	
							var token = res.data.token || "",
								appKey = res.data.appkey || "",
								merchantName = res.data.merchantName || "", // 免密支付商户名称
								amount = res.data.amount || ""; // 免密支付额度
	
	
							if (stringUtil.isEmpty(token) || stringUtil.isEmpty(appKey)) {
								$.toast("登录出错啦,获取TOKEN|key为空");
								return;
							}
	
							local.setItem("token", token);
							local.setItem("md5key", appKey);
							local.setItem("merchantName", merchantName);
							local.setItem("amount", amount);
	
							login.setLoginParameter(mobile, pwd);
							login.updateUserInfo(function (data) {
								local.setItem("token", token);
								local.setItem("md5key", appKey);
								login.setLoginParameter(mobile, pwd);
								// 2020/03/18 获取用户id及用户名
										_userId = data.userId;
	                  // _username = data.username;
	                  // 2020/05/20 解决-登录赠送的优惠券领取后，后台不显示领取用户
	                  _username = data.acctName  // 使用手机号
								_username = data.username;
	
								// if ($.os.plus && window.plus) {
								//将数据写入APP缓存
								h5_jstjhy_plugin.invokeNative({
									type: 15,
									operation: "add",
									value: token,
									key: "token"
								});
	
								h5_jstjhy_plugin.invokeNative({
									type: 15,
									operation: "add",
									value: appKey,
									key: "md5key"
								});
	
								h5_jstjhy_plugin.invokeNative({
									type: 15,
									operation: 'add',
									value: JSON.stringify(data),
									key: 'userInfo'
								})
								// }
								postData(
									constant.couponHttpServer.concat('open/coupon/login'),
									{
										userId: _userId,
										username: _username
									},
									function (data) {
										if (data.code == '0') {
											if (data.data.length > 0) { // 存在登录要领取的优惠券
												var htmlTpl = '<span class="money-name money-cp-name">{{cpLoginName}}</span><span class="money-num-total">共{{couponNum}}张</span>',
													htmls = '',
													couponNum = data.data.length,
													loginName = data.data[0].name;
												$(".coupon-cell").removeClass("mui-hidden");
												htmls += htmlTpl.replace("{{cpLoginName}}", loginName)
													.replace("{{couponNum}}", couponNum);
												$("#registerCoupon").html(htmls);
											} else {
												self.closeLoginPage();
											}
										}
									},
									function (err) {
										// 2020/04/08 创建3张，限领1张，第一次登录领取后，再登录提示领取完，不跳转bug
										self.closeLoginPage();
										// console.log(err);
									}
								)
								//self.closeLoginPage();
							},
								function () {
									local.clear()
									$.toast('获取用户信息出错')
								}
							)
						}
						)
					}),
						//登录成功之后，显示领取优惠劵信息，点击关闭按钮
						$(".coupon-close").bind("tap", function () {
							$(".coupon-cell").addClass("mui-hidden");
							self.closeLoginPage();
						});
					$.back = self.closeLoginPage;
				},
	
				/** 
					   * 登录方式领取优惠券
				 */
				// loginBindCP: function() {
				//    postData(
				//      constant.couponHttpServer.concat('open/coupon/login'),
				//      {
				//        userId: _userId,
				//        username: _username
				//      },
				//      function(data) {
				//        if (data.code == '0') {
				//          $.toast('优惠券已存入卡包！')
				//        } else {
				//          $.toast(data.msg)
				//        }
				//      },
				//      function(err) {
				//        console.log(err);
				//      }
				//    )
				//  },
				/**
				 * 关闭登录页
				 */
				closeLoginPage: function () {
					h5_jstjhy_plugin.invokeNative({
						type: 25
					});
					return;
				}
			};
		$.initComplete(function () {
			main.init();
		});
	
	})(mui);
	//end

/***/ })
]);
//# sourceMappingURL=login.js.map