webpackJsonp([42],[
/* 0 */
/***/ (function(module, exports, __webpack_require__) {

	__webpack_require__(1);
	(function($) {
		var localStorage = __webpack_require__(6),
			strUtil = __webpack_require__(3),
			monthCardListEle = $("#monthCardList"), //月卡
			isValid = true, // 支付订单是否有效 true-有效 false-无效
			cardInfo = JSON.parse(requestURL.getParameter('monthCardMes')) || "", //从本地拿到我的月卡里面存储的数据
			parkId = "", //车场id
			type = "", //车类型
			carNo = "", //车牌
			comboId = "", //套餐id
			month = "", //月份
			fromPageId = "", //上个页面的id
			userPicker = null, //选择器
	
			comboMonthEle = $("#comboMonth"), //页面套餐月份
			comboAmtEle = $("#comboAmt"), //页面套餐金额
			main = {
				init: function() {
					var self = this;
					self.showMonthCard();
					self.getComboList();
					self.bindEvent();
				},
				/**
				 * 页面展示月卡信息
				 */
				showMonthCard: function() {
					if(strUtil.isEmpty(cardInfo)) { //没有月卡信息时
						return;
					}
					var parkname = cardInfo.parkname, //车场名称
						valtime = cardInfo.valtime, //有效期
						remainDaysText = cardInfo.remainDaysText, //剩余天数
						monthCardId = cardInfo.monthCardId; //月卡id
					carNo = cardInfo.carNo; //车牌
					parkId = cardInfo.parkId; //车场id
					type = cardInfo.type; //车类型
					fromPageId = cardInfo.fromPageId; //上个页面的id
					var listHtmlTpl = '<li class="with-card"><div class="card-left"><p class="car-num">{{carNo}}</p><img class="card-pic" src="../../img/icon/bg_yuekh.png"/></div><div class="card-right"><p class="card-address">{{parkname}}</p><p class="card-date left-date">有效期至：{{valtime}}</p><p class="card-date">{{remainDaysText}}</p></div></li>';
					var listHtml = listHtmlTpl.replace("{{carNo}}", carNo)
						.replace("{{parkname}}", parkname)
						.replace("{{valtime}}", valtime)
						.replace("{{remainDaysText}}", remainDaysText);
					//listHtml = '<li class="with-card"><div class="card-left"><p class="car-num">粤B-23456</p><img class="card-pic" src="../../img/icon/bg_yuekh.png"/></div><div class="card-right"><p class="card-address">捷顺大厦</p><p class="card-date left-date">有效期至：2017-05-11</p><p class="card-date">剩余99天</p></div></li>';//测试使用
					monthCardListEle.html(listHtml);
				},
				/**
				 * 获取月卡套餐列表
				 */
				getComboList: function() {
					postData("monthCardCombo/list", {
						carNo: carNo,
						parkId: parkId,
						type: type
					}, function(res) {
						console.log(res)
						var comboList = res.data.comboList; //拿到套餐的数组
						var pickerData = []; //定义picker数组
						for(var k in comboList) {
							var obj = {}; //定义对象用来存放picker单条数据
							obj.value = comboList[k].month + "个月";
							obj.text = comboList[k].month + "个月&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp¥" + (comboList[k].amt/100).toFixed(2);
							obj.amt = "¥" + (comboList[k].amt/100).toFixed(2);
							obj.comboId = comboList[k].comboId;
							obj.month = comboList[k].month;
							pickerData.push(obj);
						}
						userPicker = new $.PopPicker(); //初始化popPicker
						userPicker.setData(pickerData); //设置picker参数
						var value = pickerData.length == 0 ? "" : pickerData[0].value,
							amt = pickerData.length == 0 ? "" : pickerData[0].amt;
						comboId = pickerData.length == 0 ? "" : pickerData[0].comboId;
						month = pickerData.length == 0 ? "" : pickerData[0].month;
						comboMonthEle.html(value); //页面显示默认为套餐的第一项
						comboAmtEle.html(amt);
						localStorage.removeItem("monthCardMes"); //删除本地存储
						console.log(comboId)
					});
				},
				//事件绑定
				bindEvent: function() {
					var _self = this,
						payWayEle = $("#payWay"),
						paywayItemSelector = ".payway-line",
						confirmBtn = $("#confirmBtn"),
						comboEle = $("#combo");
					/**
					 * 月卡套餐选择
					 */
					comboEle.bind("tap", function() {
						userPicker.show(function(selectItems) {
							var value = strUtil.isEmpty(selectItems[0]) ? "" : selectItems[0].value,
								amt = strUtil.isEmpty(selectItems[0]) ? "" : selectItems[0].amt;
							comboId = strUtil.isEmpty(selectItems[0]) ? "" : selectItems[0].comboId;
							month = strUtil.isEmpty(selectItems[0]) ? "" : selectItems[0].month;
							comboMonthEle.html(value); //页面显示默认为套餐的第一项
							comboAmtEle.html(amt);
							console.log(comboId)
						});
					});
					/**
					 * 支付方式选择事件
					 */
					payWayEle.on("tap", paywayItemSelector, function() {
						$(paywayItemSelector).removeClass("selected");
						$(this).addClass("selected");
						confirmBtn.attr("payChannelId", $(this).attr("payChannelId"));
						confirmBtn.attr("payType", $(this).attr("payType"));
					});
	
					/**
					 * 支付铵钮点击事件
					 */
					confirmBtn.bind("tap", function() {
						if(!$(this).hasClass("disabled")) {
							_self.commitPay($(this).attr("payChannelId"), $(this).attr("payType"));
						}
					});
	
					/**
					 * 返回事件修改（重写返回事件）
					 */
	//				$.back = function() {
	//					if(isValid) {
	//						$.confirm("确定离开吗？", "", ["确定", "再想想"], function(e) {
	//							if(e.index == 0) {
	////								_self.cancelPay(); // 取消支付
	//								$.doAction('backs'); // winExp.back();
	//							}
	//						});
	//					} else {
	//						$.doAction('backs');
	//					}
	//				};
				},
				/**
				 * 确认发起支付请求
				 * @param {Object} payChannelId
				 */
				commitPay: function(payChannelId, payType) {
					//先获取订单信息，并拿到支付流水号
					postData("monthCard/order", {
						parkId: parkId, //车场id
						carNo: carNo, //车牌号
						comboId: comboId, //套餐id
						months: month //续期
					}, function(res) {
						var parkpayssn = res.data.parkpayssn; //支付流水号
	
						var callbackUrl = ""; //requestURL.createURL(constant.base + "page/pay/pay_result.html");
						postData("pay/payment", {
							parkpayssn: parkpayssn, //支付流水号
							payChannelId: payChannelId, //选择支付第三方，捷钱包，支付宝支付，微信支付
							payType: payType, //h5 或者 app
							callbackUrl: callbackUrl //回调函数
						}, function(res) {
	
							var payJson = { data: res.data.charge };
							parkpayssn = res.data.parkpayssn;
	
							/**
							 * 调起原生支付
							 */
							__webpack_require__(19).invokeNative({ type: 8, data: JSON.stringify(payJson) }, function(res) {
								var type = 0,
									payResult = "";
								try {
									type = res.type;
									payResult = res.payResult;
								} catch(e) {
									//TODO handle the exception
								}
	
								if(8 == type && "0" == payResult) {
									//支付成功了，跳转页面
									$.toast("支付成功");
									var payResultUrl = constant.rootPath + "/page/account/month_card_result.html";
									var param = {
										parkpayssn: parkpayssn, //支付流水号
										fromPageId: fromPageId //上上个页面的ID
									};
									if($.os.plus) {
										param.pageId = plus.webview.currentWebview().id;
									}
	
									openWindow(payResultUrl, payResultUrl, param); //跳转到续费结果页面
	
								}
							}, function(code) {
								$.toast("失败了" + code);
							});
							//					openWindow(res.data.charge.credential.codeUrl, res.data.charge.credential.codeUrl, { "prePayId": res.data.charge.credential.prePayId });
						});
					});
				},
	
				/**
				 * 用户取消支付
				 */
				cancelPay: function() {
					postData("payOrder/cancel", {
						parkpayssn: parkpayssn
					}, function(res) {});
				}
			};
	
		$.initComplete(function() { main.init(); });
	
	})(mui)

/***/ })
]);
//# sourceMappingURL=month_card_renew.js.map