webpackJsonp([45],[
/* 0 */
/***/ (function(module, exports, __webpack_require__) {

	/**
	 * 收藏列表
	 */
	__webpack_require__(1);
	(function ($) {
		var aa = '',
			recTypeClass = $(".rec-type"),
			lineList = null,
			stationList = null,
			collectList = null,
			main = {
				init: function () {
					var self = this;
					//从原生获取常乘公交车及公交车站点
					//				self.getStoreBusOften();
					self.bindEvent();
					self.getCollectionList();
				},
				getStoreBusOften: function (dataType) {
					__webpack_require__(19).invokeNative({
						type: 20
					}, function (res) {
						lineList = res.data.lineList;
						stationList = res.data.stationList;
						if (dataType == "line") {
							main.busHandleList(lineList, "line");
						} else {
							main.busHandleList(stationList, "station");
						}
					});
				},
				//公交收藏列表处理
				busHandleList: function (list, type) {
					var listHml = '',
						moduleHtml = '<li class="data-item" data="{{itemId}}"><div class="mes-cell"><p class="park-name">{{itemName}}</p></div></li>';
					$('#toEdit').addClass('mui-hidden');
					if (stringUtil.isEmpty(list) || list.length < 1) {//
						$('#noData').removeClass('mui-hidden');
						$('.list-cell').addClass('mui-hidden');
					} else {
						$('#noData').addClass('mui-hidden');
						$('.list-cell').removeClass('mui-hidden');
						for (var i = 0; i < list.length; i++) {
							if (type == "line") {
								listHml += moduleHtml.replace('{{itemId}}', list[i].routeID)
									.replace('{{itemName}}', list[i].routeName);
							} else {
								listHml += moduleHtml.replace('{{itemId}}', list[i].StationID)
									.replace('{{itemName}}', list[i].StationName);
							}
						}
						$('#dataCell').html(listHml);
					}
				},
				bindEvent: function () {
					/**
					 * 筛选点击
					 */
					recTypeClass.bind("tap", function () {
						//拿到点击时tab栏的对应的属性值
						var status = $(this).attr("data-state");
						$(".rec-type").removeClass("active");
						$(this).addClass("active");
						$('#dataCell').html(""); //每次点击，将停车记录清空。
						$("#noRecord").addClass("mui-hidden"); //将没有停车记录的图片隐藏
						switch (status) {
							case "0":
								main.handleList(collectList);
								break;
							case "1":
								main.getStoreBusOften("station");
								break;
							case "2":
								main.getStoreBusOften("line");
								break;
						}
					});
	
					//编辑
					$('#toEdit').bind('tap', function () {
						$('#toSelect').removeClass('mui-hidden');//显示
						$('.check-box').removeClass('mui-hidden');//显示选择框
						$('.mes-cell').addClass('mes-edit');//添加编辑类
						$('.data-item').addClass('edit');//添加编辑状态类
						$('#delBtn').removeClass('mui-hidden');//显示删除按钮
						$('#delst').css('display', 'block');//点击编辑显示隐藏的div
					});
	
					//点击列表
					$('#dataCell').on('tap', '.data-item', function () {
						var itemId = $(this).attr('data');
						var itemName = $(".park-name").html();
						if ($(this).hasClass('edit')) {
							if ($(this).find('.check-box').hasClass('selected')) {
								$(this).find('.check-box').removeClass('selected');
								$('#delBtn').html('删除' + $('.selected').length + "项");
	
	
								if ($('.selected').length < 1) {
									$('#delBtn').html('删除');
									$('#delBtn').removeClass('del-on');
								}
							} else {
								$(this).find('.check-box').addClass('selected');
								$('#delBtn').html('删除' + $('.selected').length + "项");
								$('#delBtn').addClass('del-on');
	
							}
						} else {
							switch ($(".active").attr("data-state")) {
								case "0":
									var href = constant.rootPath + '/page/park/park_info.html',
										param = {
											parkId: itemId
										};
									if ($.os.plus) {
										param.fromPageId = plus.webview.currentWebview().id;
									}
									openWindow(href, href, param);
									break;
								case "1":
									__webpack_require__(19).invokeNative({
										type: 21,
										data: {
											id: itemId,
											name: itemName,
											status: "station"
										}
									}, function (res) {
										lineList = res.data.lineList;
										stationList = res.data.stationList;
										main.busHandleList(stationList, "station");
									});
									break;
								case "2":
									__webpack_require__(19).invokeNative({
										type: 21,
										data: {
											id: itemId,
											name: itemName,
											status: "line"
										}
									}, function (res) {
										lineList = res.data.lineList;
										stationList = res.data.stationList;
										main.busHandleList(lineList, "line");
									});
									break;
							}
						}
					})
	
					//全选按钮/取消按钮
					$('#toSelect').on('tap', '.btn', function () {
						if ($(this).hasClass('cancle-btn')) {
							$('#toSelect').addClass('mui-hidden');
							$('.check-box').addClass('mui-hidden');
							$('.check-box').removeClass('selected');
							$('.mes-cell').removeClass('mes-edit');
							$('.data-item').removeClass('edit');
							$('#delBtn').addClass('mui-hidden');
							$('#delBtn').removeClass('del-on');
							$('#delst').css('display', 'none');//点击取消按钮
						} else {
							if ($(this).hasClass('all')) {
								$(this).html('全选');
								$(this).removeClass('all');
								$('.check-box').removeClass('selected');
								$('#delBtn').html('删除');
								$('#delBtn').removeClass('del-on');
							} else {
								$('.check-box').addClass('selected');
								$('#delBtn').html('删除全部');
								$('#delBtn').addClass('del-on');
								$(this).addClass('all');
								$(this).html('取消全选');
							}
	
						}
					});
	
					//删除按钮
					$('#delBtn').bind('tap', function () {
						if ($(this).hasClass('del-on')) {
							main.delCollectionList();
						}
					});
	
	
	
					//WEBVIEW自定义事件------------------------Begin---------------------------
	
					//刷新数据 
					window.addEventListener('refreshData', function (event) {
						main.getCollectionList();
					});
	
					//WEBVIEW自定义事件------------------------End---------------------------
	
				},
				//查询收藏列表
				getCollectionList: function () {
					var params = {
	
					};
	
					postData('collect/queryCollect', params, function (res) {
						if (res.code = '200') {
							collectList = res.data.collectList;
							main.handleList(res.data.collectList);
							$('#delst').css('display', 'none');//删除成功之后底部隐藏
						}
					})
				},
				//收藏列表处理
				handleList: function (list) {
					var listHml = '',
						moduleHtml = '<li class="data-item" data="{{itemId}}"><div class="check-box mui-hidden" data="{{id}}"></div><div class="mes-cell"><p class="park-name">{{itemName}}</p><p class="park-adr">{{parkAdr}}</p></div></li>';
					if (stringUtil.isEmpty(list) || list.length < 1) {//
						$('#noData').removeClass('mui-hidden');
						$('.list-cell').addClass('mui-hidden');
						$('#toEdit').addClass('mui-hidden');
					} else {
						$('#toEdit').removeClass('mui-hidden');
						$('#noData').addClass('mui-hidden');
						$('.list-cell').removeClass('mui-hidden');
						for (var i = 0; i < list.length; i++) {
							listHml += moduleHtml.replace('{{itemId}}', list[i].parkelecid)
								.replace('{{itemName}}', list[i].name)
								.replace('{{id}}', list[i].parkelecid)
								.replace('{{parkAdr}}', list[i].adr);
						}
						$('#dataCell').html(listHml);
					}
				},
				//删除收藏
				delCollectionList: function () {
					var parkId = '';
					for (var i = 0; i < $('.selected').length; i++) {
						parkId = parkId + $('.selected').eq(i).attr('data') + ",";
					}
					var params = {
						parkelecid: parkId,
					};
					postData('collect/deleteCollect', params, function (res) {
						if (res.code == '200') {
							$.toast(res.msg);
							$('#delBtn').addClass('mui-hidden');
							$('#delBtn').removeClass('del-on');
							$('#delBtn').html('删除');
							$('#toSelect').addClass('mui-hidden');//显示
							main.getCollectionList();
						}
					});
				}
			};
	
		$.initComplete(function () {
			main.init();
		})
	
	})(mui)


/***/ })
]);
//# sourceMappingURL=my_collection_list.js.map