webpackJsonp([57],{

/***/ 0:
/***/ (function(module, exports, __webpack_require__) {

	/**
	 * 室内停车场列表
	 * version:1.0.1
	 * created by Max/jingming.li@jieshunpay.cn
	 */
	__webpack_require__(1);
	(function($) {
		var type = requestURL.getParameter("type") || "01", //01-路边车场，02-室内车场
			headerTitleEle = $("#headerTitle"),
			fromPageId = requestURL.getParameter("fromPageId"),
			h5_jstjhy_plugin = __webpack_require__(19),
			main = {
				//初始化执行
				init: function() {
					this.initView();
	
					this.bindEvent();
				},
	
				initView: function() {
					var title = "";
					if("02" == type) {
						title = "车场";
					} else {
						title = "路边";
					}
					headerTitleEle.find(".park-type").html(title);
	
					__webpack_require__(21).init(requestURL.createURL("park_list_sub.html", {
						type: type
					}), "park_list_sub.html");
				},
	
				/**
				 * 绑定事件
				 */
				bindEvent: function() {
					
					var maplistEle = $("#maplist");
					// 重写返回事件
					var oldBack = $.back;
					$.back = function() {
		
						if($.os.plus) {
							if(!stringUtil.isEmpty(fromPageId)) {
								$.fire(plus.webview.getWebviewById(fromPageId), "refreshData");
							}
						}
						oldBack();
					};
	
					/**
					 * 地图列表展示
					 */
					maplistEle.bind("tap", function() {
	
						h5_jstjhy_plugin.invokeNative({
							type: "02" == type ? 3 : 4
						}, function(res) {
	
							var contentWebview = plus.webview.currentWebview().children()[0];
							$.fire(contentWebview, "updatePosition", res);
	
						});
	
					});
	
					headerTitleEle.bind("tap", function() {
						h5_jstjhy_plugin.invokeNative({
							type: 14
						}, function(res) {
							var name = res.data.name;
							
							if(!stringUtil.isEmpty(name)){
								headerTitleEle.find(".name-input").html(name);
							}
							var contentWebview = plus.webview.currentWebview().children()[0];
							$.fire(contentWebview, "updatePosition", res);
						});
					});
	
				}
			};
		$.initComplete(function() {
			main.init();
		});
	
	})(mui);
	//end

/***/ }),

/***/ 21:
/***/ (function(module, exports) {

	/**
	 * 上拉下拉刷新
	 * version:1.0.1
	 * created by Max/jingming.li@jieshunpay.cn
	 */
	module.exports = (function($) {
		var main = {
			//初始化执行
			init: function(subPageUrl, subPageId) {
				var self = this,
					fontSize = parseInt(document.getElementsByTagName("html")[0].style.fontSize);;
				$.init({
					gestureConfig: {
						doubletap: true
					},
					subpages: [{
						url: subPageUrl,
						id: subPageId,
						styles: {
							top: (fontSize * 2.2 + 1) + "px",
							bottom: '0px'
						}
					}]
				});
				self.bindEvent();
	
			},
	
			//事件绑定
			bindEvent: function() {
				var contentWebview = null;
				document.querySelector('header').addEventListener('doubletap', function() {
					if(contentWebview == null) {
						contentWebview = plus.webview.currentWebview().children()[0];
					}
					contentWebview.evalJS("mui('#pullrefresh').pullRefresh().scrollTo(0,0,100)");
				});
			}
		};
	
		return {
			init: function(subPageUrl, subPageId) {
	
				if(stringUtil.isEmpty(subPageUrl)) { return; }
	
				$.initComplete(function() {
					main.init(subPageUrl, subPageId || subPageUrl);
				});
			}
		};
	
	})(mui);
	//end

/***/ })

});
//# sourceMappingURL=park_list.js.map